package com.ecell.internationalize.app;

import com.ecell.internationalize.common.issue.mqtt.AppSingleMqttClient;
import com.ecell.internationalize.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author borui
 */
@EnableAspectJAutoProxy(exposeProxy = true)
@MapperScan(basePackages={"com.ecell.internationalize.app.**.mapper"})
@EnableAsync
@EnableCustomSwagger2
@EnableFeignClients
@EnableScheduling
@SpringBootApplication(scanBasePackages = {"com.ecell.internationalize","com.ecell.internationalize.common.issue"})
public class EcellInternationalizeApp {
    public static void main(String[] args) {
        SpringApplication.run(EcellInternationalizeApp.class, args);
        System.out.println("易赛国际化app服务系统启动成功");
          AppSingleMqttClient.getAppSingleMqttClient();
    }
}
