package com.ecell.internationalize.app.callback;
import com.ecell.internationalize.app.task.AppTask;
import com.ecell.internationalize.common.issue.mqtt.AppSingleMqttClient;
import org.eclipse.paho.client.mqttv3.IMqttDeliveryToken;
import org.eclipse.paho.client.mqttv3.MqttCallback;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.stereotype.Component;

@Component
public class CustomMessageCallback implements MqttCallback {
    private static final Logger logger = LoggerFactory.getLogger(CustomMessageCallback.class);

    @Autowired
    @Qualifier("threadPoolTaskExecutor")
    private ThreadPoolTaskExecutor threadPoolTaskExecutorApp;
    @Override
    public void connectionLost(Throwable throwable) {
       // AppSingleMqttClient.destroy();
        logger.info("进行重新连接");
        AppSingleMqttClient.reconnection();
    }
    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
        System.out.println("线程名称:"+Thread.currentThread().getName());
        System.out.println("自定义=================================开始");
        System.out.println("接收消息主题:" + topic);
        System.out.println("接收消息Qos:" + mqttMessage.getQos());
        System.out.println("接收消息内容:" + new String(mqttMessage.getPayload()));
        System.out.println("自定义=================================接收完毕");
        threadPoolTaskExecutorApp.submit(new AppTask(new String(mqttMessage.getPayload())));
    }

    @Override
    public void deliveryComplete(IMqttDeliveryToken iMqttDeliveryToken) {

    }
}
