package com.ecell.internationalize.app.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("spring.mqtt")
@Data
public class MqttConfig {

    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    /**
     * 连接地址
     */
    private String hostUrl;
    /**
     * 客户Id
     */
    private String clientId;
    /**
     * 订阅topic
     */
    private String subTopic;
    /**
     * 发布topic
     */
    private String pubTopic;
    /**
     * 超时时间
     */
    private int timeout;
    /**
     * 设置会话心跳时间
     */
    private int keepalive;

}
