package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.entity.CheckVersion;
import com.ecell.internationalize.app.entity.dto.CheckVersionDto;
import com.ecell.internationalize.app.service.CheckVersionService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.issue.constant.CommonConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 检查版本更新表 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-10-31
 */
@RestController
@RequestMapping("/check_version")
@Api(value="版本更新接口",tags={"版本更新接口"})
public class CheckVersionController {
    @Autowired
    private CheckVersionService checkVersionService;
    @ApiOperation(value ="检查是否是最新版本")
    @GetMapping("/query/queryVersion")
    public Rest<CheckVersionDto> queryAddress(@ApiParam(value = "包名") String appPackage, @ApiParam(value = "版本号") String version) {
        LambdaQueryWrapper<CheckVersion> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(CheckVersion::getAppPackage,appPackage);
        lambdaQueryWrapper.eq(CheckVersion::getStatus, CommonConstant.AUDIT_STATUS_ONE);
        lambdaQueryWrapper.orderByDesc(CheckVersion::getCreateTime);
        List<CheckVersion> checkVersion = checkVersionService.getBaseMapper().selectList(lambdaQueryWrapper);
        if (CollectionUtils.isEmpty(checkVersion)){
            return Rest.fail("后台版本不存在或者版本号已被禁用");
        }
        CheckVersionDto checkVersionDto=new CheckVersionDto();
        checkVersionDto.setAppUrl(checkVersion.get(0).getAppUrl());
        checkVersionDto.setForceUpdate(checkVersion.get(0).getForceUpdate());
        checkVersionDto.setVersionNum(checkVersion.get(0).getVersionNum());
        if (checkVersion.get(0).getVersionNum().equals(version)){
            checkVersionDto.setNewVersionFlag("0");
        }else {
            checkVersionDto.setNewVersionFlag("1");
        }
        return Rest.ok(checkVersionDto);
    }
}

