package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ecell.internationalize.app.entity.po.DeviceAttentionPO;
import com.ecell.internationalize.app.service.DeviceAttentionAppService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-22
 */
@RestController
@RequestMapping("/device-attention-app")
public class DeviceAttentionAppController {
    @Autowired
    private DeviceAttentionAppService deviceAttentionAppService;
    @ApiOperation(value ="查询申请关注信息记录")
    @PostMapping("/query/follow/info/{userId}/{pageSize}/{pageNumber}")
    public Rest<IPage<DeviceAttentionPO>> queryFollowInfo(
                                      @ApiParam(name ="userId",value = "用户id",required = true) @PathVariable(value = "userId")  String userId,
                                      @ApiParam(name ="pageSize",value = "每页显示的页数",required = true) @PathVariable(value = "pageSize")  int pageSize,
                                      @ApiParam(name ="pageNumber",value = "当前第几页",required = true) @PathVariable(value = "pageNumber")  int pageNumber
    ){
        return Rest.ok(deviceAttentionAppService.queryFollowInfo(userId,pageSize,pageNumber));

    }

    @ApiOperation(value ="查询未读关注信息总条数")
    @GetMapping("/query/unread/info")
    public Rest queryUnreadCount(){
        return Rest.ok(deviceAttentionAppService.queryUnreadCount());

    }

    @ApiOperation(value ="更改已读状态")
    @GetMapping("/update/info/status/{id}/{status}")
    public AjaxResult updateStatus(@ApiParam(name ="id",value = "信息id",required = true) @PathVariable(value = "id")  String id,
                                   @ApiParam(name ="status",value = "信息状态(1.已读,2.删除)",required = true) @PathVariable(value = "status")  String status){
        return deviceAttentionAppService.updateStatus(id,status) ? AjaxResult.success() :AjaxResult.error();

    }

}

