package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.entity.po.PositionModelInfoPO;
import com.ecell.internationalize.app.service.DeviceLocationAppService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-05
 */
@Api(value="定位模式",tags="查询定位模式信息")
@RestController
@RequestMapping("/device-position-app")
public class DeviceLocationAppController {
    @Autowired
    private DeviceLocationAppService deviceLocationAppService;
    @ApiOperation(value ="查询定位模式")
    @GetMapping("/device/position/{imei}")
    public Rest<PositionModelInfoPO> getDevicePosition(
            @ApiParam(name ="imei",value = "设备imei",required = true)  @PathVariable(value = "imei")  String imei){
        PositionModelInfoPO devicePosition = deviceLocationAppService.getDevicePosition(imei);

        return devicePosition!=null ? Rest.ok(devicePosition) : Rest.ok("操作成功",null);
    }


    @ApiOperation(value ="定位模式修改")
    @GetMapping("/location/model/{number}/{imei}")
    public AjaxResult updatePosition (
            @ApiParam(name ="number",value = "定位间隔单位（分钟）",required = true) @PathVariable(value = "number")  String number,
            @ApiParam(name ="imei",value = "设备imei",required = true) @PathVariable(value = "imei")  String imei){

        return  deviceLocationAppService.updatePosition(number,imei) ? AjaxResult.success() :AjaxResult.error();
    }



//    @ApiOperation(value ="定位模式设置下发")
//    @GetMapping("/location/model/{second}/{imei}")
//    public AjaxResult distributionIssued (
//            @ApiParam(name ="定位间隔单位（分钟）",value = "minute",required = true) @PathVariable(value = "minute")  String minute,
//            @ApiParam(name ="imei",value = "设备imei",required = true) @PathVariable(value = "imei")  String imei){
//                deviceLocationAppService.distributionIssued(minute,imei);
//         return AjaxResult.success();
//    }




}

