package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.entity.DeviceStepDaily;
import com.ecell.internationalize.app.service.DeviceStepDailyService;
import com.ecell.internationalize.common.core.entity.Rest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.time.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 设备步数 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
@RestController
@RequestMapping("/device_step_daily")
@Api(value="计步功能接口",tags="计步功能接口")
public class DeviceStepDailyController {
    @Autowired
    private DeviceStepDailyService deviceStepDailyService;
    @ApiOperation(value ="查询今日步数")
    @GetMapping("/query/currentStep")
    public Rest<DeviceStepDaily> currentStep(HttpServletRequest request, @ApiParam(name ="imei",value = "设备imei") String imei){
        LambdaQueryWrapper<DeviceStepDaily> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(DeviceStepDaily::getImei,imei);
        //日期格式化
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String date=simpleDateFormat.format(new Date());
        lambdaQueryWrapper.eq(DeviceStepDaily::getStepTime,date);
        DeviceStepDaily deviceStepDaily = deviceStepDailyService.getBaseMapper().selectOne(lambdaQueryWrapper);
        return Rest.ok(deviceStepDaily);
    }
    @ApiOperation(value ="查询一周计步数")
    @GetMapping("/query/weekStep")
    public Rest<List<DeviceStepDaily>> weekStep(HttpServletRequest request, @ApiParam(name ="imei",value = "设备imei") String imei){
        //日期格式化
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        Date lastSevenDay = DateUtils.addDays(new Date(), -7);
        System.out.println("获取到的日期==="+lastSevenDay);
        String formatDate = simpleDateFormat.format(lastSevenDay);
        String date=simpleDateFormat.format(new Date());
        LambdaQueryWrapper<DeviceStepDaily> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        System.out.println("获取到的一个星期的日期是："+formatDate+"====="+"获取到今天的日期是===="+date);
        lambdaQueryWrapper.gt(DeviceStepDaily::getStepTime,formatDate);
        lambdaQueryWrapper.le(DeviceStepDaily::getStepTime,date);

        lambdaQueryWrapper.orderByDesc(DeviceStepDaily::getStepTime);
        lambdaQueryWrapper.eq(DeviceStepDaily::getImei,imei);
        return Rest.ok(deviceStepDailyService.getBaseMapper().selectList(lambdaQueryWrapper));
    }
}

