package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.entity.DeviceTimeSwitchApp;
import com.ecell.internationalize.app.service.DeviceTimeSwitchAppService;
import com.ecell.internationalize.app.util.I18nUtil;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.utils.uuid.UUID;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 定时开关机 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-21
 */
@RestController
@RequestMapping("/device_time_switch_app")
@Api(value="定时开关机接口",tags={"定时开关机接口"})
public class DeviceTimeSwitchAppController {
    @Autowired
    private DeviceTimeSwitchAppService deviceTimeSwitchAppService;
    @ApiOperation(value ="保存定时开关机设置")
    @PostMapping("/switch/addSetting")
    public Rest updateAlarm(HttpServletRequest request, @RequestBody DeviceTimeSwitchApp deviceTimeSwitchApp) {
        LambdaQueryWrapper<DeviceTimeSwitchApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(DeviceTimeSwitchApp::getImei,deviceTimeSwitchApp.getImei());
        DeviceTimeSwitchApp switchApp = deviceTimeSwitchAppService.getBaseMapper().selectOne(lambdaQueryWrapper);
        if (null!=switchApp){
            deviceTimeSwitchApp.setId(switchApp.getId());
            deviceTimeSwitchAppService.getBaseMapper().updateById(deviceTimeSwitchApp);
            //已存在,进行更新操作
        }else {
            //1.新增
            deviceTimeSwitchApp.setId(UUID.fastUUID().toString(true));
            deviceTimeSwitchAppService.getBaseMapper().insert(deviceTimeSwitchApp);
        }
        //2.开始指令下发
        deviceTimeSwitchAppService.sendToKafka(deviceTimeSwitchApp);
        return Rest.ok(I18nUtil.getMessage(FieldConstant.MESSAGES_SUCCESS,request.getHeader("Accept-Language")));
    }
    @ApiOperation(value ="查询定时开关机")
    @GetMapping("/switch/querySetting")
    public Rest<DeviceTimeSwitchApp> querySetting(HttpServletRequest request, @ApiParam("设备imei号")String imei) {
        LambdaQueryWrapper<DeviceTimeSwitchApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(DeviceTimeSwitchApp::getImei,imei);
        return Rest.ok(deviceTimeSwitchAppService.getBaseMapper().selectOne(lambdaQueryWrapper));
    }
}

