package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ecell.internationalize.app.entity.DeviceVideoRecordApp;
import com.ecell.internationalize.app.entity.dto.DeviceVideoRecordDto;
import com.ecell.internationalize.app.entity.dto.DeviceVideoRecordQuery;
import com.ecell.internationalize.app.service.DeviceVideoRecordAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.core.entity.Rest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 视频通话记录 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@RestController
@RequestMapping("/device_video_record_app")
@Api(value="视频通话记录上传",tags={"视频通话记录上传接口"})
public class DeviceVideoRecordAppController {
    @Autowired
    private DeviceVideoRecordAppService deviceVideoRecordAppService;
    @PostMapping("/record/videoRecord")
    @ApiOperation(value ="APP挂断后上传视频通话记录")
    public Rest<DeviceVideoRecordDto> videoRecord(@RequestBody DeviceVideoRecordDto deviceVideoRecordDto) {
        deviceVideoRecordAppService.appVideoRecord(deviceVideoRecordDto);
        return Rest.ok("");
    }

    @GetMapping("/record/queryRecord")
    @ApiOperation(value ="分页查询通话记录")
    public Rest<IPage<DeviceVideoRecordQuery>> queryRecord(@ApiParam(value = "当前页",required = true) Integer current, @ApiParam(value = "每页显示多少条",required = true) Integer pageSize) {
        return Rest.ok(deviceVideoRecordAppService.queryRecord(current,pageSize));
    }
    @ApiOperation(value ="删除通话记录")
    @PostMapping("/delete/deleteRecord")
    public Rest deleteRecord() {
        String userId= SecurityContextHolder.getStringUserId();
        LambdaQueryWrapper<DeviceVideoRecordApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(DeviceVideoRecordApp::getUserId,userId);
        deviceVideoRecordAppService.getBaseMapper().delete(lambdaQueryWrapper);
        return Rest.ok("");
    }
}

