package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.entity.FeedBack;
import com.ecell.internationalize.app.service.FeedBackService;
import com.ecell.internationalize.app.util.I18nUtil;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.utils.uuid.UUID;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * <p>
 * 意见反馈表 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-08-26
 */
@RestController
@RequestMapping("/feed_back")
@Api(value="意见反馈",tags={"意见反馈接口"})
public class FeedBackController {
    @Autowired
    private FeedBackService feedBackService;
    /**
     * 意见反馈接口
     * @param feedBack 接收实体
     */
    @ApiOperation("意见反馈发送接口")
    @PostMapping("feed/insert")
    public Rest insert(@RequestBody FeedBack feedBack, HttpServletRequest request){
        //调用新增接口
        feedBack.setId(UUID.fastUUID().toString(true));
        feedBackService.getBaseMapper().insert(feedBack);
        return Rest.ok(I18nUtil.getMessage(FieldConstant.MESSAGES_SUCCESS,request.getHeader("Accept-Language")));
    }
}

