package com.ecell.internationalize.app.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.entity.HomeBanner;
import com.ecell.internationalize.app.service.HomeBannerService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.issue.constant.CommonConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 首页banner图 前端控制器
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Api(value="首页banner图",tags={"首页banner图接口"})
@RestController
@RequestMapping("/home_banner")
public class HomeBannerController {
    @Autowired
    private HomeBannerService homeBannerService;
    /**
     * 首页banner图查询
     * @Author liy
     * @Date 2022/7/15 16:38
     * @Return AjaxResult
     */
    @ApiOperation("查询首页banner图信息")
    @PostMapping("home/list")
    public Rest<List<HomeBanner>> queryAllBanner(){
        LambdaQueryWrapper<HomeBanner> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(HomeBanner::getStatus, CommonConstant.AUDIT_STATUS_ONE);
        lambdaQueryWrapper.eq(HomeBanner::getDelFlag,CommonConstant.AUDIT_STATUS_ONE);
        lambdaQueryWrapper.orderByAsc(HomeBanner::getHomeOrder);
        return Rest.ok(homeBannerService.getBaseMapper().selectList(lambdaQueryWrapper));
    }

}

