package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.entity.dto.ImeiSosInfoDto;
import com.ecell.internationalize.app.service.ImeiSosInfoService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.entity.ImeiSosInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-17
 */
@Api(value="sos",tags="sos")
@RestController
@RequestMapping("/app/imei-sos-info")
public class ImeiSosInfoController {
    @Autowired
    private ImeiSosInfoService imeiSosInfoService;
    @ApiOperation(value ="sos添加 OR 编辑")
    @PostMapping("/sos/add/phone")
    public AjaxResult addSOSPhone(@RequestBody ImeiSosInfoDto info){
       return imeiSosInfoService.addSOSPhone(info) ? AjaxResult.success() :AjaxResult.error();
    }


    @ApiOperation(value ="sos查询接口")
    @GetMapping("/sos/query/phone/{imei}")
    public Rest<ImeiSosInfo> querySOSPhone(@ApiParam(name ="imei",value = "设备imei",required = true) @PathVariable(value = "imei")  String imei){
        ImeiSosInfo imeiSosInfo = imeiSosInfoService.querySOSPhone(imei);
        return   null==imeiSosInfo ? Rest.ok("操作成功",null):Rest.ok(imeiSosInfo);
    }

}

