package com.ecell.internationalize.app.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.entity.MessageCategoryApp;
import com.ecell.internationalize.app.entity.MessageContentApp;
import com.ecell.internationalize.app.service.MessageCategoryService;
import com.ecell.internationalize.app.service.MessageContentService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 常见问题查看
 * @Title: MessageController
 * @Author: liy
 * @Date: 2022/8/25 17:23
 * @Description:
 * @Version:1.0
 */
@RequestMapping("/message")
@RestController
@Api(value="常见问题",tags={"常见问题接口"})
public class MessageController {
    @Autowired
    private MessageContentService messageContentService;
    @Autowired
    private MessageCategoryService messageCategoryService;
    /**
     * 查询热点问题
     */
    @ApiOperation("查询热点问题")
    @GetMapping("query/hotMessage")
    public Rest<List<MessageContentApp>> hotMessage() {

        LambdaQueryWrapper<MessageContentApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(MessageContentApp::getHotIssues, FieldConstant.MATH_ONE);
        lambdaQueryWrapper.eq(MessageContentApp::getDelFlag, FieldConstant.MATH_ONE);
        List<MessageContentApp> messageContentApps = messageContentService.getBaseMapper().selectList(lambdaQueryWrapper);

        return Rest.ok(messageContentApps);
    }
    /**
     * 查询问题分类
     */
    @ApiOperation("查询问题分类")
    @GetMapping("query/messageCategory")
    public Rest<List<MessageCategoryApp>> messageCategory() {
        LambdaQueryWrapper<MessageCategoryApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(MessageCategoryApp::getDelFlag, FieldConstant.MATH_ONE);
        return Rest.ok(messageCategoryService.getBaseMapper().selectList(lambdaQueryWrapper));
    }
    /**
     * 查询问题分类下的具体问题
     */
    @ApiOperation("查询问题分类下的具体问题")
    @GetMapping("query/queryContentById")
    public Rest<List<MessageContentApp>> queryContentById(@ApiParam(name ="categoryId",value = "分类Id",required = true) @RequestParam("categoryId") String categoryId, HttpServletRequest request) {
        LambdaQueryWrapper<MessageContentApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(MessageContentApp::getCategoryId, categoryId);
        lambdaQueryWrapper.eq(MessageContentApp::getDelFlag, FieldConstant.MATH_ONE);
        return Rest.ok(messageContentService.getBaseMapper().selectList(lambdaQueryWrapper));
    }
}
