package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ecell.internationalize.app.entity.NotifyApp;
import com.ecell.internationalize.app.service.NotifyAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.core.entity.Rest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 通知表 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-10-29
 */
@RestController
@Api(value="通知信息",tags={"通知信息接口"})
@RequestMapping("/notify_app")
public class NotifyAppController {
    @Autowired
    private NotifyAppService notifyAppService;
    @ApiOperation(value ="查询通知信息")
    @GetMapping("/query/queryNotify")
    public Rest<IPage<NotifyApp>> queryNotify(@ApiParam(value = "当前页",required = true) Integer current, @ApiParam(value = "每页显示多少条",required = true) Integer pageSize) {
        return Rest.ok(notifyAppService.queryNotify(current,pageSize));
    }

    @ApiOperation(value ="修改已读/未读状态")
    @PostMapping("/update/updateNotify")
    public Rest updateNotify(@RequestBody NotifyApp notifyApp) {
        notifyAppService.updateById(notifyApp);
        return Rest.ok("");
    }
    @ApiOperation(value ="删除通知消息")
    @PostMapping("/delete/deleteNotify")
    public Rest deleteNotify() {
        String userId= SecurityContextHolder.getStringUserId();
        LambdaQueryWrapper<NotifyApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(NotifyApp::getUserId,userId);
        notifyAppService.getBaseMapper().delete(lambdaQueryWrapper);
        return Rest.ok("");
    }
}

