package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.entity.dto.TrackInfoAppDto;
import com.ecell.internationalize.app.entity.dto.TrackInfoDto;
import com.ecell.internationalize.app.entity.po.TrackInfoAppPO;
import com.ecell.internationalize.app.service.TrackInfoAppService;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 轨迹表 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@Api(value="轨迹查询",tags="轨迹查询")
@RestController
@RequestMapping("/track-info-app")
public class TrackInfoAppController {
    @Autowired
    private TrackInfoAppService trackInfoAppService;
    @ApiOperation(value ="根据imei查询近30天的轨迹信息")
    @GetMapping("/query/trackInfo/{imei}")
    public Rest<List<TrackInfoAppPO>> queryTrackInfoByImei(
            @ApiParam(name ="imei",value = "设备imei",required = true) @PathVariable(value = "imei")  String imei){
        return Rest.ok(trackInfoAppService.queryListByImei(imei));
    }

    @ApiOperation(value ="根据imei查询轨迹信息")
    @PostMapping("/query/trackInfo")
    public Rest< List<TrackInfoAppDto>> queryTrackInfoByImei(@RequestBody TrackInfoDto dto){
        return Rest.ok(trackInfoAppService.queryTrackInfoByImei(dto));
    }

    @ApiOperation(value ="根据日期删除轨迹信息")
    @DeleteMapping("/delete/trackInfo/{imei}/{date}")
    public AjaxResult deleteTrackInfoByDate(@ApiParam(name ="imei",value = "设备imei",required = true) @PathVariable(value = "imei")  String imei,
                                            @ApiParam(name ="date",value = "日期 YYYY-MM-DD",required = true) @PathVariable(value = "date")  String date){
        return  trackInfoAppService.deleteTrackInfoByDate(imei,date) ? AjaxResult.success() :AjaxResult.error();
    }


//    @ApiOperation(value ="根据imei查询轨迹信息")
//    @PostMapping("/query/trackInfo/{imei}")
//    public Rest queryTrackInfoByImei(@RequestBody TrackInfoDto dto){
//        return Rest.ok(trackInfoAppService.queryTrackInfoByImei(dto));
//    }

//    @GetMapping("/query/Info")
//    public AjaxResult queryInfo(){
//        return trackInfoAppService.queryInfo() ? AjaxResult.success() :AjaxResult.error();
//    }


}

