package com.ecell.internationalize.app.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ecell.internationalize.app.service.VersionRatioService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.utils.uuid.UUID;
import com.ecell.internationalize.common.system.entity.VersionRatio;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * <p>
 * 用户版本统计 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
@RestController
@RequestMapping("/version_ratio")
@Api(value="用户活跃度统计上传",tags={"用户活跃度统计上传接口"})
public class VersionRatioController {
    @Autowired
    private VersionRatioService versionRatioService;
    @ApiOperation("用户活跃度统计上传")
    @GetMapping("active/total")
    public Rest sendMail(@ApiParam(value = "版本号") @RequestParam("version") String version, @ApiParam(value = "渠道") @RequestParam("channelName") String channelName) {
        VersionRatio versionActive=new VersionRatio();
        String userId= SecurityContextHolder.getStringUserId();
        LambdaQueryWrapper<VersionRatio> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(VersionRatio::getUserId,userId);
        VersionRatio versionRatio = versionRatioService.getBaseMapper().selectOne(lambdaQueryWrapper);
        String time=String.valueOf(System.currentTimeMillis()).substring(0,10);
        if (null!=versionRatio){
            versionRatio.setCreateTime(new Date());
            versionRatio.setChannelName(channelName);
            versionRatio.setVersion(version);
            versionRatio.setTimestamp(Integer.parseInt(time));
            versionRatioService.getBaseMapper().updateById(versionRatio);
        }else {
            versionActive.setId(UUID.fastUUID().toString(true));
            versionActive.setVersion(version);
            versionActive.setChannelName(channelName);
            versionActive.setUserId(userId);
            versionActive.setCreateTime(new Date());
            versionActive.setTimestamp(Integer.parseInt(time));
            versionRatioService.getBaseMapper().insert(versionActive);
        }
        return Rest.ok("");
    }
}

