package com.ecell.internationalize.app.controller;
import com.ecell.internationalize.app.service.VideoCallAppService;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
@RestController
@RequestMapping("/video-call-app")
public class VideoCallAppController {
    @Autowired
    private VideoCallAppService videoCallAppService;
    @ApiOperation(value ="根据imei查询可视频通话列表")
    @GetMapping("/query/video/{imei}")
    public AjaxResult queryVideoList(@PathVariable("imei") @ApiParam(name ="设备imei",required = true) String imei){

        return AjaxResult.success(videoCallAppService.queryVideoList(imei));
    }

}

