package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AddressBookApp对象", description="AddressBookApp对象")
public class AddressBookApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键id")
    private String id;

    @ApiModelProperty(example = "用户id",hidden = true)
    private String userId;

    @ApiModelProperty(example = "联系人号码")
    private String phone;

    @ApiModelProperty(example = "联系人名字")
    private String name;

    @ApiModelProperty(example = "关系头像文件名id")
    private String image;

    @ApiModelProperty(example = "用户身份（0：游客，1：普通用户(关注的人),2:管理员）")
    private String identity;

    @ApiModelProperty(example = "是否已经被管理员添加到可视频列表里面（0.否，1.是。管理员默认添加到可视列表中）",hidden = true)
    @TableField("canVideo")
    private String canVideo;


    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "是否绑定设备（0：未绑定，1已绑定）")
    private String setBind;

    @ApiModelProperty(example = "添加方式(0:通讯录导入 1：手动添加)")
    private String addMethod;

    @ApiModelProperty(example = "与孩子关系")
    private String relation;

    @ApiModelProperty(example = "用户id",hidden = true)
    @TableField(exist = false)
    private String openId;
}
