package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 群聊消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ChatGroupMessageApp对象", description="群聊消息表")
public class ChatGroupMessageApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键id",hidden = true)
    private String id;

    @ApiModelProperty(example = "群组id")
    private String groupId;

    @ApiModelProperty(example = "用户id")
    private String userId;

    @ApiModelProperty(example = "发送者类型:1.用户,2.设备")
    private String sendType;

    @ApiModelProperty(example = "消息类型：1:文字消息, 2:图片消息, 3:语音消息",hidden = true)
    private String myType;

    @ApiModelProperty(example = " 消息内容, 文字内容, 图片文件名, 语音文件名")
    private String content;

    @ApiModelProperty(example = " 消息文件大小(字节数), my_type为 2,3 时存在",hidden = true)
    private Integer size;

    @ApiModelProperty(example = "创建时间",hidden = true)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "语音文件播放时长, myType为 3 时存在",hidden = true)
    private Integer duration;

    @ApiModelProperty(example = "发送者标识(email, imei)")
    private String sendUser;

    @ApiModelProperty(example = "头像")
    @TableField(exist = false)
    private String image;

    @ApiModelProperty(example = "昵称")
    @TableField(exist = false)
    private String nickName;

    @ApiModelProperty(example = "是否已读（0：未读，1：已读）")
    private String readStatus;
}
