package com.ecell.internationalize.app.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 闹钟设置表
 * </p>
 *
 * @author liy
 * @since 2022-09-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceAlarmApp对象", description="闹钟设置表")
public class DeviceAlarmApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "标签")
    private String tag;

    @ApiModelProperty(example = "响铃时间")
    private String alarmTime;

    @ApiModelProperty(example = "重复星期数为'0', '1'组成的7位长度字符串, 表示周一至周日是否有效,eg: '0000011'为周六日有效, '1110000'为周一二三有效")
    private String alarmWeek;

    @ApiModelProperty(example = "是否开启 0关闭，1开启，默认1")
    private String alarmStatus;

    @ApiModelProperty(example = "设备imei")
    private String imei;

//    @ApiModelProperty(example = "创建人")
//    private String createUser;
//
//    @ApiModelProperty(example = "创建时间")
//    @TableField(value = "create_time",fill = FieldFill.INSERT)
//    private Date createTime;
//
//    @ApiModelProperty(example = "修改人")
//    private String updateUser;
//
//    @ApiModelProperty(example = "修改时间")
//    @TableField(value = "update_time",fill = FieldFill.UPDATE)
//    private Date updateTime;
    @ApiModelProperty(example = "新增的时间,后台处理，不用传",hidden = true)
    private Date createTime;
    @ApiModelProperty(example = "修改的时间,后台处理，不用传",hidden = true)
    private Date updateTime;

}
