package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 设备型号管理信息表
 * </p>
 *
 * @author ${author}
 * @since 2022-09-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceModelInfo对象", description="设备型号管理信息表")
public class DeviceModelInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备型号id")
    @TableId(value ="device_model_id")
    private String deviceModelId;

    @ApiModelProperty(value = "型号名称")
    private String deviceModelName;

    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "代理商id")
    private String agentId;

    @ApiModelProperty(value = "厂商名称")
    private String firmName;

    @ApiModelProperty(value = "定位功能（1.基站，2.基站+wiff,3.基站+GPS，4.基站+wiff+GPS）")
    private String locationFun;

    @ApiModelProperty(value = "视频类型名称（0.不支持，1.菊风，2.声网，3.佰锐，4.鹈鹕)")
    private String videoModelName;

    @ApiModelProperty(value = "视频规则（0.是默认,其余就是视频类型的名称）")
    private String videoRule;

    @ApiModelProperty(value = "视频类型id")
    private String videoModelId;

    @ApiModelProperty(value = "设备类型（0.默认 1.手表，2.学生卡，3.老人机）")
    private String deviceType;

    @ApiModelProperty(value = "公众号平台名称（0.不支持,其余就是公众号的名称）")
    private String officialAccountName;

    @ApiModelProperty(value = "手表闹钟（0.不支持，1.支持）")
    private String watchAlarmClock;

    @ApiModelProperty(value = "上课禁用（0.不支持，1.支持）")
    private String classDisable;

    @ApiModelProperty(value = "SOS号码（0.不支持，1.支持）")
    private String sosPhone;

    @ApiModelProperty(value = "电子围栏（0.不支持，1.支持）")
    private String electronicFence;

    @ApiModelProperty(value = "记步功能（0.不支持，1.支持）")
    private String stepRecorder;

    @ApiModelProperty(value = "微聊功能（0.不支持，1.支持）")
    private String chatFun;

    @ApiModelProperty(value = "查找设备功能（0.不支持，1.支持）")
    private String lookupFun;

    @ApiModelProperty(value = "手表WIFF（0.不支持，1.支持）")
    private String watchWiff;

    @ApiModelProperty(value = "心率（0.不支持，1.支持）")
    private String heartRate;

    @ApiModelProperty(value = "体温（0.不支持，1.支持）")
    private String temperature;

    @ApiModelProperty(value = "血压（0.不支持，1.支持）")
    private String bloodPressure;

    @ApiModelProperty(value = "血氧（0.不支持，1.支持")
    private String bloodOxygen;

    @ApiModelProperty(value = "白名单（0.不支持，1.支持）")
    private String whiteList;

    @ApiModelProperty(value = "拨号盘（0.不支持，1.支持）")
    private String dial;

    @ApiModelProperty(value = "定时开关机（0.不支持，1.支持）")
    private String timingSwitch;

    @ApiModelProperty(value = "电信版本号（0,否，1.是)")
    private String telecomVersion;

    @ApiModelProperty(value = "定位模式id")
    private String positioningModeId;

    @ApiModelProperty(value = "(0.删除,1.不删除)")
    private String delFlag;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "打电话(0:不支持,1支持)")
    private String  phoneCall;

    @ApiModelProperty(value = "是否不用申请关注(0.否,1.是 默认0)")
    private String whetherApply;
}
