package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 意见反馈表
 * </p>
 *
 * @author ${author}
 * @since 2022-08-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "feed_back")
@ApiModel(value="FeedBack对象", description="意见反馈表")
public class FeedBack implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "唯一主键",hidden = true)
    @TableId(value = "id")
    private String id;

    @ApiModelProperty(example = "主题")
    private String subject;

    @ApiModelProperty(example = "内容")
    private String content;

    @ApiModelProperty(example = "发送者使用的邮箱")
    private String sendEmail;

    @ApiModelProperty(example = "发送者账号(不填，后端直接获取)",hidden = true)
    private String account;

    /**
     * 创建人
     */
    @ApiModelProperty(example = "操作人",hidden = true)
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(example = "创建时间（不填，后端自动获取）",hidden = true)
    private Date createTime;
    /**
     * 修改人
     */
    @ApiModelProperty(example = "修改人",hidden = true)
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(example = "修改时间（不填，后端自动获取）",hidden = true)
    private Date updateTime;


}
