package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 首页banner图
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Data
@TableName("home_banner")
public class HomeBanner implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @ApiModelProperty(example = "id")
    private String id;

    /**
     * 排序号
     */
    @ApiModelProperty(example = "排序号")
    private Integer homeOrder;

    /**
     * banner图链接
     */
    @ApiModelProperty(example = "图片跳转链接")
    private String link;

    /**
     * banner图标题
     */
    @ApiModelProperty(example = "图片标题")
    private String title;

    /**
     * banner图
     */
    @ApiModelProperty(example = "首页banner图片url")
    private String banner;

    /**
     * 是否发布（0：待发布，1：已发布）,默认0
     */
    @ApiModelProperty(example = "是否发布（0：待发布，1：已发布）",hidden = true)
    private String status;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    @ApiModelProperty(example = "删除标识（0：已删除，1：正常）",hidden = true)
    private String delFlag;
}
