package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 位置最新记录
 * </p>
 *
 * @author ${author}
 * @since 2022-09-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LatestLocationApp对象", description="位置最新记录")
public class LatestLocationApp implements Serializable {

private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "详细地址")
    private String addr;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "(定位类型 LBS GPS,WIFI)")
    private String locationType;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "高德定位区域id")
    private String adcode;

    @ApiModelProperty(value = "定位精度")
    private String radius;

    @ApiModelProperty(value = "电量")
    private int battery;

    @ApiModelProperty(value = "步数")
    private int stepNumber;


    @ApiModelProperty(value = "计步的最后更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date stepNumberTime;

    @ApiModelProperty(value = "心率")
    private String rate;

    @ApiModelProperty(value = "心率最后更新的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date rateTime;

    @ApiModelProperty(value = "体温")
    private String temperature;

    @ApiModelProperty(value = "体温最后更新的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date temperatureTime;

    @ApiModelProperty(value = "血氧")
    private String bodyOxygen;

    @ApiModelProperty(value = "血氧最后更新的时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date bodyOxygenTime;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "更新日期")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "省份")
    private String province;

    @ApiModelProperty(value = "国家")
    private String country;


}
