package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 消息内容
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("message_content")
public class MessageContentApp {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @ApiModelProperty(example = "主键Id")
    private String id;

    /**
     * 消息类别Id
     */
    @ApiModelProperty(example = "类别Id")
    private String categoryId;


    @ApiModelProperty(example = "内容名称")
    private String content;

    /**
     * 是否热门问题（0：否，1:是）
     */
    @ApiModelProperty(example = "是否热门问题（0：否，1:是）",hidden = true)
    private String hotIssues;


    /**
     * 逻辑删除标识
     */
    @ApiModelProperty(hidden = true)
    private String delFlag;

    @ApiModelProperty(example = "具体内容")
    private String details;
}
