package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 通知表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="NotifyApp对象", description="通知表")
public class NotifyApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "类型")
    private String type;

    @ApiModelProperty(example = "是否已读（0.未读，1.已读)")
    private String messageRead;

    @ApiModelProperty(example = "推送人的ID")
    @TableField("userId")
    private String userId;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(example = "联系人手机号")
    private String phone;

    @ApiModelProperty(example = "设备名称")
    private String name;


}
