package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 提醒消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ReminderMessageApp对象", description="提醒消息表")
public class ReminderMessageApp implements Serializable {

private static final long serialVersionUID=1L;
    @ApiModelProperty(example = "id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "类型")
    private String type;

    @ApiModelProperty(example = "是否已读（0.未读，1.已读)")
    private String messageRead;

    @ApiModelProperty(example = "内容")
    private String context;

    @ApiModelProperty(example = "推送人的ID")
    @TableField("userId")
    private String userId;

    @ApiModelProperty(example = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "更新时间")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private String battery;

    @ApiModelProperty(example = "提醒类型（1：安全围栏，2：低电信息，3：sos）")
    private  String remindType;

    @TableField(exist = false)
    @ApiModelProperty(example = "设备名称")
    private String name;

    @TableField(exist = false)
    @ApiModelProperty(example = "报警信息内容")
    private String msgContent;

    @TableField(exist = false)
    @ApiModelProperty(example = "经度")
    private String lon;

    @TableField(exist = false)
    @ApiModelProperty(example = "纬度")
    private String lat;

    @TableField(exist = false)
    @ApiModelProperty(example = "地址")
    private String address;

    @TableField(exist = false)
    @ApiModelProperty(example = "定位类型")
    private String loc_type;

    @TableField(exist = false)
    @ApiModelProperty(example = "定位类型")
    private Long timestamp;


}
