package com.ecell.internationalize.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2022-10-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SafetyRailApp对象", description="")
public class SafetyRailApp implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "创建人")
    private String createUser;

    @ApiModelProperty(example = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "安全区域名字")
    private String name;

    @ApiModelProperty(example = "经度")
    private String lon;

    @ApiModelProperty(example = "纬度")
    private String lat;

    @ApiModelProperty(example = "安全区域半径")
    private Integer radius;

    @ApiModelProperty(example = "安全区域地址")
    private String address;

    @ApiModelProperty(example = "重复星期数")
    private String week;

    @ApiModelProperty(example = "开始时间, 24小时制, eg: '08:00'")
    private String startTime;

    @ApiModelProperty(example = "结束时间, 24小时制, eg: '08:00'")
    private String endTime;

    @ApiModelProperty(example = "是否开启(0:关闭 1：开启)")
    private String status;

    @ApiModelProperty(example = "最后一次进入或离开该安全区域的动作('enter','leave')")
    private String action;

    @ApiModelProperty(example = "设备imei")
    private String imei;

}
