package com.ecell.internationalize.app.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 轨迹表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TrackInfoApp对象", description="轨迹表")
public class TrackInfoApp implements Serializable {

private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "(定位类型 LBS, GPS,WIFI)")
    private String locationType;

    @ApiModelProperty(value = "高德定位区域id")
    private String adcode;

    @ApiModelProperty(value = "定位精度")
    private String radius;

    @ApiModelProperty(value = "详细地址")
    private String addr;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value = "更新日期")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(value = "(区域停留时间单位(秒))")
    private int residenceTime;

    @ApiModelProperty(value = "轨迹类型（0.是正常轨迹默认为0,1.sos报警轨迹）")
    private String alarmType;


}
