package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 群聊消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Data
public class ChatGroupMessageDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "群组id")
    private String groupId;

    @ApiModelProperty(example = "消息类型：1:文字消息, 2:图片消息, 3:语音消息")
    private String myType;

    @ApiModelProperty(example = " 消息内容(新增文字消息时,将信息内容填充到此字段,上传语音文件不用填充)")
    private String content;

    @ApiModelProperty(example = " 消息文件大小(字节数), my_type为 2,3 时存在",hidden = true)
    private Integer size;

    @ApiModelProperty(example = "创建时间",hidden = true)
    private Date createTime;

    @ApiModelProperty(example = "语音文件播放时长, myType为 3 时存在")
    private Integer duration;
    @ApiModelProperty(hidden = true)
    private String fileName;

}
