package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Title: DeviceModelDto
 * @Author: liy
 * @Date: 2022/9/23 10:26
 * @Description:
 * @Version:1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DeviceModelDto extends UserDeviceBindDto{
    @ApiModelProperty(example = "手表闹钟（0.不支持，1.支持）")
    private String watchAlarmClock;

    @ApiModelProperty(example = "上课禁用（0.不支持，1.支持）")
    private String classDisable;

    @ApiModelProperty(example = "SOS号码（0.不支持，1.支持）")
    private String sosPhone;

    @ApiModelProperty(example = "电子围栏（0.不支持，1.支持）")
    private String electronicFence;

    @ApiModelProperty(example = "记步功能（0.不支持，1.支持）")
    private String stepRecorder;

    @ApiModelProperty(example = "微聊功能（0.不支持，1.支持）")
    private String chatFun;

    @ApiModelProperty(example = "查找设备功能（0.不支持，1.支持）")
    private String lookupFun;

    @ApiModelProperty(example = "手表WIFF（0.不支持，1.支持）")
    private String watchWiff;

    @ApiModelProperty(example = "心率（0.不支持，1.支持）")
    private String heartRate;

    @ApiModelProperty(example = "体温（0.不支持，1.支持）")
    private String temperature;

    @ApiModelProperty(example = "血压（0.不支持，1.支持）")
    private String bloodPressure;

    @ApiModelProperty(example = "血氧（0.不支持，1.支持")
    private String bloodOxygen;

    @ApiModelProperty(example = "白名单（0.不支持，1.支持）")
    private String whiteList;

    @ApiModelProperty(example = "拨号盘（0.不支持，1.支持）")
    private String dial;

    @ApiModelProperty(example = "定时开关机（0.不支持，1.支持）")
    private String timingSwitch;

    @ApiModelProperty(example = "电信版本号（0,否，1.是)")
    private String telecomVersion;

    @ApiModelProperty(example = "打电话(0:不支持,1:支持)")
    private String phoneCall;

    @ApiModelProperty(example = "视频类型名称（0.不支持，1.菊风，2.声网，3.佰锐，4.鹈鹕)")
    private String videoModelName;

    @ApiModelProperty(example = "设备类型")
    private Integer deviceType;

    @ApiModelProperty(example = "设备型号名称")
    private String deviceModelName;

    @ApiModelProperty(example = "是否拒绝陌生人来电(默认为0,（0.否，1.是)")
    private String rejectStrange;

    @ApiModelProperty(example = "拨号盘开关(默认0，1 (打开) 或 0 (关闭))")
    private String dialSwitch;

    @ApiModelProperty(example = "定位模式ID")
    private String positioningModelId;

    @ApiModelProperty(example = "定位模式间隔时间(分钟)")
    private Integer positioningInterval;

    @ApiModelProperty(example = "视频对应的appKey")
    private String appKey;

    @ApiModelProperty(example = "用户登录佰锐视频id")
    private Integer baiRuiId;

    @ApiModelProperty(example = "是否支持自动登录")
    private Integer whetherApply;

}
