package com.ecell.internationalize.app.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 心率/体温配置表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-28
 */
@Data
public class HeartTemperatureConfigDto implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "体温/心率的频率 (30分钟|默认) (60分钟) (90分钟)")
    private Integer frequency;

    @ApiModelProperty(example = "最后一次体温/心率")
    private String lastData;

    @ApiModelProperty(example = "最后一次体温/心率时间上传的时间戳")
    private Integer lastDataTime;

    @ApiModelProperty(example = "上限")
    private String upper;

    @ApiModelProperty(example = "下限")
    private String lower;

    @ApiModelProperty(example = "功能是否启用  0:关闭, 1:打开")
    private String switchOn;

    @ApiModelProperty(example = "心率/体温记录信息")
    private Map<String,List<HeartTemperatureDto>> dataListDict;

    @ApiModelProperty(example = "类型：1：心率配置，2：体温配置，3.血氧配置")
    private String type;
}
