package com.ecell.internationalize.app.entity.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="DeviceInfoPO对象", description="设备信息表")
public class DeviceInfoPO implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备ID")
    private String deviceId;

    @ApiModelProperty(value = "IMEI")
    private String imei;

    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "厂商名称")
    private String firmName;

    @ApiModelProperty(value = "设备型号id")
    private String deviceModelId;

    @ApiModelProperty(value = "设备型号名称")
    private String deviceModelName;

    @ApiModelProperty(value = "导入数量")
    private Integer totalImport;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    @ApiModelProperty(value = "审核者")
    private String reviewer;

    @ApiModelProperty(value = "审核设备（1.单个录入这里存的是设备的IMEI，如果是批量录入这里存的是文件的唯一标识）")
    private String auditDevice;

    @ApiModelProperty(value = "录入标志（0.是单个录入，1.是批量录入")
    private String inputFlag;

    @ApiModelProperty(value = "审核状态（0.是拒绝，1.是待审核,2.是通过，默认为1）")
    private String auditStatus;

    @ApiModelProperty(value = "是否删除（0.是，1.否。默认为1）")
    private String delFlag;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "授权时间")
    private Date authorizaTime;

    @ApiModelProperty(value = "代理商id")
    private String agentId;

    @ApiModelProperty(value = "代理商名称")
    private String agentName;

    @ApiModelProperty(value = "授权标志（0.未授权，1.是已授权。默认为0）")
    private String authorizaFlag;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "录入批次号")
    private  String inputBatch;

    @ApiModelProperty(value = "是否激活（0.未激活，1.是已激活。默认为0）")
    private  String whetherActivation;

    @ApiModelProperty(value = "是否绑定（0.未绑定，1.是已绑定。默认为0）")
    private  String whetherBinding;

    /** 功能模块说明 */
    @TableField(exist = false)
    private String funDescription;

}
