package com.ecell.internationalize.app.entity.tcp;

import lombok.Data;

/**
 * @author borui
 */
@Data
public class AgoraInfo {
    /**
     * 用户当前是否在频道内
     * 当 in_channel 的值为 false 时，不会返回其他字段。
     */
    private Boolean in_channel;
    /**
     *  用户加入频道的 Unix 时间戳，单位为秒。
     */
    private int join;
    /**
     * 用户在频道内的角色
     * 0: 未知
     * 1：通信场景下的用户
     * 2：直播场景下的主播
     * 3：直播场景下的观众
     */
    private int role;
    /**
     * 用户设备所属平台，常见的返回值如下
     * 1：Android
     * 2：iOS
     * 5：Windows
     * 6：Linux
     * 7：Web
     * 8：macOS
     * 0：其他平台
     */
    private int platform;
}
