package com.ecell.internationalize.app.fallback;
import com.ecell.internationalize.app.entity.po.DeviceInfoPO;
import com.ecell.internationalize.app.feign.DeviceInfoFeign;
import com.ecell.internationalize.common.core.exception.ServiceException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class DeviceInfoFeignFallBack implements FallbackFactory<DeviceInfoFeign> {
    private static final Logger log = LoggerFactory.getLogger(DeviceInfoFeignFallBack.class);
    @Override
    public DeviceInfoFeign create(Throwable e) {
        return new DeviceInfoFeign() {
            @Override
            public DeviceInfoPO queryDeviceInfoByImei(String imei) {
                log.error("获取到的设备异常信息:{}",imei,e.getMessage());
                throw new ServiceException(e.getMessage());
            }
        };
    }
}
