package com.ecell.internationalize.app.feign;
import com.ecell.internationalize.app.entity.po.DeviceInfoPO;
import com.ecell.internationalize.app.fallback.DeviceInfoFeignFallBack;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(value = "ecell-internationalize-system",contextId = "yisai-system-app", fallbackFactory = DeviceInfoFeignFallBack.class,decode404 = true)
public interface DeviceInfoFeign {
    @GetMapping("/device-info/query/deviceInfo/{imei}")
    DeviceInfoPO queryDeviceInfoByImei(@PathVariable(value = "imei") String imei);
}
