//package com.ecell.internationalize.app.issue;
//
//import com.alibaba.fastjson2.JSON;
//import com.ecell.internationalize.app.entity.dto.AlarmClockDto;
//import com.ecell.internationalize.app.entity.dto.DeviceDisabledAppDto;
//import com.ecell.internationalize.common.core.context.SecurityContextHolder;
//import com.ecell.internationalize.common.core.utils.StringUtils;
//import com.ecell.internationalize.common.issue.constant.CommonConstant;
//import com.ecell.internationalize.common.issue.entity.issuedto.*;
//import com.ecell.internationalize.common.issue.entity.tcp.DistributeParent;
//import com.ecell.internationalize.common.redis.service.RedisService;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.kafka.core.KafkaTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.*;
//import java.util.concurrent.TimeUnit;
//
//@Component
//public class IssueInstructions {
//    private static final Logger log = LoggerFactory.getLogger(IssueInstructions.class);
//    @Autowired
//    private RedisService redisService;
//    @Autowired
//    private KafkaTemplate<String,Object> kafkaTemplate;
//
//    public void emitDeviceDemand(String type, String imei, Object object){
//        //获取用户id
//        String stringUserId = SecurityContextHolder.getStringUserId();
//        log.info("指令下发内容:{}",object);
//        //查询缓存设备状态
//        String onlineStatus = redisService.getCacheMapValue(imei, "onlineStatus");
//        if ("centerPhone".equals(type)){// 中心号码设置（下发）只有管理员绑定设备，和管理员转让才下发该指令 29
//            CenterPhoneSetting centerPhoneSetting =(CenterPhoneSetting) object;
//            addRedis(imei,type,"centerPhone","centerPhoneSync",centerPhoneSetting,onlineStatus);
//        }else if ("sos".equals(type)){ //sos下发 20
//            SOS sos = (SOS)object;
//            addRedis(imei,type,"sos","sosSync",sos,onlineStatus);
//        }else if ("alarm".equals(type)){ //闹钟（下发） 17
//            AlarmClockDto alarm = (AlarmClockDto)object;
//            addRedis(imei,type,"alarms","alarmsSync",alarm,onlineStatus);
//        }else if ("disturb".equals(type)){ //上课禁用（下发）18
//            DeviceDisabledAppDto disturb =(DeviceDisabledAppDto)object;
//            addRedis(imei,type,"disBan","disBanSync",disturb,onlineStatus);
//        }else if ("PowerOff".equals(type)){ //远程关机（下发） 只有管理员才能操作
//            DistributeParent distributeParent =(DistributeParent)object;
//            addRedis(imei,type,"PowerOff","PowerOffSync",distributeParent,onlineStatus);
//        }else if ("rejectStrangeCallStatus".equals(type)){ //陌生人来电开关（下发）19
//            RejectStrangeCallStatus rejectStrangeCallStatus =(RejectStrangeCallStatus)object;
//            addRedis(imei,type,"reject","rejectSync",rejectStrangeCallStatus,onlineStatus);
//        }else if ("dialSwitch".equals(type)){//拨号盘开关（下发）
//            DialSwitch dialSwitch =(DialSwitch)object;
//            addRedis(imei,type,"dialSwitch","dialSwitchSync",dialSwitch,onlineStatus);
//
//        }else if ("locationUploadInterval".equals(type)){ //位置上报间隔设置（下发）22
//            LocationUploadInterval locationUploadInterval =(LocationUploadInterval)object;
//            if (StringUtils.isNotNull(locationUploadInterval)){
//                if (StringUtils.isNotEmpty(locationUploadInterval.getSecond().toString())){
//                    locationUploadInterval.setSecond(locationUploadInterval.getSecond()*60);
//                } else {
//                    locationUploadInterval.setSecond(600);
//                }
//            }
//
//            addRedis(imei,type,"locMode_rate","locMode_rateSync",locationUploadInterval,onlineStatus);
//        }else if ("contact".equals(type)) { //通讯录下发  TODO 这里还要理一下逻辑
//            Contact contact = (Contact) object;
//            addRedis(imei, type, "contacts", "contactsSync", contact, onlineStatus);
//        }else if ("volume".equals(type)){ //音量设置（下发）21
//            Volume volume =(Volume)object;
//            addRedis(imei,type,"volume", "volumeSync",volume,onlineStatus);
//
//        }else if ("reset".equals(type)){ //恢复出厂设置（下发）25
//            restDevice(imei);
//        }else if ("authCode".equals(type)){ //服务器下发设备验证码（下发）36
//            AuthCode authCode =(AuthCode)object;
//            redisService.setCacheMapValue(imei,"token",authCode.getToken());
//        }else if ("requestLocation".equals(type)){ //请求定位（下发）15
//            log.info("请求定位下发 imei:%s object: %s", imei, object);
//            setRedisKey(type,imei,stringUserId);
////            String requestLocation = String.format("requestLocation:%s:%s",imei, stringUserId);
////            redisService.setCacheObject(requestLocation,stringUserId, 60L, TimeUnit.SECONDS);
//        }else if ("requestWifi".equals(type)){ //TCP-API接口文档没有 先不做
//
//        }else if ("inquire".equals(type)){ //查话费和流量（下发）27
//            log.info("查话费和流量下发 imei:%s object: %s", imei, object);
//            setRedisKey(type,imei,stringUserId);
////            String requestLocation = String.format("inquire:%s:%s",imei, stringUserId);
////            redisService.setCacheObject(requestLocation,stringUserId, 60L, TimeUnit.SECONDS);
//        }else if ("downRemotePhoto".equals(type)){ //远程拍照（下发）11
//            log.info("远程拍照下发imei:%s object: %s", imei, object);
//            setRedisKey(type,imei,stringUserId);
//
//        }else if ("chatMessage".equals(type)){ //文字下发 14
//            log.info(" APP发送文字消息给手表imei:%s object: %s", imei, object);
//            List<ChatMessage> list =new ArrayList<>();
//            ChatMessage chatMessage =(ChatMessage)object;
//            //先查询redis
//           // Object messageText = redisService.getCacheMapValue(imei, "messageText");
//            String messageText = redisService.getCacheMapValue(imei, "messageText");
//          if (StringUtils.isNotNull(messageText)){
//             // String s = JSON.toJSONString(messageText);
//              list = JSON.parseArray(messageText, ChatMessage.class);
//              list.add(chatMessage);
//
//          }else {
//              list.add(chatMessage);
//          }
//            addRedis(imei,type,"messageText","messageTextSync",list,onlineStatus);
//        }else if ("downChatVoice".equals(type)) { //微聊语音下发
//            log.info("微聊语音下发 imei:{} object:{}", imei, object);
//            List<DownChatVoice> list = new ArrayList<>();
//            DownChatVoice downChatVoice = (DownChatVoice) object;
//           // Object messageVoice = redisService.getCacheMapValue(imei, "messageVoice");
//            String messageVoice = redisService.getCacheMapValue(imei, "messageVoice");
//            log.info("收到messageVoice：{}",messageVoice);
//            if (StringUtils.isNotNull(messageVoice)) {
//               // String s = JSON.toJSONString(messageVoice);
//                log.info("解析出的数据是:{}",messageVoice);
//                log.info("解析出的数据是:{}",messageVoice.length());
//                if (messageVoice.length()>4){
//                    list = JSON.parseArray(messageVoice, DownChatVoice.class);
//                    list.add(downChatVoice);
//                }else {
//                    list.add(downChatVoice);
//                }
//
//
//            } else {
//                list.add(downChatVoice);
//            }
//            addRedis(imei, type, "messageVoice", "messageVoiceSync", list, onlineStatus);
//
//        }else if ("downPPmessage".equals(type)){ //碰碰交友消息下发指令(JSON 协议使用) 45
//            log.info("碰碰交友消息下发 imei:%s object: %s", imei, object);
//            List<DownPPmessage> list = new ArrayList<>();
//            DownPPmessage downChatVoice = (DownPPmessage) object;
//           // Object messageVoice = redisService.getCacheMapValue(imei, "downPPmessage");
//            String messageVoice = redisService.getCacheMapValue(imei, "downPPmessage");
//            if (StringUtils.isNotNull(messageVoice)) {
//               // String s = JSON.toJSONString(messageVoice);
//                    list = JSON.parseArray(messageVoice, DownPPmessage.class);
//                    list.add(downChatVoice);
//
//
//            } else {
//                list.add(downChatVoice);
//            }
//
//        }else if ("setHeartRate".equals(type)){ //心率指令下发 60
//            HeartRate heartRate=(HeartRate)object;
//            if (CommonConstant.NUMBER_ONE == heartRate.getFrequency().intValue() || CommonConstant.NUMBER_TWO ==heartRate.getFrequency().intValue()){
//                String format = String.format("upHeartRate:%s:%s", imei, stringUserId);
//                redisService.setCacheObject(format,stringUserId, 60L*2, TimeUnit.SECONDS);
//            }else if (CommonConstant.NUMBER_ZERO==heartRate.getFrequency()){
//                log.info("APP 关闭心率上传frequency{},imei{}:",heartRate.getFrequency(),imei);
//            }else {
//                addRedis(imei,type,"setHeartRate","setHeartRateSync",heartRate,onlineStatus);
//            }
//        }else if ("setBodyTemperature".equals(type)){ //体温指令下发 60
//            HeartRate heartRate=(HeartRate)object;
//            if (CommonConstant.NUMBER_ONE == heartRate.getFrequency().intValue() || CommonConstant.NUMBER_TWO ==heartRate.getFrequency().intValue()){
//                String format = String.format("upBodyTemperature:%s:%s", imei, stringUserId);
//                redisService.setCacheObject(format,stringUserId, 60L*2, TimeUnit.SECONDS);
//            }else if (CommonConstant.NUMBER_ZERO==heartRate.getFrequency()){
//                log.info("APP 关闭心率上传frequency{},imei{}:",heartRate.getFrequency(),imei);
//            }else {
//                addRedis(imei,type,"setBodyTemperature","setBodyTemperatureSync",heartRate,onlineStatus);
//            }
//
//        }else if ("setBootOff".equals(type)){ //定时开关机数据设置下发指令 62
//            BootOff bootOff =(BootOff)object;
//            addRedis(imei,type,"setBootOff","setBootOffSync",bootOff,onlineStatus);
//
//        }else if ("setSetpSwitch".equals(type)){ //APP 下发计步开关和目标步数指令60
//            SetpSwitch setpSwitch =(SetpSwitch)object;
//            addRedis(imei,type,"setSetpSwitch","setSetpSwitchSync",setpSwitch,onlineStatus);
//
//        }else if ("flower".equals(type)){ //小红花设置（下发）
//            Flower flower =(Flower) object;
//            addRedis(imei,type,"flower","flowerSync",flower,onlineStatus);
//
//        }else if ("downSchoolTimeTable".equals(type)){ //APP 下发课程表信息 (下发)
//                DownSchoolTimeTable downSchoolTimeTable =(DownSchoolTimeTable) object;
//                addRedis(imei,type,"downSchoolTimeTable","downSchoolTimeTableSync",downSchoolTimeTable,onlineStatus);
//        }else if ("studentInfo".equals(type)){//平台下发学生信息
//            StudentInfo studentInfo =(StudentInfo) object;
//            addRedis(imei,type,"studentInfo","studentInfoSync",studentInfo,onlineStatus);
//
//        }
//
//        //设备在线才下发指令
//        if(CommonConstant.AUDIT_STATUS_ONE.equals(onlineStatus)){
//            log.info("下发到kafka指令:{},状态{}",object,onlineStatus);
//            sendKafka(object);
//        }
//
//        //else if ("setGPS".equals(type)){//不用做
//
//       // }
////        }else if ("lowBatWarningSwitch".equals(type)){ //设置腕表 SOS 短信报警开关(1: 开, 0: 关) 30 这里注释掉没有用到
////            DialSwitch dialSwitch =(DialSwitch) object;
////
////        }
//
//
//
//    }
//
//    /**
//     *
//     * @param imei 设备IMEI
//     * @param type 指令下发类型
//     * @param key1 缓存的key1
//     * @param key2 缓存的key2
//     * @param o 下发指令的内容
//     * @param onlineStatus 缓存中设备的状态
//     */
//    // 设置缓存
//    private void addRedis(String imei, String type, String key1, String key2, Object o, String onlineStatus){
//        log.info("存到redis数据库结果 type：%s:{},  data:%s:{}", key1, o);
//        redisService.setCacheMapValue(imei,key1,JSON.toJSONString(o));
//        if (CommonConstant.AUDIT_STATUS_ONE.equals(onlineStatus)){
//            log.info("设备imei: %s 在线",imei);
//        }else {
//            redisService.setCacheMapValue(imei,key2,"1");
//        }
//
//    }
//
//    // 下发KAFKA
//     public void sendKafka(Object object){
//        log.info("下发到kafka的数据信息:{}",object);
//         kafkaTemplate.send(CommonConstant.WATCHPUSH_KAFKA, JSON.toJSONString(object)).addCallback(success->{
//             log.info("发送到kafka具体信息{},partition 分区 {},offset {}", success.getRecordMetadata().topic(),success.getRecordMetadata().partition(),success.getRecordMetadata().offset());
//
//         },failure -> {
//             //失败
//             log.info("下发到kafka的数据信息失败：{}",failure.getMessage());
//             log.info("发送到kafka具体信息{}",JSON.toJSONString(object));
//
//         });
//
//
//     }
//
//
//    /**
//     * 恢复出厂设置
//     * @param imei
//     */
//    private void restDevice(String imei){
//          List<String> list = Arrays.asList("messageVoice", "messageVoiceSync", "centerPhone", "weather", "weather_time", "weather_adcode", "locMode_rate", "locMode_rateSync", "reject", "rejectSync", "dialSwitch",
//                "dialSwitchSync", "volume", "volumeSync", "downSchoolTimeTable", "downSchoolTimeTableSync", "setHeartRate", "setHeartRateSync", "setBodyTemperature", "setBodyTemperatureSync",
//                "setBootOff", "setBootOffSync", "setSetpSwitch", "setSetpSwitchSync", "ppmessage", "ppmessageSync", "sos", "sosSync", "familyPhoneList", "familyPhoneListSync", "whitePhoneList",
//                "whitePhoneListSync", "studentInfo", "studentInfoSync");
//        log.info("设备恢复出厂设置:{}",imei);
//      //  delRedisKey(imei,list);
//        boolean flag= redisService.deleteObject(imei);
//        log.info("删除缓存是否成功：{}",flag);
//        if (flag){
//            redisService.setCacheMapValue(imei,"contacts","{\"last\":0,\"ident\":1616,\"contact\":[],\"index\":0,\"type\":'contact'}");
//            redisService.setCacheMapValue(imei,"contactsSync", "1");
//            redisService.setCacheMapValue(imei,"alarms", "{\"ident\":3030,\"alarm\":[],\"type\":'alarm'}");
//            redisService.setCacheMapValue(imei, "alarmsSync", "1");
//            redisService.setCacheMapValue(imei, "disBan", "{\"disturb\": [], \"ident\": 2828, \"type\": 'disturb'}");
//            redisService.setCacheMapValue(imei, "disBanSync", "1");
//            redisService.setCacheMapValue(imei, "onlineStatus", "0");
//            redisService.setCacheMapValue(imei, "agent", "20000");
//            redisService.setCacheMapValue(imei, "deviceHead","YS");
//        }
//
//
//     }
//
//    /**
//     * 删除缓存
//     */
//     private void delRedisKey(String imei,List<String>list){
//         Map<String, Object> cacheMap = redisService.getCacheMap(imei);
//         log.info("redids 中的键值对:{}",cacheMap);
//         if (redisService.deleteObject(imei)){
//             try {
//                 Iterator<Map.Entry<String, Object>> iterator = cacheMap.entrySet().iterator();
//                 while (iterator.hasNext()){
//                     Map.Entry<String, Object> next = iterator.next();
//                     if (list.stream().anyMatch(a->a.equals(next.getKey()))){
//                         redisService.setCacheMapValue(imei,next.getKey(),next.getValue());
//                     }
//                 }
//             }catch (Exception e){
//                 log.info("删除redis失败 imei{},数据{}",imei,cacheMap);
//             }
//
//         }
//
//     }
//
//
//    // 下发KAFKA
//    public void sendKafkaTwo(String imei,Object object){
//        log.info("下发到kafka的数据信息:{}",object);
//        kafkaTemplate.send(CommonConstant.WATCHPUSH_KAFKA, imei,JSON.toJSONString(object)).addCallback(success->{
//            log.info("发送到kafka具体信息{},partition 分区 {},offset {}", success.getRecordMetadata().topic(),success.getRecordMetadata().partition(),success.getRecordMetadata().offset());
//
//        },failure -> {
//            //失败
//            log.info("下发到kafka的数据信息失败：{}",failure.getMessage());
//            log.info("发送到kafka具体信息{}",JSON.toJSONString(object));
//
//        });
//
//
//    }
//
//    /**
//     *  存入redis中
//     */
//    private void setRedisKey(String type,String imei,String userId){
//        String s = String.format(type+":%s:%s",imei, userId);
//        log.info("存入redis中的key:{},data:{}",s,userId);
//        redisService.setCacheObject(s,userId, 60L, TimeUnit.SECONDS);
//    }
//
//
//
//
//}
