package com.ecell.internationalize.app.kafka.consumer;

import com.ecell.internationalize.app.task.AppKafkaTask;
import com.ecell.internationalize.common.core.utils.StringUtils;
import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.kafka.annotation.KafkaListener;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.stereotype.Component;

@Component
public class KafkaConsumer {
    private static final Logger log = LoggerFactory.getLogger(KafkaConsumer.class);
    //@Value("${kafka_group.groupId}")
   // private String groupId;
    @Autowired
    @Qualifier("threadPoolTaskKafka")
    private ThreadPoolTaskExecutor threadPoolTaskKafka;
    // 消费监听 "jianyou_tongxin_TCPPUSH_Location","jianyou_tongxin_TCPPUSH_VIP",
    @KafkaListener(groupId = "CID_kafka_tongxin_APIConsumer_Kafka_Location_internationalize",topics ={"jianyou_tongxin_TCPPUSH_Location","jianyou_tongxin_TCPPUSH_VIP","jianyou_tongxin_TCPPUSH_LK","jianyou_tongxin_TCPPUSH","jianyou_tongxin_WatchPUSH_Kafka"} )
    public void onMessage3(ConsumerRecord<String, Object> record) {
        log.info("接收位置kafka数据,topik:{},分区：{},offset:{},数据:{}", record.topic(), record.partition(), record.offset(),record.value());
        if (StringUtils.isNotNull(record.value())) {
            threadPoolTaskKafka.submit(new AppKafkaTask(record.value()));
        }
    }

    // 消费监听链路
//    @KafkaListener(groupId = "CID_kafka_tongxin_APIConsumer_Kafka_LK",topics ="jianyou_tongxin_TCPPUSH_LK" )
//    public void onMessage4(ConsumerRecord<?, ?> record){
//        // 消费的哪个topic、partition的消息,打印出消息内容.
//       log.info("接收kafka数据,topik:{},分区：{},offset:{}", record.topic(), record.partition(), record.offset());
//        if (StringUtils.isNotNull(record.value())) {
//            threadPoolTaskKafka.submit(new AppKafkaTask(record.value()));
//        }
//    }

//    // 消费监听
//    @KafkaListener(groupId = "CID_kafka_tongxin_APIConsumer_Kafka",topics ="jianyou_tongxin_TCPPUSH" )
//    public void onMessage1(ConsumerRecord<String, Object> record){
//        // 消费的哪个topic、partition的消息,打印出消息内容
//        System.out.println("简单消费1："+record.topic()+"-"+record.partition()+"-"+record.value());
//    }
//    // 消费监听
//    @KafkaListener(groupId = "CID_kafka_tongxin_APIConsumer_Kafka_VIP1",topics ="jianyou_tongxin_TCPPUSH_VIP" )
//    public void onMessage2(ConsumerRecord<String, Object> record){
//        // 消费的哪个topic、partition的消息,打印出消息内容
//        System.out.println("简单消费2："+record.topic()+"-"+record.partition()+"-"+record.value());
//    }

//        String value = (String) record.value();
//        log.info("TCP上传的位置信息:{}",value);
//        if (StringUtils.isNotEmpty(value)){
//            PositionInfo positionInfo = JSONObject.parseObject(value, PositionInfo.class);
//            if ("location".equals(positionInfo.getType())){
//                log.info("获取到的位置信息:{}",positionInfo);
//                DeviceLocationApp app1 = LocationUtil.getLocation(positionInfo);
//                //把原始的定位信息也保存到数据库中
//                if (StringUtils.isNotNull(app1)){
//                    OriginalLocationInfoApp app =new OriginalLocationInfoApp();
//                    app.setId(UUID.fastUUID().toString(true));
//                    app.setOldInfo(value);
//                    app.setNewId(app1.getId());
//                    originalLocationInfoAppService.save(app);
//                }
//            }
//
//            // System.out.println("简单消费3："+record.topic()+"-"+record.partition()+"-"+record.value());
     //   }

//    }

//
//    // 消费监听
//    @KafkaListener(groupId = "CID_kafka_tongxin_APIConsumer_KafkaSjtc_OverTimeCallBack",topics ="jianyou_tongxin_TCPPUSH_Sjtc_OverTimeCallBack" )
//    public void onMessage5(ConsumerRecord<?, ?> record){
//        // 消费的哪个topic、partition的消息,打印出消息内容
//        System.out.println("回调："+record.topic()+"-"+record.partition()+"-"+record.value());
//    }

}
