package com.ecell.internationalize.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.app.entity.VideoCallApp;
import com.ecell.internationalize.app.entity.VideoModelDto;
import com.ecell.internationalize.app.entity.dto.DeviceInfoDTO;
import com.ecell.internationalize.app.entity.po.VideoModelInfoPO;
import com.ecell.internationalize.common.system.entity.PositioningModelInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
public interface VideoCallAppMapper extends BaseMapper<VideoCallApp> {
    VideoModelInfoPO getVideoByImei(@Param("imei")String imei);
    String queryDeviceModelById(String modelId);
    PositioningModelInfo queryPositioningModelInfo(@Param("imei")String imei);
    PositioningModelInfo queryPositioningModelInfoById(@Param("imei")String imei);

    VideoModelDto findVideoByImei(@Param("imei")String imei);


    /**
     * 根据imei更新首次登录时间
     * @param imei
     * @param firstLoginTime
     */
    void updateDeviceFirstLoginTimeOrLastLoginTimeByImei(@Param("imei") String imei, @Param("firstLoginTime")Date firstLoginTime,@Param("lastLoginTime")Date lastLoginTime);

    DeviceInfoDTO queryDeviceDTOByImei(@Param("imei")String imei);
}
