package com.ecell.internationalize.app.service;
import com.ecell.internationalize.app.entity.dto.ApplyFollowDto;
import com.ecell.internationalize.app.entity.dto.ApprovalDto;
import com.ecell.internationalize.app.entity.dto.BindingDeviceDto;
import com.ecell.internationalize.app.entity.dto.DeviceUnbindDto;
import com.ecell.internationalize.common.system.entity.User;

import java.util.Map;

public interface BindingDevice {
    /**
     * 根据设备imei查询该imei是否已入库
     */
    Map<String,Object> queryDeviceByImei(String imei);

    /**
     * 根据email查询用户是否绑定了手机号码
     * @param email
     * @return
     */
    User isInputPhoneByEmail(String email);

    /**
     *
     * 绑定新增设备
     * @param dto
     * @return
     */
    Map<String,String> addDevice(BindingDeviceDto dto, String path);

    /**
     * 设备绑定成功之后推送消息给管理员
     * @param applyFollowDto
     * @return
     */
    boolean SendPushToAccount(ApplyFollowDto applyFollowDto);


    /**
     * 此接口自动绑定设备 弃用
     * @param applyFollowDto
     * @return
     */

    boolean AutomaticBinding(ApplyFollowDto applyFollowDto);


    /**
     * 管理员审批申请关注
     * @param dto
     * @return
     */
    boolean approvalFollowStatus(ApprovalDto dto);

    /**
     * 解除绑定
     * @param dto
     * @return
     */
    boolean DeviceUnbind(DeviceUnbindDto dto);


}
