package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.dto.DeviceOwnerVo;
import com.ecell.internationalize.app.entity.dto.QueryOwnerInfoDto;
import com.ecell.internationalize.app.entity.dto.UpdateOwnerInfoDto;
import com.ecell.internationalize.common.issue.entity.issuedto.DialSwitchDto;
import com.ecell.internationalize.common.system.entity.DeviceOwnerInfoApp;

/**
 * <p>
 * 设备拥有者信息 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-18
 */
public interface DeviceOwnerInfoAppService extends IService<DeviceOwnerInfoApp> {
    /**
     * 根据imei查询设备拥有者信息
     * @param imei
     * @return
     */
    DeviceOwnerInfoApp queryOwnerInfoByimei(String imei);

    int updateData(UpdateOwnerInfoDto deviceOwnerInfoApp);

    void sendToKafka(DeviceOwnerInfoApp deviceOwnerInfoApp);

    DeviceOwnerVo queryOwnerInfo(String imei);

    void shutDownToKafka(String imei);

    void sendDialSwitchToKafka(DialSwitchDto deviceOwnerInfoApp);

    QueryOwnerInfoDto queryDeviceInfo(String imei);
}
