package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.DeviceVideoApp;
import com.ecell.internationalize.app.entity.dto.DeviceVideoConfigDto;
import com.ecell.internationalize.app.entity.dto.DeviceVideoDto;

import java.util.List;

/**
 * <p>
 * 视频通话表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
public interface DeviceVideoAppService extends IService<DeviceVideoApp> {
    /**
     * @Title: DeviceVideoAppService
     * @Author: liy
     * @Date: 2022/10/18 10:47
     * @Description: 可视频通话列表查询
     * @Version:1.0
     */
    List<DeviceVideoDto> findVideoList(String imei);
    /**
     * @Description: 与设备进行通话
     * @param imei imei号
     * @param callType 通话类型
     * @param  type  上传/下发指令的类型
     * @param userId 用户的userId APP/手表<==>存在该值
     * @param callDevice 手表<==>手表存在该值
     * @param deviceVideoType 视频类型
     *  @param uid 手表id
     */
    int videoCall(String imei, String callType,String type,String userId,String callDevice,String deviceVideoType,String uid);

    /**
     * @Title: DeviceVideoAppService
     * @Author: liy
     * @Date: 2022/10/18 10:47
     * @Description: APP发起视频/语音通话后主动挂断(在手表还未接到响铃的情况下)
     * @Version:1.0
     */
    void deleteCall(String imei, String videoId);
    /**
     * @Title: DeviceVideoAppService
     * @Author: liy
     * @Date: 2022/10/18 10:47
     * @Description: 返回视频id，参数配置(分辨率、通话时长限制等)信息
     * @Version:1.0
     */
    DeviceVideoConfigDto userQueryVideo(String imei, String callType, String type);

    /**
     * 声网发起视频通话后主动挂断 (在手表还未接到响铃的情况下)
     * @param imei
     * @param videoId
     */
    void hangUpCall(String imei, String videoId);

    /**
     * @Description: 设备与设备进行通话
     * @param imei imei号
     * @param callType 通话类型
     * @param  type  上传/下发指令的类型
     * @param userId 用户的userId APP/手表<==>存在该值
     * @param callDevice 手表<==>手表存在该值
     * @param deviceVideoType 视频类型
     *  @param uid 手表id
     */

    int videoCallDevice(String imei, String callType,String type,String userId,String callDevice,String deviceVideoType,String uid);
}
