package com.ecell.internationalize.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.dto.HeartTemperatureConfigDto;
import com.ecell.internationalize.common.system.entity.HeartTemperatureConfig;
import com.ecell.internationalize.common.system.entity.HeartTemperatureRecord;

import java.text.ParseException;
import java.util.List;

/**
 * <p>
 * 心率/体温配置表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-28
 */
public interface HeartTemperatureConfigService extends IService<HeartTemperatureConfig> {
    /**
     * 查询心率/体温配置信息
     * @param imei imei
     * @param type type为：1 表示查询心率配置,type为 2 表示查询体温配置
     * @param date 日期
     * @return HeartTemperatureConfigDto
     */
    HeartTemperatureConfigDto queryHeartOrTemperature(String imei, String type, String date) throws ParseException;

    /**
     * 查询血氧数据
     * @param imei
     * @return
     */
    List<HeartTemperatureRecord> queryHeartOrBodyOxygen(String imei);

    /**
     * 开始测量体温/心率
     * @param imei imei
     * @param type type为：1 表示查询心率配置,type为 2 表示查询体温配置
     * @param cmd 为1:表示开启开关,cmd为2:上传频率
     * @param obj cmd为1上传开关状态,cmd为2上传频率
     * @return
     */
    void checkHeartOrTemperature(String imei, String type, String cmd, String obj);
}
