package com.ecell.internationalize.app.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.app.entity.TrackInfoApp;
import com.ecell.internationalize.app.entity.dto.TrackInfoAppDto;
import com.ecell.internationalize.app.entity.dto.TrackInfoDto;
import com.ecell.internationalize.app.entity.po.TrackInfoAppPO;

import java.util.List;

/**
 * <p>
 * 轨迹表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-17
 */
public interface TrackInfoAppService extends IService<TrackInfoApp> {
    /**
     * 根据imei查询轨迹信息
     * @param dto
     * @return
     */
    List<TrackInfoAppDto>queryTrackInfoByImei(TrackInfoDto dto);

    /**
     * 查询当前的轨迹
     * @param imei
     * @return
     */
    List<TrackInfoAppPO> queryListByImei(String imei);

    boolean queryInfo();

    /**
     * 根据日期删除轨迹
     * @param date
     * @return
     */
    boolean deleteTrackInfoByDate(String imei,String date);
}
