package com.ecell.internationalize.app.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @Title: WeChatPayService
 * @Author: liy
 * @Date: 2022/11/23 10:23
 * @Description: 具体的封装参数向微信发起请求返回code_url即二维码，和回调的业务
 * @Version:1.0
 */
public interface WeChatPayService {
    /**
     * @Author liy
     * @Description NATIVE支付模式（二维码网页扫码支付）
     * @Date 2022/11/23 10:26
     * @Param * null:
     * @return * String
     */
    String getNative();
    /**
     * @Author liy
     * @Description 回调接口
     * @Date 2022/11/23 10:26
     * @Param * request,response
     * @return null
     */
    void payNotify(HttpServletRequest request, HttpServletResponse response) throws IOException;
}
