package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.AppUnbindLog;
import com.ecell.internationalize.app.entity.dto.AppUnbindLogPageDto;
import com.ecell.internationalize.app.mapper.AppUnbindLogMapper;
import com.ecell.internationalize.app.service.AppUnbindLogService;
import com.ecell.internationalize.common.core.utils.StringUtils;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2023-02-23
 */
@Service
public class AppUnbindLogServiceImpl extends ServiceImpl<AppUnbindLogMapper, AppUnbindLog> implements AppUnbindLogService {

    @Override
    public IPage<AppUnbindLog> queryListByImei(AppUnbindLogPageDto dto) {
        IPage page = new Page(dto.getCurrent(), dto.getPageSize());
        QueryWrapper<AppUnbindLog> wrapper =new QueryWrapper<>();
        String imei = dto.getImei();
        if (StringUtils.isNotNull(imei)){
            wrapper.eq("imei",imei);
        }
        wrapper.orderByDesc("create_time");
        return   baseMapper.selectPage(page,wrapper);
    }

    @Async
    public void  saveUnbindInfo(AppUnbindLog log){
        super.save(log);
    }

}
