package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.ChantGroupApp;
import com.ecell.internationalize.app.entity.ChatGroupMessageApp;
import com.ecell.internationalize.app.entity.dto.ChatGroupMessageDto;
import com.ecell.internationalize.app.mapper.ChatGroupMessageAppMapper;
import com.ecell.internationalize.app.service.ChantGroupAppService;
import com.ecell.internationalize.app.service.ChatGroupMessageAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.core.utils.uuid.UUID;
import com.ecell.internationalize.common.issue.component.IssueInstructions;
import com.ecell.internationalize.common.issue.entity.issuedto.ChatMessageIssue;
import com.ecell.internationalize.common.issue.entity.issuedto.DownChatVoice;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 群聊消息表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Service
public class ChatGroupMessageAppServiceImpl extends ServiceImpl<ChatGroupMessageAppMapper, ChatGroupMessageApp> implements ChatGroupMessageAppService {
    @Autowired
    private IssueInstructions issueInstructions;
    @Autowired
    private ChantGroupAppService chantGroupAppService;
    @Override
    public void sendToKafka(ChatGroupMessageDto chatGroupMessageDto) {
        LambdaQueryWrapper<ChantGroupApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(ChantGroupApp::getId,chatGroupMessageDto.getGroupId());
        ChantGroupApp chantGroupApp = chantGroupAppService.getBaseMapper().selectOne(lambdaQueryWrapper);
        String imei=null!=chantGroupApp?chantGroupApp.getImei():"";
        //语音下发
        if ("3".equals(chatGroupMessageDto.getMyType())) {
            //语音微聊实体
            DownChatVoice downChatVoice = new DownChatVoice();
            downChatVoice.setId(UUID.fastUUID().toString(true));
            downChatVoice.setVoicePath(chatGroupMessageDto.getFileName());
            downChatVoice.setDuration(chatGroupMessageDto.getDuration());
            downChatVoice.setVoiceUrl(chatGroupMessageDto.getContent());
            downChatVoice.setSize(chatGroupMessageDto.getSize());
            downChatVoice.setType("downChatVoice");
            downChatVoice.setIdent("66666");
            downChatVoice.setVender("20000");
            downChatVoice.setOpenid(SecurityContextHolder.getStringUserId());
            downChatVoice.setImei(imei);
            downChatVoice.setTime(System.currentTimeMillis());
            //3.调用方法缓存入redis
            issueInstructions.emitDeviceDemand("downChatVoice",imei, downChatVoice);
        }
        //文字下发
        else if ("1".equals(chatGroupMessageDto.getMyType())){
            ChatMessageIssue chatMessage=new ChatMessageIssue();
            chatMessage.setId(UUID.fastUUID().toString(true));
            chatMessage.setContent(chatGroupMessageDto.getContent());
            chatMessage.setType("chatMessage");
            chatMessage.setIdent("66666");
            chatMessage.setVender("20000");
            chatMessage.setOpenid(SecurityContextHolder.getStringUserId());
            chatMessage.setImei(imei);
            chatMessage.setTime(System.currentTimeMillis());
            //3.调用方法缓存入redis
            issueInstructions.emitDeviceDemand("chatMessage",imei, chatMessage);
        }
    }
}
