package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.DeviceTimeSwitchApp;
import com.ecell.internationalize.app.mapper.DeviceTimeSwitchAppMapper;
import com.ecell.internationalize.app.service.DeviceTimeSwitchAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.issue.component.IssueInstructions;
import com.ecell.internationalize.common.issue.entity.issuedto.BootOff;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 定时开关机 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-21
 */
@Service
@Slf4j
public class DeviceTimeSwitchAppServiceImpl extends ServiceImpl<DeviceTimeSwitchAppMapper, DeviceTimeSwitchApp> implements DeviceTimeSwitchAppService {
    @Autowired
    private IssueInstructions issueInstructions;
    @Override
    public void sendToKafka(DeviceTimeSwitchApp deviceTimeSwitchApp) {
        BootOff bootOff=new BootOff();
        bootOff.setImei(deviceTimeSwitchApp.getImei());
        bootOff.setOpenid(SecurityContextHolder.getStringUserId());
        bootOff.setIdent("12345678");
        bootOff.setTime(System.currentTimeMillis());
        bootOff.setType("setBootOff");
        bootOff.setVender("20000");
        bootOff.setStartTime(deviceTimeSwitchApp.getStartTime());
        bootOff.setEndTime(deviceTimeSwitchApp.getEndTime());
        bootOff.setStatus(Integer.valueOf(deviceTimeSwitchApp.getStatus()));
        //3.调用方法缓存入redis，开始指令下发
        issueInstructions.emitDeviceDemand("setBootOff",deviceTimeSwitchApp.getImei(),bootOff);
    }
}
