package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.ReminderMessageApp;
import com.ecell.internationalize.app.mapper.ReminderMessageAppMapper;
import com.ecell.internationalize.app.service.ReminderMessageAppService;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 提醒消息表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-26
 */
@Service
public class ReminderMessageAppServiceImpl extends ServiceImpl<ReminderMessageAppMapper, ReminderMessageApp> implements ReminderMessageAppService {
    @Autowired
    private ReminderMessageAppMapper reminderMessageAppMapper;
    /**
     * 分页查询提醒消息
     * @param current 当前页
     * @param pageSize 每页多少条记录
     * @return list
     */
    @Override
    public IPage<ReminderMessageApp> queryRemind(Integer current, Integer pageSize) {
        String userId= SecurityContextHolder.getStringUserId();
        Page<ReminderMessageApp> page=new Page<>(current,pageSize);
        return reminderMessageAppMapper.queryRemind(page,userId);
    }

//    @Override
//    @Transactional(rollbackFor = Exception.class)
//    public boolean saveReminderMessage(List<ReminderMessageApp> appList) {
//        if (StringUtils.isNotEmpty(appList) && appList.size()> CommonConstant.NUMBER_ZERO){
//           return saveBatch(appList);
//        }else {
//            return false;
//        }
//
//
//    }
}
