package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.mapper.VersionRatioMapper;
import com.ecell.internationalize.app.service.VersionRatioHistoryService;
import com.ecell.internationalize.app.service.VersionRatioService;
import com.ecell.internationalize.common.core.utils.uuid.UUID;
import com.ecell.internationalize.common.system.entity.VersionRatio;
import com.ecell.internationalize.common.system.entity.VersionRatioHistory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.util.Date;

/**
 * <p>
 * 用户版本统计 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
@Service
public class VersionRatioServiceImpl extends ServiceImpl<VersionRatioMapper, VersionRatio> implements VersionRatioService {
    private static final Logger logger = LoggerFactory.getLogger(VersionRatioServiceImpl.class);
    @Autowired
    private VersionRatioService versionRatioService;
    @Autowired
    private VersionRatioHistoryService versionRatioHistoryService;
    @Override
    public void historyActive() throws ParseException {
        //获取前一天的日期
        SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd");
        LocalDate localDate=LocalDate.now().minusDays(1);
        String preTime=localDate.toString();
        logger.info("前一天的日期为:{}",preTime);
        Date d1=sdf.parse(preTime);
        String start=String.valueOf(d1.getTime()).substring(0,10);
        long startTime=d1.getTime();
        String end=String.valueOf(startTime+86399*1000).substring(0,10);
        long endTime=Long.parseLong(end);
        logger.info("startTime:{}",startTime);
        logger.info("endTime:{}",endTime);
        LambdaQueryWrapper<VersionRatio> lambdaQueryWrapper=new LambdaQueryWrapper<>();
        lambdaQueryWrapper.le(VersionRatio::getTimestamp,endTime);
        lambdaQueryWrapper.ge(VersionRatio::getTimestamp,Long.parseLong(start));
        int count = versionRatioService.count(lambdaQueryWrapper);
        logger.info("前一天活跃的用户数为:{}",count);
        VersionRatioHistory versionRatioHistory=new VersionRatioHistory();
        versionRatioHistory.setId(UUID.fastUUID().toString(true));
        versionRatioHistory.setHistoryTime(preTime);
        versionRatioHistory.setHistoryTotal(count);
        versionRatioHistoryService.getBaseMapper().insert(versionRatioHistory);
    }
}
