package com.ecell.internationalize.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.app.entity.VideoCallApp;
import com.ecell.internationalize.app.entity.dto.DeviceInfoDTO;
import com.ecell.internationalize.app.entity.po.VideoModelInfoPO;
import com.ecell.internationalize.app.mapper.VideoCallAppMapper;
import com.ecell.internationalize.app.service.VideoCallAppService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-20
 */
@Service
public class VideoCallAppServiceImpl extends ServiceImpl<VideoCallAppMapper, VideoCallApp> implements VideoCallAppService {

    @Override
    public List<VideoCallApp> queryVideoList(String imei) {
        QueryWrapper wrapper =new QueryWrapper();
        wrapper.eq("imei",imei);
        return baseMapper.selectList(wrapper);
    }

    /**
     * 对外提供的接口
     * @param modeId
     * @return
     */
    public String queryDeviceModelById(String modeId){
        return baseMapper.queryDeviceModelById(modeId);
    }

    /**
     * 对外提供的接口
     * @param imei
     * @return VideoModelInfoPO
     */
    public VideoModelInfoPO getVideoByImei(String imei){
        return baseMapper.getVideoByImei(imei);
    }

    public DeviceInfoDTO queryDeviceDTOByImei(String imei){
        return baseMapper.queryDeviceDTOByImei(imei);
    }


    /**对外提供接口
     * 根据imei更新设备首次登录时间和最后登录时间
     * 对外提供的接口
     * @param imei
     * @return VideoModelInfoPO
     */
    public void UpdateDeviceInfoByImei(String imei,Date firstLoginTime,Date lastLoginTime){
        baseMapper.updateDeviceFirstLoginTimeOrLastLoginTimeByImei(imei,firstLoginTime,lastLoginTime);

    }
}
