package com.ecell.internationalize.app.thread;

import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.ThreadPoolExecutor;

//@EnableAsync
//@Configuration
public class AppThreadPool {

   // @Bean
    public ThreadPoolTaskExecutor threadPoolTaskExecutorApp(){
        ThreadPoolTaskExecutor threadPoolTaskExecutor =new ThreadPoolTaskExecutor();
        //设置核心线程数
        threadPoolTaskExecutor.setCorePoolSize(4);
        //本机CPU数量
        int i = Runtime.getRuntime().availableProcessors();
        //设置最大线程池数量
        threadPoolTaskExecutor.setMaxPoolSize(2*i);
        //设置队列
        threadPoolTaskExecutor.setQueueCapacity(10000);
        //设置线程空闲存活时间单位秒
        threadPoolTaskExecutor.setKeepAliveSeconds(60);
        //配置线程池的前缀
        threadPoolTaskExecutor.setThreadNamePrefix("async-app-mqtt-");
        //拒绝策略
        threadPoolTaskExecutor.setRejectedExecutionHandler( new ThreadPoolExecutor.CallerRunsPolicy());
        //等待所有任务结束后关闭线程池
       // threadPoolTaskExecutor.setWaitForTasksToCompleteOnShutdown(true);
        threadPoolTaskExecutor.initialize();
        return threadPoolTaskExecutor;

    }
}
