package com.ecell.internationalize.app.util;

import java.nio.charset.StandardCharsets;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @Title: MD5Utils
 * @Author: liy
 * @Date: 2022/11/17 17:05
 * @Description:
 * @Version:1.0
 */
public class Md5Utils {
    /** 小写加密*/
    private static final char[] HEXDIGITS = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};

    private static String toHex(byte[] bytes) {
        StringBuffer str = new StringBuffer(32);
        for (byte b : bytes) {
            str.append(HEXDIGITS[(b & 0xf0) >> 4]);
            str.append(HEXDIGITS[(b & 0x0f)]);
        }
        return str.toString();
    }

    public static String signUtil(String timestamp) throws NoSuchAlgorithmException {
        MessageDigest md5 = null;
        md5 = MessageDigest.getInstance("MD5");
        md5.update("104088249".getBytes(StandardCharsets.UTF_8));
        md5.update("33a6df6da5a10d0e81c6737a192213fc".getBytes(StandardCharsets.UTF_8));
        md5.update(timestamp.getBytes(StandardCharsets.UTF_8));
        md5.update("53fe6cd9-fca1-465d-b358-37067329f052".getBytes(StandardCharsets.UTF_8));
        return toHex(md5.digest());
    }
    /**
     * 利用java原生的摘要实现SHA256加密
     *
     * @param str  加密后的报文
     * @return
     */
    public static String getSha256Str(String str) {
        MessageDigest messageDigest;
        String encodeStr = "";
        try {
            messageDigest = MessageDigest.getInstance("SHA-256");
            messageDigest.update(str.getBytes(StandardCharsets.UTF_8));
            encodeStr = byte2Hex(messageDigest.digest());
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
        }
        return encodeStr;
    }
    /**
     * 将byte转为16进制
     *
     * @param bytes
     * @return
     */
    private static String byte2Hex(byte[] bytes) {
        StringBuilder stringBuffer = new StringBuilder();
        String temp = null;
        for (int i = 0; i < bytes.length; i++) {
            temp = Integer.toHexString(bytes[i] & 0xFF);
            if (temp.length() == 1) {
                // 1得到一位的进行补0操作
                stringBuffer.append("0");
            }
            stringBuffer.append(temp);
        }
        return stringBuffer.toString();
    }
}
