package com.ecell.internationalize.app.util;

import com.ecell.internationalize.common.core.exception.ServiceException;
import com.ecell.internationalize.common.issue.entity.tcp.AgoraResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import javax.annotation.PostConstruct;

/**
 * @author borui
 */
@Component
@RefreshScope
public class VideoUtil {
    private static final Logger log = LoggerFactory.getLogger(VideoUtil.class);
    @Value("${agora.video.path:https://api.agora.io/dev/v1/channel/user/property/}")
    private String path;
    @Value("${agora.video.appid:78fd9304a7434c248458a08e121ddc2f}") //f692ba8aa8b941afa9421d10a5f7b929
    private String appid;
    @Autowired
    private  RestTemplate restTemplateTwo;

    private static RestTemplate restTemplate;
    private static String videoPath;
    private static String videoAppid;

    @PostConstruct
    public void init() {
        VideoUtil.restTemplate = restTemplateTwo;
        VideoUtil.videoAppid =appid;
        VideoUtil.videoPath =path;
    }

    /**
     *
     * @param imei 设备的imei--->相当于视频通道
     * @param uid  用户的ID
     * @return 用户当前是否在频道内 true-->在当前频道内 false-->不在视频频道内
     */
    public static boolean queryAgoraStatus(String imei,int uid) throws ServiceException {
        //组装url参数
        String path = String.format(videoPath + "%s/%s/%s", videoAppid, uid, imei);
        AgoraResult result = restTemplate.getForObject(path, AgoraResult.class);
        log.info("声网返回的值是:{}",result);
        if (result.getSuccess()){
                log.info("声网返回的值是:{}",result);
               return result.getData().getIn_channel();

        }else {
           throw new ServiceException("链接声网失败");
        }

    }



}
