local key = KEYS[1]
local limit = tonumber(ARGV[1])
local now = tonumber(ARGV[2])

-- 获取当前计数和上一次重置的时间
local currentCount = redis.call('HGET', key, 'localLimitCount')
local lastReset = redis.call('HGET', key, 'lastResetLimitTime')

-- 如果没有记录，则初始化
if not currentCount or not lastReset then
    currentCount = 0
    lastReset = 0
end

-- 将字符串转换为数字
currentCount = tonumber(currentCount)
lastReset = tonumber(lastReset)
now=tonumber(now)


-- 检查是否需要重置
if lastReset ~= now then
    -- 重置计数器和上一次重置的时间
    redis.call('HMSET', key, 'localLimitCount', 0, 'lastResetLimitTime', now)
    currentCount = 0
end

-- 增加计数
redis.call('HINCRBY', key, 'localLimitCount', 1)

-- 检查是否超过限制
return currentCount <= limit and 1 or 0