package com.ecell.internationalize.auth.config;

import com.ecell.internationalize.common.core.utils.ServletUtils;
import com.ecell.internationalize.common.core.utils.SpringUtils;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import net.bytebuddy.implementation.bytecode.constant.FieldConstant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.MessageSource;
import org.springframework.http.HttpRequest;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import java.util.Locale;

/**
 * @author borui
 */
@RestControllerAdvice
public class ExceptionAdviceConfig {
    private static final Logger logger = LoggerFactory.getLogger(ExceptionAdviceConfig.class);
    /**
     * 全局异常处理,配置国际化
     * @Author: liy
     * @Date: 2022/7/8 13:53
     */
    @ExceptionHandler(Exception.class)
    public AjaxResult exceptionHandler(Exception e) {
        e.printStackTrace();
        return AjaxResult.error(LocaleUtil.getMessage("messages.error"));
    }
}
