package com.ecell.internationalize.auth.fallback;

import com.ecell.internationalize.auth.feign.SysUserFeignClient;
import com.ecell.internationalize.common.core.domain.UserLogin;
import com.ecell.internationalize.common.core.exception.ServiceException;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import net.bytebuddy.implementation.bytecode.constant.FieldConstant;
import org.springframework.stereotype.Component;

/**
 * @author borui
 */
@Component
public class SysUserFeignServiceFallBack implements SysUserFeignClient {
    @Override
    public UserLogin queryByUser(String username) {
        throw new ServiceException(LocaleUtil.getMessage("messages.fallback.info"));
    }

    @Override
    public void update(UserLogin userLogin) {
        throw new ServiceException(LocaleUtil.getMessage("messages.fallback.info"));
    }
}
