package com.ecell.internationalize.auth.feign;

import com.ecell.internationalize.auth.fallback.SysUserFeignServiceFallBack;
import com.ecell.internationalize.common.core.domain.UserLogin;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author borui
 */
@FeignClient(value = "ecell-internationalize-security",fallback = SysUserFeignServiceFallBack.class,contextId ="ecell-internationalize-security003")
public interface SysUserFeignClient {
    /**
     * 通过用户名查询用户信息
     * @param userName 用户名
     * @return 结果
     */
    @GetMapping("sys_user/user/queryByUserName")
    UserLogin queryByUser(@RequestParam("userName") String userName);
    /**
     * 修改用户信息
     * @param userLogin 实体对象
     * @return 结果
     */
    @PostMapping("sys_user/user/updateLoginStatus")
    void update(@RequestBody UserLogin userLogin);

}
