package com.ecell.internationalize.common.system.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.common.security.utils.SecurityUtils;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.context.annotation.Bean;

import java.util.Date;

/**
 * @author borui
 */
public class MybatisPlusPageConfig implements MetaObjectHandler {
    /**
     * 分页插件，交给Spring管理
     * @return 分页插件的实例
     */
    @Bean
    public PaginationInterceptor paginationInterceptor() {
        return new PaginationInterceptor();
    }

    @Override
    public void insertFill(MetaObject metaObject) {
        setFieldValByName(FieldConstant.CREATE_TIME, new Date(), metaObject);
        if (StringUtils.isNotEmpty(SecurityUtils.getUsername())){
            setFieldValByName(FieldConstant.CREATE_USER, SecurityUtils.getUsername(),metaObject);
        }

    }

    @Override
    public void updateFill(MetaObject metaObject) {
        setFieldValByName(FieldConstant.UPDATE_TIME, new Date(), metaObject);
        if (StringUtils.isNotEmpty(SecurityUtils.getUsername())){
            setFieldValByName(FieldConstant.UPDATE_USER,SecurityUtils.getUsername(),metaObject);
        }

    }
}
