package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DeviceOwnerInfoApp对象", description="设备拥有者信息")
public class DeviceOwnerInfoApp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id",type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "设备拥有者名字")
    private String name;

    @ApiModelProperty(value = "设备拥有者性别")
    private String sex;

    @ApiModelProperty(value = "设备拥有者生日")
    private String birthday;

    @ApiModelProperty(value = "设备拥有者身高")
    private String height;

    @ApiModelProperty(value = "设备拥有者体重")
    private String weight;

    @ApiModelProperty(value = "今日步数")
    private Integer step;

    @ApiModelProperty(value = "当前翻滚次数")
    @TableField("rollNum")
    private Integer rollNum;

    @ApiModelProperty(value = " 小红花个数")
    private Integer flower;

    @ApiModelProperty(value = "SOS 短信报警开关（0.关，1.开）")
    @TableField("SOS_AL")
    private String sosAl;

    @ApiModelProperty(value = "低电短信报警开关（0.关，1.开）")
    @TableField("LOWBAT_AL")
    private String lowbatAl;

    @ApiModelProperty(value = "设备电话号码")
    private String phone;

    @ApiModelProperty(value = "头像文件名 xxx.jpg")
    private String image;

    @ApiModelProperty(value = "通讯录个数上限")
    private Integer contactUpperLimit;

    @ApiModelProperty(value = "运营商标识（0 ：移动,1 ：联通 ,2 ：电信）")
    private String networkOperator;

    @ApiModelProperty(value = "设备激活时间")
    @TableField("activateTime")
    private Date activateTime;

    @ApiModelProperty(value = "设备当前音量等级")
    private Integer volume;

    @ApiModelProperty(value = "电量百分比")
    private Integer battery;

    @ApiModelProperty(value = "电量最高等级")
    private Integer maxLevel;

    @ApiModelProperty(value = "电量当前等级")
    private Integer currLevel;

    @ApiModelProperty(value = "预留电量省电模式")
    @TableField("powerModel")
    private Integer powerModel;

    @ApiModelProperty(example = "是否拒绝陌生人来电(默认为0,（0.否，1.是)")
    @TableField("rejectStrange")
    private String rejectStrange;

    @ApiModelProperty(value = "设备当前定位模式")
    @TableField("locMode")
    private String locMode;

    @ApiModelProperty(value = "最后一次保存的电量")
    @TableField("lastBattery")
    private Integer lastBattery;

    @ApiModelProperty(value = "是否已同步数据(0.否，1.是 默认为:0)")
    private String sync;

    @ApiModelProperty(value = "设备首次登录系统时间")
    @TableField("firstLoginTime")
    private Date firstLoginTime;

    @ApiModelProperty(value = "设备最后一次登录系统时间")
    @TableField("lastloginTime")
    private Date lastloginTime;

    @ApiModelProperty(value = "最后一次视频通话的id")
    private String videoId;

    @ApiModelProperty(value = "最新的一次视频通话的id")
    @TableField("new_video_id")
    private String newVideoId;

    @ApiModelProperty(value = "视频通话总秒数(手表所有的视频通话的总秒数)")
    private Integer videoTotalcalltime;

    @ApiModelProperty(value = "语音通话总秒数(手表所有的视频通话的总秒数)")
    private Integer voiceTotalcalltime;

    @ApiModelProperty(value = "创建人(这里实际存的是邮箱,第一次绑定添加设备的人的邮箱)")
//    @TableField(value ="create_user" ,fill = FieldFill.DEFAULT)
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 与孩子关系
     */
    @TableField(exist = false)
    @ApiModelProperty(example = "与孩子关系")
    private String relation;

    /**
     * 拨号盘开关
     */
    @ApiModelProperty(example = "拨号盘开关(默认0，1 (打开) 或 0 (关闭))")
    private String dialSwitch;

    @ApiModelProperty(example = "定位模型ID")
    private String positioningModelId;

    @ApiModelProperty(example = "定位模型间隔(分钟)")
    @TableField("positioning_interval")
    private int positioningInterval;

    @ApiModelProperty(example = "手表连接佰锐视频的id")
    private Integer baiRuiId;


}
