package com.ecell.internationalize.common.system.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="HeartTemperatureConfig对象", description="心率/体温配置表")
public class HeartTemperatureConfig  implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "体温/心率的频率 (30分钟|默认) (60分钟) (90分钟)")
    private Integer heartTemperatureFreq;

    @ApiModelProperty(example = "最后一次体温/心率")
    private String lastHeartTemperature;

    @ApiModelProperty(example = "最后一次体温/心率的时间")
    private Integer  lastHeartTemperatureTime;

    @ApiModelProperty(example = "上限")
    private String upper;

    @ApiModelProperty(example = "下限")
    private String lower;

    @ApiModelProperty(example = "功能是否启用  0:关闭, 1:打开")
    private String switchOn;

    @ApiModelProperty(example = "创建人",hidden = true)
    private String createUser;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "修改人",hidden = true)
    private String updateUser;

    @ApiModelProperty(example = "修改时间",hidden = true)
    private Date updateTime;

    @ApiModelProperty(example = "类型：1：心率配置，2：体温配置")
    private String type;
}
