package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="HeartTemperatureRecord对象", description="心率/体温记录表")
public class HeartTemperatureRecord implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "设备imei")
    private String imei;

    @ApiModelProperty(example = "心率/体温数据，多少次/分钟")
    private String heartTemperatureRate;

    @ApiModelProperty(example = "创建人",hidden = true)
    private String createUser;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "修改人",hidden = true)
    private String updateUser;

    @ApiModelProperty(example = "修改时间",hidden = true)
    private Date updateTime;

    @ApiModelProperty(example = "类型：1：心率记录，2：体温记录")
    private String type;

    @ApiModelProperty(example = "生成记录时的时间戳")
    private Integer timeStamp;

    @TableField(exist = false)
    private String name;
}
