package com.ecell.internationalize.common.system.entity;

import com.ecell.internationalize.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ImeiFamilyInfo对象", description="")
public class ImeiFamilyInfo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id")
    private String imeiFamilyId;

    @ApiModelProperty(value = "设备imei号")
    @Excel(name = "imei",type = Excel.Type.IMPORT)
    private String imei;

    @ApiModelProperty(value = "亲情号昵称1")
    @Excel(name = "familyNameOne",type = Excel.Type.IMPORT)
    private String familyNameOne;

    @ApiModelProperty(value = "亲情号1")
    @Excel(name = "familyPhoneOne",type = Excel.Type.IMPORT)
    private String familyPhoneOne;

    @ApiModelProperty(value = "亲情号昵称2")
    @Excel(name = "familyNameTwo",type = Excel.Type.IMPORT)
    private String familyNameTwo;

    @ApiModelProperty(value = "亲情号2")
    @Excel(name = "familyPhoneTwo",type = Excel.Type.IMPORT)
    private String familyPhoneTwo;

    @ApiModelProperty(value = "亲情号昵称3")
    @Excel(name = "familyNameThree",type = Excel.Type.IMPORT)
    private String familyNameThree;

    @ApiModelProperty(value = "亲情号3")
    @Excel(name = "familyPhoneThree",type = Excel.Type.IMPORT)
    private String familyPhoneThree;

    @ApiModelProperty(value = "亲情号昵称3")
    @Excel(name = "familyNameFour",type = Excel.Type.IMPORT)
    private String familyNameFour;

    @ApiModelProperty(value = "亲情号4")
    @Excel(name = "familyPhoneFour",type = Excel.Type.IMPORT)
    private String familyPhoneFour;

    @ApiModelProperty(value = "是否删除（0.是，1否。默认1）")
    private String delFlag;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "(来源，1.PC 2.APP)")
    private String source;
}
