package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ecell.internationalize.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ImeiSosInfo对象", description="")
public class ImeiSosInfo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "id,编辑必传")
    @TableId(value = "imei_sos_id",type = IdType.INPUT)
    private String imeiSosId;
    @ApiModelProperty(value = "设备imei号")
    @Excel(name = "imei",type = Excel.Type.IMPORT)
    private String imei;

    @ApiModelProperty(value = "SOS号码1")
    @Excel(name = "sosPhoneOne",type = Excel.Type.IMPORT)
    private String sosPhoneOne;

    @ApiModelProperty(value = "SOS号码2")
    @Excel(name = "sosPhoneTwo",type = Excel.Type.IMPORT)
    private String sosPhoneTwo;

    @ApiModelProperty(value = "SOS号码3")
    @Excel(name = "sosPhoneThree",type = Excel.Type.IMPORT)
    private String sosPhoneThree;

    @ApiModelProperty(value = "是否删除(0.是，1.否.默认1)")
    private String delFlag;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "修改人")
    private String updateUser;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "(来源，1.PC 2.APP)")
    private String source;

}
