package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PositioningModelInfo对象", description="定位模式信息表")
public class PositioningModelInfo implements Serializable {
    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "定位模式id")
    @TableId(value ="positioning_mode_id",type = IdType.INPUT)
    private String positioningModeId;

    @NotEmpty(message = "定位模式1名称不能为空")
    @ApiModelProperty(value = "定位模式1名称(正常模式)")
    private String modelOneName;

    @Min(1)
    @ApiModelProperty(value = "定位模式1间隔（单位分钟）")
    private Integer positioningOneInterva;

    @NotEmpty(message = "定位模式2名称不能为空")
    @ApiModelProperty(value = "定位模式2名称(省电模式)")
    private String modelTwoName;

    @Min(1)
    @ApiModelProperty(value = "定位模式2间隔（单位分钟）")
    private Integer positioningTwoInterva;

    @NotEmpty(message = "定位模式3名称不能为空")
    @ApiModelProperty(value = "定位模式3名称(高频模式)")
    private String modelThreeName;

    @Min(1)
    @ApiModelProperty(value = "定位模式3间隔（单位分钟）")
    private Integer positioningThreeInterva;

    @ApiModelProperty(value = "创建人")
    @TableField(value = "create_user",fill = FieldFill.INSERT)
    private String createUser;

    @ApiModelProperty(value = "修改人")
    @TableField(value = "update_user",fill = FieldFill.UPDATE)
    private String updateUser;

    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "默认值（0.代表默认,默认数据不可以修改）")
    private String defaultValue;

}
