package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user")
public class SysUser implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("user_id")
    private String userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * 用户账号
     */
    private String account;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 用户头像
     */
    private String headImg;

    /**
     * 密码
     */
    private String password;
    /**
     * 新密码
     */
    @TableField(exist = false)
    private String newPassword;

    /**
     * 帐号状态（0正常 1停用）
     */
    private String status;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 登录IP
     */
    private String loginIp;

    /**
     * 最后登录时间
     */
    private String loginDate;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


    /**
     * 厂商Id
     */
    private String firmId;
    /**
     * 代理商Id
     */
    private String secondFirmId;
    /**
     * 代理商名称
     */
    @TableField(exist = false)
    private String secondFirmName;
    /**
     * 标识(1:厂商：2：代理商)
     */
    private String firmFlag;
    /**
     * 厂商名称
     */
    @TableField(exist = false)
    private String firmName;

    /** 角色 */
    @TableField(exist = false)
    private String roleId;

    @TableField(exist = false)
    private String roleName;
}
