package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="user对象",description="用户对象user")
public class User  implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("user_id")
    private String userId;
    /**
     * accessToken
     */
    private String accessToken;

    /**
     * accessToken创建时的时间戳
     */
    private Date accessTokenTime;

    /**
     * 密码
     */
    private String password;

    /**
     * 名字
     */
    @ApiModelProperty(example  = "姓名")
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 手机号
     */
    @ApiModelProperty(example  = "手机号")
    private String phone;

    /**
     * 监听腕表功能用的手机号
     */
    private String monitorWatchPhone;

    /**
     * 头像文件名 xxx.jpg
     */
    @ApiModelProperty(example  = "头像")
    private String image;

    /**
     * 是否接收其他人聊天群消息(0：接收 1：不接收)
     */
    private String chatFlag;

    /**
     * 聊天群组id的未读信息个数（有多个聊天群就有多条字段）
     */
    private String groupId;

    /**
     * 总未读信息个数
     */
    private Integer unreadMsgTotal;

    /**
     * 用户删除消息中心时间戳
     */
    private Date delMsgTime;

    /**
     * 用户删除历史轨迹时间戳
     */
    private Date delLocationTime;

    /**
     * 用户删除话费流量消息时间戳
     */
    private Date delCostTime;

    /**
     * 所属国家
     */
    private String country;

    /**
     * 用户状态
     */
    private String status;

    /**
     * 国家编码
     */
    private String countryCode;

    /**
     * 用户最近一次使用时间
     */
    private Date lastUseTime;

    /**
     * 用户注册时间
     */
    private Date registerTime;

    /**
     * 用户最后一次登录时间
     */
    private Date lastLoginTime;

    /**
     * 登录机型[ios、android]
     */
    private String mobileType;

    /**
     * 用户使用什么渠道APP登录的
     */
    private String channel;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 设备imei
     */
    @TableField(exist = false)
    private String imei;
    /**
     * 用户邮箱
     */
    private String userEmail;
    /**
     * APP相关信息
     */
    private String userAgent;
    @TableField(exist = false)
    private String token;

    private String completeUserAgent;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date userLastTime;

    @TableField(exist = false)
    private String channelName;

    @TableField(exist = false)
    private String version;

    @TableField(exist = false)
    private String relation;
}
