package com.ecell.internationalize.common.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @author borui
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user_device_bind_app")
public class UserDeviceBindApp implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    private String id;

    /**
     * 用户Id
     */
    private String userId;

    /**
     * 设备imei
     */
    private String imei;

    /**
     * 用户身份（默认0：游客，1：普通用户(申请关注的人),2:管理员）
     */
    private String identity;

    /**
     * 与孩子关系
     */
    private String relation;

    /**
     * 与孩子关系头像文件名ID xxx.jpg
     */
    private String relationImageId;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 是否绑定 （0：未绑定，1：绑定）
     */
    private String bindStatus;
    /**
     * 是否审批(0:待审批 ,1：已审批,2:已拒绝)
     */
    private String approveStatus;
    /**
     * 用户邮箱
     */
    private String userEmail;

    private String phone;

}
