package com.ecell.internationalize.common.core.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Rest<T> {
    @ApiModelProperty(value = "服务器返回状态码", name = "code", example = "200", required = true)
    private Integer code;
    @ApiModelProperty(value = "服务状态码中文说明", name = "msg", example = "成功", required = true)
    private String msg;

    private T data;

    public Rest(Integer code, String msg, T o) {
        this.code = code;
        this.msg = msg;
        this.data = o;

    }

    public static <T> Rest <T> ok(T data) {
        return new Rest<T>(200, "操作成功", data);
    }
    public static <T> Rest<T> fail(int code,String msg){
        return new Rest<T>(500, msg,null);
    }
    public static <T> Rest <T> ok(String msg) {
        return new Rest<T>(200, msg, null);
    }
    public static <T> Rest <T> ok(String msg,T data) {
        return new Rest<T>(200, msg, data);
    }
    public static <T> Rest<T> fail(String msg){
        return new Rest<T>(500, msg,null);
    }
}
