package com.ecell.internationalize.common.core.utils.locale;

import com.ecell.internationalize.common.core.utils.ServletUtils;
import com.ecell.internationalize.common.core.utils.SpringUtils;
import com.ecell.internationalize.common.core.utils.StringUtils;
import org.springframework.context.MessageSource;
import org.springframework.http.HttpRequest;

import java.util.Locale;

/**
 * @author borui
 */
public class LocaleUtil {

    public static Locale getLocale() {
        String language = ServletUtils.getHeader(ServletUtils.getRequest(), "ecell-language");

        Locale locale;
        if (StringUtils.isEmpty(language)) {
            locale = Locale.US;
        } else {
            try {
                String[] split = language.split("_");
                locale = new Locale(split[0], split[1]);
            } catch (Exception e) {
                locale = Locale.US;
            }
        }
        return locale;
    }

    public static String getMessage(String code) {
        return SpringUtils.getBean(MessageSource.class).getMessage(code, null, getLocale());

    }

}
    