package com.ecell.internationalize.common.issue.mqtt.push;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.common.issue.constant.CommonConstant;
import com.ecell.internationalize.common.issue.mqtt.AppSingleMqttClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component
public class MqttPush {
    private static final Logger logger = LoggerFactory.getLogger(MqttPush.class);
    private static final String  USER_MQTT_PREDIX="iot08/user/";

    /**
     * 推送到APP
     * @param mode （ 1: 推送给圈子， 2: 推送给多个用户，3: 推送给单个用户）
     * @param systemType (1.Android，2.IOS)
     * @param type (推送消息类型)
     * @param userId (用户id,这里分为用户id，跟管理员ID)
     * @param content (消息内容)
     */
    public void sendMqtt(String mode,String userId,String systemType,String type,String childType,String content){

        String topic=USER_MQTT_PREDIX+userId;
         logger.info("推送模式:{},推送手机系统类型:{},推送信息类型: {}, 推送信息内容：{},推送topic:{},用户ID{}",mode,systemType,type,content,topic,userId);
         if (CommonConstant.AUDIT_STATUS_ONE.equals(mode)){
             if("chatGroupMessage".equals(type)){
                 if (StringUtils.isNotEmpty(systemType)){
                     //IOS
                     if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                         //推送给IOS
                     }else {
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }else {
                     logger.info("推送给安卓3和苹果");
                     //推送给安卓
                     AppSingleMqttClient.publishCustomMessage(2,content,topic);
                 }
             }

         }else if (CommonConstant.AUDIT_STATUS_TWO.equals(mode)){


         }else {
             //标识
            boolean login_status =true;
             if("accountMessage".equals(type)){
                 //一个账号只能有一台设备登录
                 if ("LoginOffLine".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //转让管理员，主动转让管理员信息推送
                 if ("identityTransfered".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //转让管理员，被动接收管理员信息推送
                 if ("identityTransfer".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //删除通讯录成员发送
                 if ("unbind".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //安全围栏下发
                 if ("rail".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //手表<==>APP视频通话
                 if ("video".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //手表 主动挂断 推送 推送给APP
                 if ("reject".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //心率异常下发
                 if ("abnormalHeartRate".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //心率正常下发 upHeartRate
                 if ("upHeartRate".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 //体温异常下发abnormalBodyTemperature
                 if ("abnormalBodyTemperature".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
                 // 体温正常下发 upBodyTemperature
                 if ("upBodyTemperature".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }

                 // 体温正常下发 upBodyTemperature
                 if ("automaticApproval".equals(childType)){
                     login_status =false;
                     if (StringUtils.isNotEmpty(systemType)){
                         //IOS
                         if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                             //推送给IOS

                         }else {
                             //推送给安卓
                             AppSingleMqttClient.publishCustomMessage(2,content,topic);
                         }
                     }else {
                         logger.info("推送给安卓3和苹果");
                         //推送给安卓
                         AppSingleMqttClient.publishCustomMessage(2,content,topic);
                     }
                 }
             }

             if (login_status){
                 //IOS
                 if (CommonConstant.AUDIT_STATUS_TWO.equals(systemType)){
                     //推送给IOS

                 }else {
                     //推送给安卓
                     AppSingleMqttClient.publishCustomMessage(2,content,topic);
                 }

             }

         }



    }

//    //发送消息
//    AppSingleMqttClient.publishCustomMessage()

}
