package com.ecell.internationalize.common.issue.pool;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.ThreadPoolExecutor;
@EnableAsync
@Configuration
public class AppKafkaThreadPool {
        @Bean(name = "threadPoolTaskKafka")
        public ThreadPoolTaskExecutor threadPoolTaskKafka(){
            ThreadPoolTaskExecutor threadPoolTaskKafka =new ThreadPoolTaskExecutor();
          //  threadPoolTaskExecutor.setQueueCapacity(-1); //使用SynchronousQueue 队列
            //设置核心线程数
            threadPoolTaskKafka.setCorePoolSize(4);
            //本机CPU数量
            int i = Runtime.getRuntime().availableProcessors();
            //设置最大线程池数量
            threadPoolTaskKafka.setMaxPoolSize(2*i);
            //设置队列
            threadPoolTaskKafka.setQueueCapacity(100000);
            //设置线程空闲存活时间单位秒
            threadPoolTaskKafka.setKeepAliveSeconds(60);
            //配置线程池的前缀
            threadPoolTaskKafka.setThreadNamePrefix("async-app-kafka-");
            //拒绝策略
            threadPoolTaskKafka.setRejectedExecutionHandler( new ThreadPoolExecutor.CallerRunsPolicy());
            //等待所有任务结束后关闭线程池
           // threadPoolTaskExecutor.setWaitForTasksToCompleteOnShutdown(true);
            threadPoolTaskKafka.initialize();
            return threadPoolTaskKafka;

        }
}
