package com.ecell.internationalize.gateway.constant;

import com.ecell.internationalize.common.core.utils.StringUtils;
import org.slf4j.LoggerFactory;
import org.springframework.http.server.reactive.ServerHttpRequest;
import org.springframework.web.server.ServerWebExchange;

import java.util.List;

/**
 * @author borui
 */
public class MessagesConstant {
    private static final org.slf4j.Logger log = LoggerFactory.getLogger(MessagesConstant.class);
    /**令牌不能为空*/
    public static final String MESSAGES_TOKE_EMPTY_EN="Token cannot be empty";
    public static final String MESSAGES_TOKE_EMPTY_ZH="令牌不能为空";
    /**令牌已过期或验证不正确*/
    public static final String MESSAGES_TOKE_EMPTY_OR_ERROR_EN="Token expired or incorrectly verified";
    public static final String MESSAGES_TOKE_EMPTY_OR_ERROR_ZH="令牌已过期或验证不正确";
    /**登录状态已过期*/
    public static final String MESSAGES_LOGIN_STATUS_EXPIRED_EN="Login status has expired";
    public static final String MESSAGES_LOGIN_STATUS_EXPIRED_ZH="登录状态已过期";
    /**令牌验证失败*/
    public static final String MESSAGES_TOKE_VERIFICATION_FAILED_EN="Token verification failed";
    public static final String MESSAGES_TOKE_VERIFICATION_FAILED_ZH="令牌验证失败";
    /**appId 不能为空*/
    public static final String MESSAGES_APPID_ISEMPTY_FAILED_EN="appId cannot be empty";
    public static final String MESSAGES_APPID_ISEMPTY_FAILED_ZH="appId 不能为空";
    /**appKey 不能为空*/
    public static final String MESSAGES_APPkEY_ISEMPTY_FAILED_EN="appKey cannot be empty";
    public static final String MESSAGES_APPkEY_ISEMPTY_FAILED_ZH="appKey 不能为空";
    /**请求地址不允许访问*/
    public static final String MESSAGES_REQUEST_ADDRESS_EN="The requested address does not allow access";
    public static final String MESSAGES_REQUEST_ADDRESS_ZH="请求地址不允许访问";
    /**服务未找到*/
    public static final String MESSAGES_SERVICE_NOT_FOUND_EN="Service not found";
    public static final String MESSAGES_SERVICE_NOT_FOUND_ZH="服务未找到";
    /**内部服务器错误*/
    public static final String MESSAGES_INTERNAL_SERVER_ERROR_EN="Internal server error";
    public static final String MESSAGES_INTERNAL_SERVER_ERROR_ZH="内部服务器错误";

    /**内部服务器错误*/
    public static final String MESSAGES_API_STATE_ERROR_EN="This account has been disabled";
    public static final String MESSAGES_API_STATE_ERROR_ZH="该账户已被禁用";

    public static final String MESSAGES_API_LIMIT_MAX_ERROR_ZH="当前接口达到最大限流次数";
    public static final String MESSAGES_API_LIMIT_MAX_ERROR_EN="The current interface has reached the maximum current limit times";


    public static final Integer APP_ID_CODE=406;
    public static final Integer APP_KEY_CODE=407;
    public static final Integer STATE_CODE=408;
    public static final Integer LIMIT_CODE=409;

    public static final String STRING_ZERO="0";
    public static final String STRING_ONE="1";


    /**语言类型 中文*/
    public static final String Language_ZH="zh";
    /**语言类型 英文*/
    public static final String Language_EN="en";
    /**语言类型 key*/
    public static final String HEADER_KEY="ecell-language";


    /**
     * 国际化处理
     * @param exchange
     * @return
     */
    public static String getMessages(ServerWebExchange exchange, String zh_msg, String en_msg) {
        //给一个默认值
        String msg = en_msg;
        ServerHttpRequest request = exchange.getRequest();
        if (StringUtils.isNotNull(request)) {
            if (request.getHeaders().containsKey(MessagesConstant.HEADER_KEY)) {
                String zh = exchange.getRequest().getHeaders().getFirst(MessagesConstant.HEADER_KEY);
                if (MessagesConstant.Language_ZH.equals(zh)) {
                    msg = zh_msg;
                } else {
                   // msg = en_msg;
                    msg = zh_msg;
                }
            } else {
                List<String> list = request.getHeaders().get("accept-language");
                if (StringUtils.isNotEmpty(list) && list.size() > 0) {
                    String s = list.get(0).split(",")[0].split("-")[0];
                    log.info("获取头部的accept-language值：", request.getHeaders().get("accept-language"));
                    log.info("获取头部的语言：{}", s);
                    if (MessagesConstant.Language_ZH.equals(s)) {
                        msg = zh_msg;
                    } else {
                       // msg = en_msg;
                        msg = zh_msg;
                    }
                }


            }
        } else {
            msg = en_msg;
        }




        return msg;
    }
}
