package com.ecell.internationalize.system.security.config;

import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @author borui
 */
@RestControllerAdvice
public class ExceptionAdviceConfig {
    private static final Logger logger = LoggerFactory.getLogger(ExceptionAdviceConfig.class);
    /**
     * 全局异常处理,配置国际化
     * @Author: liy
     * @Date: 2022/7/8 13:53
     */
    @ExceptionHandler(Exception.class)
    public AjaxResult exceptionHandler(Exception e) {
        e.printStackTrace();
        logger.error("异常错误信息:{}",e.getCause().getMessage());
        return AjaxResult.error(LocaleUtil.getMessage("messages.error"));
    }
}
