package com.ecell.internationalize.system.security.controller;

import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.entity.SysOperateInfo;
import com.ecell.internationalize.system.security.service.SysOperateInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author borui
 */
@Api(value="用户操作日志",tags={"用户操作日志接口"})
@RestController
@RequestMapping("/sys_user")
public class SysOperateInfoController {
    @Autowired
    private SysOperateInfoService sysOperateInfoService;
    /**
     * 新增日志信息
     * @Author liy
     * @Date 2022/7/21 16:38
     * @param sysOperateInfo 操作日志
     * @Return AjaxResult
     */
    @ApiOperation("新增日志信息")
    @PostMapping("operator/save")
    public AjaxResult save(@RequestBody SysOperateInfo sysOperateInfo){
        return AjaxResult.success(LocaleUtil.getMessage("messages.success"),sysOperateInfoService.save(sysOperateInfo));
    }
    /**
     * 分页查询日志信息
     * @Author liy
     * @Date 2022/7/21 16:38
     * @param map 操作日志
     * @Return AjaxResult
     */
    @PostMapping("operator/pageList")
    @ApiOperation("条件分页查询日志信息")
    public AjaxResult queryAllByPage(@RequestBody Map<String,Object> map){
        return AjaxResult.success(LocaleUtil.getMessage("messages.success"),sysOperateInfoService.findAllByPage(map));
    }
    /**
     * 查询模块名称
     * @Author liy
     * @Date 2022/7/21 16:38
     * @Return AjaxResult
     */
    @PostMapping("operator/queryModuleName")
    @ApiOperation("查询模块名称")
    public AjaxResult queryModuleName(){
        return AjaxResult.success(LocaleUtil.getMessage("messages.success"),sysOperateInfoService.queryModuleName());
    }
}
