package com.ecell.internationalize.system.security.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author borui
 */
@Data
@ApiModel(value = "权限树")
@EqualsAndHashCode(callSuper = true)
public class MenuTree extends TreeNode implements Serializable {
    /**
     * 菜单名称
     */
    @ApiModelProperty(value = "菜单名称")
    private String menuName;
    /**
     * 路由
     */
    @ApiModelProperty(value = "路由")
    private String path;

    public MenuTree() {
    }

    public MenuTree(MenuVO menuVO) {
        this.menuId = menuVO.getMenuId();
        this.parentId = menuVO.getParentId();
        this.menuName = menuVO.getMenuName();
        this.path=menuVO.getPath();
    }
}
