package com.ecell.internationalize.system.security.fallback;
import com.ecell.internationalize.common.core.exception.ServiceException;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.security.entity.FirmManageVO;
import com.ecell.internationalize.system.security.feign.FirmManageFeignClient;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 服务熔断降级
 * @Title: FirmManageFeignClient
 * @Author: liy
 * @Date: 2022/7/18 15:09
 */
@Component
public class FirmManageFeignServiceFallBack implements FirmManageFeignClient {
    @Override
    public AjaxResult queryAll() {
        throw new ServiceException(LocaleUtil.getMessage(FieldConstant.MESSAGES_FALLBACK_INFO));
    }

    @Override
    public AjaxResult findById(String firmId) {
        throw new ServiceException(LocaleUtil.getMessage(FieldConstant.MESSAGES_FALLBACK_INFO));
    }

    @Override
    public List<FirmManageVO> getAgent() {
        throw new ServiceException(LocaleUtil.getMessage(FieldConstant.MESSAGES_FALLBACK_INFO));
    }
}
