package com.ecell.internationalize.system.security.feign;

import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.system.security.entity.FirmManageVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 厂商Feign
 * @Title: FirmManageFeignClient
 * @Author: liy
 * @Date: 2022/7/25 17:33
 */
@FeignClient(value = "ecell-internationalize-system",contextId ="yisai-system001")
public interface FirmManageFeignClient {
    /**
     * 查询所有厂商信息
     * @return List
     */
    @GetMapping("firm_manage/firm/queryAll")
    AjaxResult queryAll();
    /**
     * 根据ID查询厂商信息
     * @param firmId 实体对象
     * @return List
     */
    @GetMapping("firm_manage/firm/queryById")
    AjaxResult findById(@RequestParam("firmId") String firmId);
    /**
     * 查询所有厂商、代理商信息
     * @return List
     */
    @GetMapping("firm_manage/firm/queryAllData")
    List<FirmManageVO> getAgent();
}
