package com.ecell.internationalize.system.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.common.system.entity.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-18
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * 根据用户ID查询权限
     * @param userId 用户ID
     * @return 权限列表
     */
    List<String> selectMenuPermsByUserId(String userId);

    /**
     * 根据用户ID查询菜单
     * @param userId 用户ID
     * @return 菜单列表
     */
     List<SysMenu> selectMenuTreeByUserId(String userId);
    /**
     * 根据用户查询系统菜单列表
     * @param menu 菜单信息
     * @param userId 用户Id
     * @return 菜单列表
     */
     List<SysMenu> selectMenuListByUserId(@Param("menu") SysMenu menu,@Param("userId") String userId);
    /**
     * 角色Id查询菜单相关
     * @Author liy
     * @Date 2022/7/21 16:42
     * @param roleId 角色信息
     * @return List
     */
    List<SysMenu> queryMenuByRoleId(String roleId);
}
