package com.ecell.internationalize.system.security.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ecell.internationalize.common.system.entity.SysUserRole;

import java.util.List;

/**
 * <p>
 * 用户和角色关联 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-18
 */
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {
    /**
     * 批量新增用户角色信息
     *
     * @param userRoleList 用户角色列表
     * @return 结果
     */
     int batchUserRole(List<SysUserRole> userRoleList);
    /**
     * 通过用户ID删除用户和角色关联
     * @param userId 用户ID
     * @return 结果
     */
     int deleteUserRoleByUserId(String userId);
}
