package com.ecell.internationalize.system.security.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.SysMenu;
import com.ecell.internationalize.common.system.entity.SysRoleMenu;
import com.ecell.internationalize.system.security.entity.MenuTree;

import java.util.List;
import java.util.Set;

/**
 * @author borui
 */
public interface SysMenuService extends IService<SysMenu> {
    /**
     *  构建树
     * @Author  liy
     * @Date   2022/7/26 11:07
     * @return List<FirmTree> 权限树集合
     */
    List<MenuTree> getMenuTree();
    /**
     * 根据用户ID查询权限
     *
     * @param userId 用户ID
     * @return 权限列表
     */
    Set<String> selectMenuPermsByUserId(String userId);
    /**
     * 角色Id查询菜单相关
     * @Author liy
     * @Date 2022/7/21 16:42
     * @param roleId 角色信息
     * @return List
     */
    List<SysMenu> queryMenuByRoleId(String roleId);
    /**
     * 根据用户ID查询菜单树信息
     *
     * @param userId 用户ID
     * @return 菜单列表
     */
    List<SysMenu> selectMenuTreeByUserId(String userId);
}
