package com.ecell.internationalize.system.security.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.SysRole;

import java.util.Set;

/**
 * @author borui
 */
public interface SysRoleService extends IService<SysRole> {
    /**
     * 根据用户ID查询角色权限
     *
     * @param userId 用户Id
     * @return 权限列表
     */
    Set<String> selectRolePermissionByUserId(String userId);
    /**
     * 新增用户
     * @Author liy
     * @Date 2022/7/21 16:42
     * @param sysRole 实体类
     * @return void
     */
    int saveRole(SysRole sysRole);
    /**
     * 修改保存角色信息
     * @param sysRole 角色信息
     * @return 结果
     */
    int updateRole(SysRole sysRole);
    /**
     * 删除角色
     * @Author liy
     * @Date 2022/7/21 16:42
     * @param sysRole 角色信息
     * @return int
     */
    int deleteRoleById(SysRole sysRole);
}
