package com.ecell.internationalize.system.security.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.SysUser;

import java.util.Map;

/**
 * @author borui
 */
public interface SysUserService extends IService<SysUser> {
    /**
     * 用户管理条件分页查询
     * @Author liy
     * @Date 2022/7/20 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<SysUser> findAllByPage(Map<String, Object> map);
    /**
     * 新增用户
     * @Author liy
     * @Date 2022/7/20 16:42
     * @param sysUser 实体类
     * @return void
     */
    int saveUser(SysUser sysUser);
    /**
     * 删除用户
     * @Author liy
     * @Date 2022/7/20 16:42
     * @param sysUser 用户
     * @return int
     */
    int deleteUserById(SysUser sysUser);
    /**
     * 修改用户信息
     * @param sysUser 用户信息
     * @return 结果
     */
    int updateUser(SysUser sysUser);
}
