package com.ecell.internationalize.system.security.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.common.system.entity.SysOperateInfo;
import com.ecell.internationalize.system.security.mapper.SysOperateInfoMapper;
import com.ecell.internationalize.system.security.service.SysOperateInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Title: SysOperateInfoServiceImpl
 * @Author: liy
 * @Date: 2022/7/18 16:23
 * @Description:
 * @Version:1.0
 */
@Service
public class SysOperateInfoServiceImpl extends ServiceImpl<SysOperateInfoMapper, SysOperateInfo> implements SysOperateInfoService {
    @Autowired
    private SysOperateInfoMapper sysOperateInfoMapper;
    /**
     * 操作日志条件分页查询
     * @Author liy
     * @Date 2022/7/20 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<SysOperateInfo> findAllByPage(Map<String, Object> map) {
        Page<SysOperateInfo> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return sysOperateInfoMapper.getList(page, map);
    }


    @Override
    public List<String> queryModuleName() {
        return sysOperateInfoMapper.queryModuleName();
    }
}
