package com.ecell.internationalize.system.component;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.system.constant.DeviceModelConstants;
import com.ecell.internationalize.system.utils.HttpServletUtil;
import com.ecell.internationalize.system.utils.IpUtil;
import feign.RequestInterceptor;
import feign.RequestTemplate;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

//@Component
public class FeignRequestHader implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate requestTemplate) {
        HttpServletRequest request = HttpServletUtil.getRequest();
        if (StringUtils.isNotNull(request)){
            Map<String, String> headers = HttpServletUtil.getHeaders(request);
            String userId = headers.get(DeviceModelConstants.DETAILS_USER_ID);
            if (StringUtils.isNotEmpty(userId))
            {
                requestTemplate.header(DeviceModelConstants.DETAILS_USER_ID, userId);
            }
            String userName = headers.get(DeviceModelConstants.DETAILS_USERNAME);
            if (StringUtils.isNotEmpty(userName))
            {
                requestTemplate.header(DeviceModelConstants.DETAILS_USERNAME, userName);
            }
            String authentication = headers.get(DeviceModelConstants.AUTHORIZATION_HEADER);
            if (StringUtils.isNotEmpty(authentication))
            {
                requestTemplate.header(DeviceModelConstants.AUTHORIZATION_HEADER, authentication);
            }


        }

        // 配置客户端IP
        requestTemplate.header("X-Forwarded-For", IpUtil.getIpAddr(HttpServletUtil.getRequest()));
    }
}
