package com.ecell.internationalize.system.config;
import com.baomidou.mybatisplus.generator.AutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.GlobalConfig;
import com.baomidou.mybatisplus.generator.config.PackageConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.rules.NamingStrategy;

/**
 * 自动生成 实体，DAO，service配置
 * @Title: AutoGenerateConfig
 * @Author: liy
 * @Date: 2022/7/6 10:55
 * @Version:1.0
 */
public class AutoGenerateConfig {
    public static void autoGenerate() {
        // Step1：代码生成器
        AutoGenerator mpg = new AutoGenerator();
        // Step2：全局配置
        GlobalConfig gc = new GlobalConfig();
        // 填写代码生成的目录(需要修改)
       // String projectPath = "F:\\dev\\yisai-Cloud\\yisai-modules\\yisai-system";
        String projectPath= "F:\\dev\\yisai-Cloud\\yisai-modules\\yisai-app";
        // 拼接出代码最终输出的目录
        gc.setOutputDir(projectPath + "/src/main/java");
        //实体属性 Swagger2 注解
        gc.setSwagger2(true);
        // 配置开发者信息（可选）（需要修改）
      //  gc.setAuthor("liy");
        // 配置是否打开目录，false 为不打开（可选）
        gc.setOpen(false);
        // 默认生成的 service 会有 I 前缀，这样就没有
        gc.setServiceName("%sService");
        mpg.setGlobalConfig(gc);
        // Step3：数据源配置（需要修改）
        DataSourceConfig dsc = new DataSourceConfig();
        // 配置数据库 url 地址
        dsc.setUrl("jdbc:mysql://192.168.0.106:3306/ys-business?useUnicode=true&characterEncoding=utf8");
        // 配置数据库驱动
        dsc.setDriverName("com.mysql.cj.jdbc.Driver");
        // 配置数据库连接用户名
        dsc.setUsername("root");
        // 配置数据库连接密码
        dsc.setPassword("123456");
        mpg.setDataSource(dsc);

        // Step:4：包配置
        PackageConfig pc = new PackageConfig();
        // 配置父包名（需要修改）
        pc.setParent("com.yisai.app");
       // pc.setParent("com.yisai.system");
        // 配置模块名（需要修改）
       // pc.setModuleName("");
        // 配置 entity 包名
        pc.setEntity("entity");
        // 配置 mapper 包名
        pc.setMapper("mapper");
        // 配置 service 包名
        pc.setService("service");
        // 配置 controller 包名
        pc.setController("controller");
        mpg.setPackageInfo(pc);

        // Step5：策略配置（数据库表配置）
        StrategyConfig strategy = new StrategyConfig();
        // 指定表名（可以同时操作多个表，使用 , 隔开）（需要修改）
        strategy.setInclude("app_unbind_log");
        // 配置数据表与实体类名之间映射的策略
        strategy.setNaming(NamingStrategy.underline_to_camel);
        // 配置数据表的字段与实体类的属性名之间映射的策略
        strategy.setColumnNaming(NamingStrategy.underline_to_camel);
        // 配置 lombok 模式
        strategy.setEntityLombokModel(true);
        // 配置 rest 风格的控制器（@RestController）
        strategy.setRestControllerStyle(true);
        // 配置驼峰转连字符
        strategy.setControllerMappingHyphenStyle(true);
        // 配置表前缀，生成实体时去除表前缀
        // 此处的表名为 test_mybatis_plus_user，模块名为 test_mybatis_plus，去除前缀后剩下为 user。
        strategy.setTablePrefix(pc.getModuleName() + "_");
        mpg.setStrategy(strategy);

        // Step6：执行代码生成操作
        mpg.execute();
    }

    public static void main(String[] args) {
        autoGenerate();
    }
}
