package com.ecell.internationalize.system.controller;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.dto.ReminderMessageAppDto;
import com.ecell.internationalize.system.entity.dto.ReminderMessageQueryDto;
import com.ecell.internationalize.system.service.ReminderMessageAppService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 设备报警 前端控制器
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Api(value="设备报警",tags={"设备报警接口"})
@RestController
@RequestMapping("/device_alarm")
public class DeviceAlarmController {
    @Autowired
    private ReminderMessageAppService reminderMessageAppService;
    /**
     * 设备报警条件分页查询
     * @Author liy
     * @Date 2022/7/12 14:38
     * @Return AjaxResult
     */
    @ApiOperation("条件分页查询设备报警信息")
    @PostMapping("alarm/list")
    public Rest<IPage<ReminderMessageQueryDto>> queryAll(@RequestBody ReminderMessageAppDto reminderMessageAppDto){
        IPage<ReminderMessageQueryDto> allByPage = reminderMessageAppService.findAllByPage(reminderMessageAppDto);
        for (ReminderMessageQueryDto reminderMessageQueryDto:allByPage.getRecords()){
            if ("lowBattery".equals(reminderMessageQueryDto.getType())){
                JSONObject jsonObject = JSONObject.parseObject(reminderMessageQueryDto.getContext());
                String battery=jsonObject.get("battery").toString();
                reminderMessageQueryDto.setAlarmContent(battery+"%");

            }
            if ("sos".equals(reminderMessageQueryDto.getType())){
                JSONObject jsonObject = JSONObject.parseObject(reminderMessageQueryDto.getContext());
                String address=jsonObject.get("address").toString();
                reminderMessageQueryDto.setAlarmContent(address);
            }
            if ("rail".equals(reminderMessageQueryDto.getType())){
                JSONObject jsonObject = JSONObject.parseObject(reminderMessageQueryDto.getContext());
                String railName=jsonObject.get("railName").toString();
                String action=jsonObject.get("action").toString();
                if ("enter".equals(action)){
                    reminderMessageQueryDto.setAlarmContent("进入"+railName);
                }else {
                    reminderMessageQueryDto.setAlarmContent("离开"+railName);
                }
            }
            if ("abnormalHeartRate".equals(reminderMessageQueryDto.getType())){
                JSONObject jsonObject = JSONObject.parseObject(reminderMessageQueryDto.getContext());
                String msgContent=jsonObject.get("msgContent").toString();
                reminderMessageQueryDto.setAlarmContent(msgContent);
            }
            if ("abnormalBodyTemperature".equals(reminderMessageQueryDto.getType())){
                JSONObject jsonObject = JSONObject.parseObject(reminderMessageQueryDto.getContext());
                String msgContent=jsonObject.get("msgContent").toString();
                reminderMessageQueryDto.setAlarmContent(msgContent);
            }
        }
        return Rest.ok(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),allByPage);
    }
}

