package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.dto.DeviceFamilyPageDTO;
import com.ecell.internationalize.system.service.DeviceFamilyInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
@Api(value = "设备家庭成员",tags = "设备家庭成员接口")
@RestController
@RequestMapping("/device-family-info")
public class DeviceFamilyInfoController {
    @Autowired
    private DeviceFamilyInfoService deviceFamilyInfoService;

    @GetMapping("/page/list")
    public AjaxResult queryPageList(DeviceFamilyPageDTO dto){
        return  AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), deviceFamilyInfoService.queryPageList(dto));

    }

}

