package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.constant.UserConstants;
import com.ecell.internationalize.common.core.web.controller.BaseController;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.core.web.page.TableDataInfo;
import com.ecell.internationalize.common.security.utils.SecurityUtils;
import com.ecell.internationalize.system.entity.DeviceModel;
import com.ecell.internationalize.system.entity.vo.DeviceModelVO;
import com.ecell.internationalize.system.service.DeviceModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 设备类型管理信息
 */
@RestController
@RequestMapping("/deviceModel")
@Deprecated
public class DeviceModelController extends BaseController {
    @Autowired
    private DeviceModelService modelService;
    /**
     * 新增设备类型
     */
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody DeviceModel model) {
        if (UserConstants.NOT_UNIQUE.equals(modelService.checkModelNameUnique(model)))
        {
            return AjaxResult.error("新增设备型号'" + model.getDeviceModelName() + "'失败，同一厂商下该名称已存在");
        }
       return toAjax(modelService.insertDeviceModel(model));

    }

    /**
     * 根据条件分页查询设备型号
     * @param model
     * @return
     */
    @GetMapping("/list")
    public TableDataInfo list(DeviceModel model) {

        startPage();
        List<DeviceModelVO> list = modelService.selectModelList(model);
        return getDataTable(list);

    }

    /**
     * 更新设备型号信息
     * @param model
     * @return
     */
    @PostMapping("/edit")
    public AjaxResult edit( @RequestBody DeviceModel model) {
        model.setUpdateBy(SecurityUtils.getUsername());
        return toAjax(modelService.updateDeviceModel(model));
    }

    @DeleteMapping("/del/{id}")
    public AjaxResult remove(@PathVariable String id) {
        //TODO 这里要判断录入总数是否为0 不为0就不能删除

        return toAjax(modelService.deleteDeviceModelById(id));
    }


}
