package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.service.DevicePositionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 设备定位（签到） 前端控制器
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Api(value="设备定位（签到）",tags={"设备定位（签到）接口"})
@RestController
@RequestMapping("/device_position")
public class DevicePositionController {
    @Autowired
    private DevicePositionService devicePositionService;
    /**
     * 设备签到条件分页查询
     * @Author liy
     * @Date 2022/7/12 16:38
     * @param  map 分页条件查询体
     * @Return AjaxResult
     */
    @ApiOperation("条件分页查询设备定位（签到）信息")
    @PostMapping("position/list")
    public AjaxResult queryAll(@RequestBody Map<String,Object> map){
        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),devicePositionService.findAllByPage(map));
    }
}

