package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.service.DeviceStepDailyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 设备步数 前端控制器
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Api(value="设备步数",tags={"设备步数接口"})
@RestController
@RequestMapping("/device_step_daily")
public class DeviceStepDailyController {
    @Autowired
    private DeviceStepDailyService deviceStepDailyService;
    /**
     * 设备步数条件分页查询
     * @Author liy
     * @Date 2022/7/12 10:38
     * @param  map 分页条件查询体
     * @Return AjaxResult
     */
    @ApiOperation("条件分页查询设备步数信息")
    @PostMapping("step/list")
    public AjaxResult queryAll(@RequestBody Map<String,Object> map){
        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),deviceStepDailyService.findAllByPage(map));
    }

}

