package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.dto.DeviceUserPageDTO;
import com.ecell.internationalize.system.service.DeviceUserInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
@Api(value="设备基本信息",tags={"设备基本信息接口"})
@RestController
@RequestMapping("/device-user-info")
public class DeviceUserInfoController {
    @Autowired
    private DeviceUserInfoService deviceUserInfoService;

    @PostMapping ("/page/list")
    public AjaxResult queryPageList(@RequestBody DeviceUserPageDTO dto){
        return  AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), deviceUserInfoService.queryPageList(dto));

    }

    @PostMapping("/page/family")
    public AjaxResult queryPageFamilyList(@RequestBody DeviceUserPageDTO dto){
        return  AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), deviceUserInfoService.queryPageFamilyList(dto));

    }

}

