package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.entity.Rest;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.LatestLocationApp;
import com.ecell.internationalize.system.entity.dto.LocationDto;
import com.ecell.internationalize.system.entity.dto.LocationFindDto;
import com.ecell.internationalize.system.service.DeviceInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-19
 */
@RestController
@Api(value="首页",tags={"首页接口"})
@RequestMapping("/home_page")
public class HomePageController {

    @Autowired
    private DeviceInfoService deviceInfoService;
    /**
     * 分页查询日志
     * @return
     */
    @GetMapping("/query/queryByIMei")
    @ApiOperation("根据imei查询位置信息")
    public Rest<List<LatestLocationApp>> queryByiMei(@ApiParam(value = "imei") String imei){
        return Rest.ok(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),deviceInfoService.queryByiMei(imei));
    }
    @GetMapping("/query/locationTotal")
    @ApiOperation("根据编码统计每个区域的设备数")
    public Rest<List<LocationDto>> locationTotal(){
        return Rest.ok(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),deviceInfoService.locationTotal());
    }
    @GetMapping("/query/queryByCountryOrProvince")
    @ApiOperation("根据国家或者省份查询设备")
    public Rest<List<LocationFindDto>> queryByCountryOrProvince(@ApiParam("国家或者省份") String countryOrProvince, @ApiParam("1：标识国家  2：标识省份")String type){
        return Rest.ok(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS),deviceInfoService.queryByCountryOrProvince(countryOrProvince,type));
    }
}

