package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.utils.poi.ExcelUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.common.system.entity.ImeiFamilyInfo;
import com.ecell.internationalize.system.service.ImeiFamilyInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
@Api(value="亲情号批量管理",tags={"亲情号批量管理接口"})
@RestController
@RequestMapping("/imei-family-info")
public class ImeiFamilyInfoController {
    @Autowired
    private ImeiFamilyInfoService imeiFamilyInfoService;

    /**
     * 亲情号批量录入
     * @return
     */
    @PostMapping("/import/imei-family")
    public AjaxResult importImeiFamily(MultipartFile file)  throws Exception{
        ExcelUtil<ImeiFamilyInfo> util = new ExcelUtil<ImeiFamilyInfo>(ImeiFamilyInfo.class);
        List<ImeiFamilyInfo> imeiList = util.importExcel(file.getInputStream());

        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), imeiFamilyInfoService.importImeiFamily(imeiList));

    }

}

