package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.dto.ImeiLogPageDTO;
import com.ecell.internationalize.system.service.ImeiLogInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 设备录入日志记录 前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-12
 */
@Api(value="设备录入日志记录管理",tags={"设备录入日志记录管理接口"})
@RestController
@RequestMapping("/imei-log-info")
public class ImeiLogInfoController {
    @Autowired
    private ImeiLogInfoService imeiLogInfoService;

    /**
     * 分页查询日志
     * @param dto
     * @return
     */
    @GetMapping("/page/list")
    public AjaxResult queryPageList(ImeiLogPageDTO dto){
        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), imeiLogInfoService.queryByPageList(dto));
    }

}

