package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.utils.poi.ExcelUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.common.system.entity.ImeiSosInfo;
import com.ecell.internationalize.system.service.ImeiSosInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
@Api(value="sos批量录入管理",tags={"sos批量录入管理接口"})
@RestController
@RequestMapping("/imei-sos-info")
public class ImeiSosInfoController {
    @Autowired
    private ImeiSosInfoService imeiSosInfoService;
    /**
     * sos批量录入
     * @return
     */
    @PostMapping("/import/imei-sos")
    public AjaxResult importImeiSOS(MultipartFile file)  throws Exception{
        ExcelUtil<ImeiSosInfo> util = new ExcelUtil<ImeiSosInfo>(ImeiSosInfo.class);
        List<ImeiSosInfo> imeiList = util.importExcel(file.getInputStream());


        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), imeiSosInfoService.importImeiSOS(imeiList));

    }
}

