package com.ecell.internationalize.system.controller;
import com.ecell.internationalize.common.core.utils.locale.LocaleUtil;
import com.ecell.internationalize.common.core.utils.poi.ExcelUtil;
import com.ecell.internationalize.common.core.web.domain.AjaxResult;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.ImeiWhiteInfo;
import com.ecell.internationalize.system.service.ImeiWhiteInfoService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author ${author}
 * @since 2022-07-13
 */
@Api(value="白名单批量录入管理",tags={"白名单批量录入管理接口"})
@RestController
@RequestMapping("/imei-white-info")
public class ImeiWhiteInfoController {
    @Autowired
    private ImeiWhiteInfoService imeiWhiteInfoService;
    /**
     * 白名单批量录入
     * @return
     */
    @PostMapping("/import/imei-sos")
    public AjaxResult importImeiSOS(MultipartFile file)  throws Exception{
        ExcelUtil<ImeiWhiteInfo> util = new ExcelUtil<ImeiWhiteInfo>(ImeiWhiteInfo.class);
        List<ImeiWhiteInfo> imeiList = util.importExcel(file.getInputStream());


        return AjaxResult.success(LocaleUtil.getMessage(FieldConstant.MESSAGES_SUCCESS), imeiWhiteInfoService.importImeiSOS(imeiList));

    }

}

