package com.ecell.internationalize.system.controller.api;
import com.ecell.internationalize.common.core.web.domain.R;
import com.ecell.internationalize.system.entity.api.LocationPO;
import com.ecell.internationalize.system.service.api.ApiFirmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
@RestController
@RequestMapping("/api")
public class ApiController {
    @Autowired
    ApiFirmService apiFirmService;

    /**
     * 根据imei查询设备信息
     * @param imei
     * @return
     */
    @GetMapping("/device/info/{imei}")
    public R queryDeviceInfoByImei(@PathVariable(value = "imei") String imei){

        return  R.ok(apiFirmService.queryDeviceInfoByImei(imei),"操作成功");
    }


    /**
     * 根据条件查询设备轨迹信息
     * @param
     * @return
     */
    @PostMapping ("/device/locationList")
    public R queryDeviceLocaltionList(@RequestBody LocationPO po){

        return  R.ok(apiFirmService.queryDeviceLocaltionList(po),"操作成功");
    }

    /**
     * 下发刷新定位
     * @param imei
     * @return
     */
    @GetMapping ("/device/getLocation/{imei}")
    public R getDeviceLocaltion(@PathVariable(value = "imei") String imei){

        return R.ok(apiFirmService.getDeviceLocaltion(imei),"操作成功");
    }
}
