package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 活动
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("activity")
public class Activity implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 排序号
     */
    private Integer activityOrder;

    /**
     * 原价
     */
    private BigDecimal originalPrice;

    /**
     * banner图
     */
    private String bannerImage;

    /**
     * 活动截至日期
     */
    private Date expiryDate;

    /**
     * 活动类别
     */
    private String activityCategory;

    /**
     * 活动标题
     */
    private String activityTitle;

    /**
     * 售价
     */
    private BigDecimal sellingPrice;

    /**
     * 活动价提前描述
     */
    private String priceRepresent;

    /**
     * 活动年龄段
     */
    private String activityAge;

    /**
     * 活动区域
     */
    private String  activityAreas;

    /**
     * 活动名额
     */
    private String activityQuota;

    /**
     * 活动链接
     */
    private String activityUrl;

    /**
     * 点击数
     */
    private Integer clickCount;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 发布者
     */
    @TableField(value = "publish_user", strategy = FieldStrategy.IGNORED)
    private String publishUser;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "publish_time", strategy = FieldStrategy.IGNORED)
    private Date publishTime;

    /**
     * 是否发布（0：待发布，1：已发布）,默认0
     */
    private String status;


}
