package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 活动banner图
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("activity_banner")
public class ActivityBanner implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 排序号
     */
    @NotNull(message = "排序序号不能为空")
    private Integer bannerOrder;

    /**
     * 是否发布（0：待发布，1：已发布）,默认0
     */
    private String status;

    /**
     * 点击数
     */
    private Integer clickCount;

    /**
     * banner图链接
     */
    private String link;

    /**
     * banner图标题
     */
    @NotBlank(message = "banner图标题不能为空")
    private String title;

    /**
     * banner图
     */
    private String banner;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 发布者
     */
    @TableField(value = "publish_user", strategy = FieldStrategy.IGNORED)
    private String publishUser;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "publish_time", strategy = FieldStrategy.IGNORED)
    private Date publishTime;


}
