package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 广告
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("advert")
public class Advert implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 排序号
     */
    @NotNull(message = "排序序号不能为空")
    private Integer advertOrder;

    /**
     * 广告商
     */
    @NotBlank(message = "广告商名称不能为空")
    private String advertName;

    /**
     * 广告商字母缩写
     */
    @NotBlank(message = "广告商标识不能为空")
    private String advertShortName;

    /**
     * 开关状态（0：关闭，1：打开）,默认0
     */
    private String status;

    /**
     * 开始时间1
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTimeFirst;

    /**
     * 开始时间2
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTimeSecond;

    /**
     * 开始时间3
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTimeThird;

    /**
     * 结束时间1
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTimeFirst;

    /**
     * 结束时间2
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTimeSecond;

    /**
     * 结束时间3
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTimeThird;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
