package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 渠道管理
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("channel")
public class Channel implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 渠道商
     */
    @NotBlank(message = "渠道商名称不能为空")
    private String channelFirm;

    /**
     * APP渠道标识
     */
    @NotBlank(message = "APP渠道标识不能为空")
    private String channelIdentify;


}
