package com.ecell.internationalize.system.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 检查版本更新表
 * </p>
 *
 * @author ${author}
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CheckVersion对象", description="检查版本更新表")
public class CheckVersion implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id")
    private String id;

    @ApiModelProperty(example = "创建人")
    private String createUser;

    @ApiModelProperty(example = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(example = "修改人")
    private String updateUser;

    @ApiModelProperty(example = "修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty(example = "状态（0：禁用，1正常）")
    private String status;

    @ApiModelProperty(example = "APP包名称")
    private String appPackage;

    @ApiModelProperty(example = "APP url")
    private String appUrl;

    @ApiModelProperty(example = "apk名称")
    private String apkName;

    @ApiModelProperty(example = "是否强制更新(0：否，1：是)")
    private String forceUpdate;

    @ApiModelProperty(example = "版本号")
    private String versionNum;

    @ApiModelProperty(example = "版本说明")
    private String versionExplain;

    @ApiModelProperty(example = "备注")
    private String remark;


}
