package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 设备报警
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("device_alarm")
public class DeviceAlarm {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 设备iMei
     */
    @TableField("i_mei")
    private String mei;

    /**
     * 报警类型（0：SOS报警，1：低电报警，2：体温异常，3：心率异常，4:远程拍照，5.电子围栏）
     */
    private String alarmType;

    /**
     * 姓名
     */
    @TableField(exist = false)
    private String name;

    /**
     * 报警
     */
    private String alarm;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
