package com.ecell.internationalize.system.entity;

import com.ecell.internationalize.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "设备型号信息")
@Deprecated
public class DeviceModel extends BaseEntity {
    /**设备型号id */
    @ApiModelProperty("设备型号id ")
    private  String deviceModelId;
    /** 设备型号名称 */
    @NotBlank(message = "设备型号名称不能为空")
    @ApiModelProperty("设备型号名称 ")
    private String deviceModelName;
    /** 厂商id */
    @NotBlank(message = "厂商id不能为空")
    private  String firmId;
    /** 厂商名称 */
    @ApiModelProperty("厂商名称 ")
    private String  firmName;
    /** 定位功能（1.基站，2.基站+wiff,3.基站+GPS，4.基站+wiff+GPS） */
    private String locationFun;
    /** 视频类型名称（0.不支持，其余就是类型的名称) */
    private String videoModelName;
    /** 视频规则（0.默认，其余就是类型的名称) */
    private String videoRule;
    /** 公视频类型id */
    private String videoModelId;
    /** 设备类型（0.默认 1.手表，2.学生卡，3.老人机） */
    private String deviceType;
    /** 公众号平台名称（0.不支持,其余就是公众号的名称） */
    private String officialAccountName;
    /** 手表闹钟（0.不支持，1.支持） */
    private String watchAlarmClock;
    /** 上课禁用（0.不支持，1.支持）*/
    private String classDisable;
    /** SOS号码（0.不支持，1.支持） */
    private String sosPhone;
    /** 电子围栏（0.不支持，1.支持）*/
    private String electronicFence;
    /** 记步功能（0.不支持，1.支持） */
    private String stepRecorder;
    /** 微聊功能（0.不支持，1.支持） */
    private String chatFun;
    /** 查找设备功能（0.不支持，1.支持） */
    private String lookupFun;
    /** 手表WIFF（0.不支持，1.支持） */
    private String watchWiff;
    /** 心率（0.不支持，1.支持）*/
    private String heartRate;
    /** 体温（0.不支持，1.支持） */
    private String temperature;
    /** 血压（0.不支持，1.支持）*/
    private String bloodPressure;
    /** 血氧（0.不支持，1.支持 */
    private String bloodOxygen;
    /** 白名单（0.不支持，1.支持） */
    private String whiteList;
    /** 拨号盘（0.不支持，1.支持）*/
    private String dial;
    /** 定时开关机（0.不支持，1.支持） */
    private String timingSwitch;
    /** 电信版本号（0,否，1.是)*/
    private String telecomVersion;
    /** 是否删除（0,是，1.否)*/
    private String delFlag;





}
