package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 设备步数
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("device_step_daily")
public class DeviceStepDaily {

private static final long serialVersionUID=1L;


    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 设备iMei
     */
    private String imei;

    /**
     * 姓名
     */
    @TableField(exist = false)
    private String name;

    /**
     *  腕表今日步数总数
     */
    private Integer walksNum;

    /**
     * 腕表今日行走总距离(单位:米)
     */
    private Double walksDistance;

    /**
     * 腕表今日消耗卡路里(单位:小卡)
     */
    private Double walksCalorie;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
