package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 代理商实体类
 * </p>
 *
 * @author liy
 * @since 2022-07-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("firm_manage")
public class FirmManage{

    private static final long serialVersionUID = 1L;

    /**
     * 厂商Id
     */
    @TableId("firm_id")
    private String firmId;
    /**
     * 子节点Id
     */
    @TableField(exist = false)
    private String id;
    /**
     * 父类Id
     */
    private String parentId;
    /**
     * 联系人电话号码
     */
    @NotBlank(message = "联系人电话号码不能为空")
    private String phone;
    /**
     * 代理商昵称
     */
    @TableField("firm_name")
    @NotBlank(message = "厂商名称不能为空")
    private String firmName;
    /**
     * 账号状态 0:禁用 1：启用
     */
    private String status;
    /**
     * 后台账号
     */
    private String account;
    /**
     * 后台密码
     */
    private String password;
    /**
     * 截至时间
     */
    @TableField("last_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;
    /**
     * 联系人
     */
    @TableField("link_man")
    @NotBlank(message = "企业联系人不能为空")
    private String linkMan;
    /**
     * 合作开始时间
     */
    @TableField("start_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "合作开始时间不能为空")
    private Date startTime;
    /**
     * 企业地址
     */
    @NotBlank(message = "企业地址不能为空")
    private String location;
    /**
     * 代理商编号
     */
    @TableField("firm_code")
    @NotBlank(message = "厂商编号不能为空")
    private String firmCode;
    /**
     * 推广人员
     */
    @TableField("sales_man")
    @NotBlank(message = "推广人员不能为空")
    private String salesMan;
    /**
     * 企业邮箱
     */
    @TableField("firm_email")
    @NotBlank(message = "企业邮箱不能为空")
    private String firmEmail;
    /**
     * 合作结束时间
     */
    @TableField("end_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "合作结束时间不能为空")
    private Date endTime;
    /**
     * 导入个数
     */
    @TableField("import_num")
    private Integer importNum;
    /**
     * 激活个数
     */
    @TableField("active_num")
    private Integer activeNum;
    /**
     * 创建人
     */
    @TableField(value = "create_user")
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    @TableField(value = "update_user")
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
