package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 首页banner图
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("home_banner")
public class HomeBanner implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 排序号
     */
    private Integer homeOrder;

    /**
     * 是否发布（0：待发布，1：已发布）,默认0
     */
    private String status;

    /**
     * 点击数
     */
    private Integer clickCount;

    /**
     * banner图链接
     */
    private String link;

    /**
     * banner图标题
     */
    private String title;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 发布者
     */
    @TableField(value = "publish_user", strategy = FieldStrategy.IGNORED)
    private String publishUser;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField(value = "publish_time", strategy = FieldStrategy.IGNORED)
    private Date publishTime;

    /**
     * banner图
     */
    private String banner;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /**
     * 小程序ID
     */
    private String appletId;

    /**
     * 小程序跳转的商品Id
     */
    private String appletPath;

    /**
     * 按钮底图的完整URL连接
     */
    private String bottomBtnImage;

    /**
     * 包含二维码的图的完整URL连接
     */
    private String includeCodeImage;

    /**
     * 点击按钮图片,截图提示跳转的话
     */
    private String wordsUrl;


}
