package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备录入日志记录
 * </p>
 *
 * @author ${author}
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ImeiLogInfo对象", description="设备录入日志记录")
public class ImeiLogInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备录入日志id")
    private String imeiLogId;

    @ApiModelProperty(value = "用户ip地址")
    private String ip;

    @ApiModelProperty(value = "登录账号")
    private String loginAccount;

    @ApiModelProperty(value = "用户角色")
    private String userRole;

    @ApiModelProperty(value = "所属公司")
    private String company;

    @ApiModelProperty(value = "录入批次")
    private String inputBatch;

    @ApiModelProperty(value = "设备型号id")
    private String deviceModelId;

    @ApiModelProperty(value = "设备型号名称")
    private String deviceModelName;

    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "操作描述")
    private String operationDescribe;

    @ApiModelProperty(value = "是否删除（0.是，1.否 默认为1）")
    private String delFlag;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
