package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ${author}
 * @since 2024-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LocationLimitInfo对象", description="")
public class LocationLimitInfo implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "厂商id")
    @NotBlank(message = "厂商id")
    private String firmId;

    @ApiModelProperty(value = "设备型号id")
    @NotBlank(message = "设备型号id不能为空")
    private String modelId;

    @ApiModelProperty(value = "限制总数")
    @Max(value = 200,message = "限制总数不能大于200")
    @Min(value = 1,message = "限制总数不能小于1")
    private Integer limitCount;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改")
    private String updateUser;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "设备模型名称")
    @TableField(exist = false)
    private String modelName;

    @ApiModelProperty(value = "厂商名称")
    @TableField(exist = false)
    private String firmName;


}
