package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 消息内容
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("message_content")
public class MessageContent {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    private String id;

    /**
     * 消息类别Id
     */
    @NotBlank(message = "所属消息类别不能为空")
    private String categoryId;

    /**
     * 内容名称
     */
    @NotBlank(message = "内容名称不能为空")
    private String content;

    /**
     * 是否热门问题（0：否，1:是）
     */
    @NotBlank(message = "是否热门问题不能为空")
    private String hotIssues;

    /**
     * 排序
     */
    @NotNull(message = "排序序号不能为空")
    private Integer contentOrder;

    /**
     * 类别名称
     */
    @TableField(exist = false)
    private String categoryName;

    /**
     * 逻辑删除标识
     */
    private String delFlag;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 具体内容
     */
    private String details;
}
