package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 提醒消息表
 * </p>
 *
 * @author ${author}
 * @since 2022-11-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ReminderMessageApp对象", description="提醒消息表")
public class ReminderMessageApp implements Serializable {

private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "设备imei")
    private String imei;

    @ApiModelProperty(value = "类型")
    private String type;

    @ApiModelProperty(value = "是否已读（0.未读，1.已读)")
    private String messageRead;

    @ApiModelProperty(value = "内容")
    private String context;

    @ApiModelProperty(value = "推送人的ID")
    @TableField("userId")
    private String userId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "提醒类型（1：安全围栏，2：低电信息，3：sos，4：心率,5:体温）")
    private String remindType;


}
