package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * <p>
 * 系统消息
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("system_message")
public class SystemMessage {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 用户类别（0：微信用户，1：手机用户，2：系统所有用户）
     */
    @NotBlank(message = "用户类别不能为空")
    private String userType;

    /**
     * 微信用户openid
     */
    private String openid;

    /**
     * 所属国家
     */
    private String country;

    /**
     * 用户登录账号
     */
    private String userAccount;

    /**
     * 消息内容
     */
    @NotBlank(message = "消息内容不能为空")
    private String content;

    /**
     * 逻辑删除标识
     */
    private String delFlag;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 用户邮箱
     */
    private String userEmail;
}
