package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("temperature_config")
public class TemperatureConfig{

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    @TableId("id")
    private String id;

    /**
     * 设备iMei
     */
    @TableField("i_mei")
    private String mei;

    /**
     * 体温频率 0(30分钟|默认) 1(60分钟) 2(90分钟)
     */
    private String temperatureFreq;

    /**
     * 最后一次体温
     */
    private Integer lastTemperature;

    /**
     * 最后一次体温时间
     */
    private Date lastTemperatureTime;

    /**
     * 上限
     */
    private Integer upper;

    /**
     * 下限
     */
    private Integer lower;

    /**
     * 功能是否启用  0:关闭, 1:打开
     */
    private String switchOn;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;




}
