package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 版本更新
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class VersionUpdate implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 主键Id
     */
    private String id;

    /**
     * 来自哪个型号的设备（IOS，OPPO,XIAOMI等）
     */
    private String fromDevice;

    /**
     * 版本号
     */
    private String version;

    /**
     * 下载链接
     */
    private String link;

    /**
     * 删除标识（0：已删除，1：正常）
     */
    private String delFlag;

    /**
     * 发布者
     */
    private String publishUser;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date publishTime;

    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
