package com.ecell.internationalize.system.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频型号管理信息表
 * </p>
 *
 * @author ${author}
 * @since 2022-07-08
 */
@ApiModel(description = "视频型号信息")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("video_model_info")
public class VideoModelInfo  implements Serializable {

private static final long serialVersionUID=1L;

    /**
     * 视频型号ID
     */
    @ApiModelProperty("视频型号ID")
    @TableId(value ="video_model_id",type = IdType.INPUT)
    private String videoModelId;

    /**
     * 视频类型名称
     */
    @ApiModelProperty("视频类型名称")
    @NotBlank(message = "视频型号名称不能为空")
    @TableField(value = "video_model_name")
    private String videoModelName;

    /**
     * 分辨率
     */
    @ApiModelProperty("分辨率 ")
    @NotBlank(message = "分辨率不能为空")
    @TableField(value = "resolving_power")
    private String resolvingPower;

    /**
     * 单次通话时长（单位秒）
     */
    @ApiModelProperty("单次通话时长")
    @TableField(value = "single_call")
    private Integer singleCall;

    /**
     * 通话间隔（单位秒）
     */
    @ApiModelProperty("通话间隔")
    @TableField(value = "call_interval")
    private Integer callInterval;

    /**
     * 总视频时长（单位秒）
     */
    @ApiModelProperty("总视频时长")
    @TableField(value = "total_video")
    private Integer totalVideo;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    @TableField(value = "remarks")
    private String remarks;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @TableField(value = "create_user",fill = FieldFill.INSERT)
    private String createUser;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    @TableField(value = "update_user",fill = FieldFill.UPDATE)
    private String updateUser;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(value = "update_time",fill = FieldFill.UPDATE)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
     * 是否删除（0.是，1.否）
     */
    //@TableField(value = "del_flag")
    private String delFlag;
    /**
     * 引入设备的个数
     */
    @TableField(exist = false)
    private int deviceTotal;

    /**
     * 视频类型（1.佰锐视频，2.菊风视频，3.鹈鹕视频）'
     */
    @ApiModelProperty("视频类型")
    @NotBlank(message = "视频类型不能为空")
    @TableField(value = "video_model_type")
    private String videoModelType;

}
