package com.ecell.internationalize.system.entity.api;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * API对外开放接口表
 * </p>
 *
 * @author ${author}
 * @since 2023-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ApiOutward对象", description="API对外开放接口表")
public class ApiOutward implements Serializable {

private static final long serialVersionUID=1L;

    @ApiModelProperty(example = "主键Id(新增不需要传)")
    private String id;

    @ApiModelProperty(example = "APPID")
    private Integer appId;

    @ApiModelProperty(example = "APPKEY")
    private String appKey;

    @ApiModelProperty(example = "状态(0：禁用 , 1:启用)")
    private String status;

    @ApiModelProperty(example = "厂商Id")
    private String firmId;

    @ApiModelProperty(example = "标识(1:厂商：2：代理商)")
    private String firmFlag;

    @ApiModelProperty(example = "代理商Id")
    private String secondFirmId;

    @ApiModelProperty(example = "创建人（新增不需要传）")
    private String createUser;

    @ApiModelProperty(example = "创建时间（新增不需要传）")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(example = "发起请求秒数(如一分钟多少次,单位为秒)")
    private Integer second;

    @ApiModelProperty(example = "发起请求次数(如多少分钟100次)")
    private Integer frequency;

    @ApiModelProperty(example = "厂商/代理商名称",hidden = true)
    @TableField(exist = false)
    private String firmName;
}
