package com.ecell.internationalize.system.entity.dto;
import com.ecell.internationalize.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotEmpty;

@ApiModel(value="DeviceDTO对象", description="设备录入对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DeviceDTO {
    @Excel(name = "IMEI",type = Excel.Type.IMPORT)
    @ApiModelProperty(value = "IMEI")
    private String imei;

    @NotEmpty(message = "厂商id不能为空")
    @ApiModelProperty(value = "厂商id")
    private String firmId;

    @NotEmpty(message = "厂商名称不能为空")
    @ApiModelProperty(value = "厂商名称")
    private String firmName;

    @ApiModelProperty(value = "代理商id")
    private String agentId;

    @ApiModelProperty(value = "代理商名称")
    private String agentName;

    @NotEmpty(message = "设备型号id不能为空")
    @ApiModelProperty(value = "设备型号id")
    private String deviceModelId;

    @NotEmpty(message = "设备型号名称不能为空")
    @ApiModelProperty(value = "设备型号名称")
    private String deviceModelName;
}
