package com.ecell.internationalize.system.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @Title: FirmManageVO
 * @Author: liy
 * @Date: 2022/7/19 9:22
 * @Description:
 * @Version:1.0
 */
@Data
public class FirmManageVO {
    /**
     * 厂商Id
     */
    private String firmId;
    /**
     * 父类Id
     */
    private String parentId;
    /**
     * 联系人电话号码
     */
    private String phone;
    /**
     * 代理商昵称
     */
    private String firmName;
    /**
     * 账号状态 0:禁用 1：启用
     */
    private String status;
    /**
     * 后台账号
     */
    private String account;
    /**
     * 后台密码
     */
    private String password;
    /**
     * 截至时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastTime;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 合作开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 企业地址
     */
    private String location;
    /**
     * 代理商编号
     */
    @TableField("firm_code")
    private String firmCode;
    /**
     * 推广人员
     */
    @TableField("sales_man")
    private String salesMan;
    /**
     * 企业邮箱
     */
    @TableField("firm_email")
    private String firmEmail;
    /**
     * 合作结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 导入个数
     */
    @TableField("import_num")
    private Integer importNum;
    /**
     * 激活个数
     */
    private Integer activeNum;
    /**
     * 创建人
     */
    private String createUser;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 修改人
     */
    private String updateUser;
    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

}
