package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @Title: FirmTree
 * @Author: liy
 * @Date: 2022/7/19 9:13
 * @Description:
 * @Version:1.0
 */
@Data
@ApiModel(value = "权限树")
@EqualsAndHashCode(callSuper = true)
public class FirmTree extends TreeNode implements Serializable {
    /**
     * 厂商/代理商名称
     */
    @ApiModelProperty(value = "厂商/代理商名称")
    private String firmName;
    /**
     * 排序
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;



    public FirmTree() {
    }

    public FirmTree(FirmManageVO firmManageVO) {
        this.id = firmManageVO.getFirmId();
        this.parentId = firmManageVO.getParentId();
        this.firmName = firmManageVO.getFirmName();
        this.createTime = firmManageVO.getCreateTime();
    }
}
