package com.ecell.internationalize.system.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Title: TreeNode
 * @Author: liy
 * @Date: 2022/7/19 9:20
 * @Description:
 * @Version:1.0
 */
@Data
@ApiModel(value = "树形节点")
public class TreeNode {
    @ApiModelProperty(value = "当前节点id")
    protected String id;

    @ApiModelProperty(value = "父节点id")
    protected String parentId;

    @ApiModelProperty(value = "子节点列表")
    protected List<TreeNode> children ;

    /**
     * 是否包含子节点
     *
     * @since 3.7
     */
    private Boolean hasChildren;

    public void add(TreeNode node) {
        children.add(node);
    }
}
