package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.DeviceUserInfo;
import com.ecell.internationalize.system.entity.dto.DeviceUserPageDTO;
import com.ecell.internationalize.system.entity.vo.DeviceUserInfoVO;
import com.ecell.internationalize.system.entity.vo.MemberInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
public interface DeviceUserInfoMapper extends BaseMapper<DeviceUserInfo> {
    /**
     * 查询设备基本信息
     * @param page
     * @param dto
     * @return
     */
    Page<DeviceUserInfo> queryDeviceUserInfo(@Param("page") Page page, @Param("dto") DeviceUserPageDTO dto);

    /**
     * 查询设备家庭信息
     * @param page
     * @param dto
     * @return
     */
    Page<DeviceUserInfoVO> queryPageFamilyList(@Param("page") Page page, @Param("dto") DeviceUserPageDTO dto);

    /**
     * 根据imei查询绑定表
     * @param imei
     * @return
     */
    List<MemberInfoVO> queryMemberInfoByImei(@Param("imei") String imei);
}
