package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.system.entity.MessageContent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 消息内容 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
public interface MessageContentMapper extends BaseMapper<MessageContent> {
    /**
     * 批量删除类别下的消息内容
     * @Author liy
     * @Date 2022/7/13 15:42
     * @param messageContent 内容
     * @return void
     */
    void updateBatch(@Param("messageContent") List<MessageContent> messageContent);

    /**
     * 消息内容条件分页查询
     * @Author liy
     * @Date 2022/7/13 15:42
     * @param page 分页
     * @param map 查询条件
     * @return Page
     */
    Page<MessageContent> getList(@Param("page") Page<MessageContent> page, @Param("map") Map<String, Object> map);
}
