package com.ecell.internationalize.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ecell.internationalize.common.system.entity.User;
import com.ecell.internationalize.common.system.entity.VersionRatioHistory;
import com.ecell.internationalize.system.entity.dto.RegisterDto;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户 Mapper 接口
 * </p>
 *
 * @author liy
 * @since 2022-07-07
 */
public interface UserMapper extends BaseMapper<User> {

    Page<User> getList(@Param("page") Page<User> page, @Param("map") Map<String, Object> map);

    List<String> queryChannel();

    int activeCount(@Param("startTime") Date startTime, @Param("endTime") Date endTime);

    List<VersionRatioHistory> monthActiveCount(@Param("currentDate") String currentDate, @Param("preMonthDate") String preMonthDate);

    List<RegisterDto> monthRegisterCount(@Param("currentDate") String currentDate, @Param("preMonthDate") String preMonthDate);
}
