package com.ecell.internationalize.system.mapper.api;
import com.ecell.internationalize.system.entity.api.ApiLastLocationInfo;
import com.ecell.internationalize.system.entity.api.ApiTrackInfo;
import com.ecell.internationalize.system.entity.api.FirmDeviceInfo;
import com.ecell.internationalize.system.entity.api.LocationPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author borui
 */
public interface ApiFirmMapper {
  /**
   * 根据imei查询设备拥有者信息
   * @param imei
   * @return
   */
  FirmDeviceInfo queryDeviceOwnerByImei(@Param("imei") String imei);

  /**
   * 根据imei查询最新位置信息
   * @param imei
   * @return
   */
  ApiLastLocationInfo queryLastLocationInfoByImei(@Param("imei")String imei);

  /**
   * 查询轨迹总数
   * @param po
   * @return
   */
  Integer queryDeviceLocaltionCount( @Param("po") LocationPO po);

  /**
   * 查询轨迹信息
   * @param po
   * @return
   */
  List<ApiTrackInfo> queryDeviceLocaltionInfo(@Param("po") LocationPO po);
}
