package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.DeviceInfo;
import com.ecell.internationalize.system.entity.LatestLocationApp;
import com.ecell.internationalize.system.entity.dto.*;
import com.ecell.internationalize.system.entity.vo.DeviceCountInfo;
import com.ecell.internationalize.system.entity.vo.TrackVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备信息表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-10
 */
public interface DeviceInfoService extends IService<DeviceInfo> {

    boolean singleEntry(DeviceDTO dto);

   String importImei(List<DeviceDTO> userList, DeviceDTO dto);

    IPage queryByPageList(DevicePageDTO dto);

    /**
     * 根据IMEI查询批次号
     * @param ids
     * @return
     */
    String queryInputBatchById(String ids);

    /**
     * 审批状态更新
     * @param id
     * @param status
     * @return
     */
    boolean updateStatus(String id,String status);

    DeviceInfo queryDeviceByImei(String imei);

    IPage queryActivationInfoPageList(DeviceActivaPageDTO dto);

    boolean delDeviceByIds(List<String> imei);

    boolean delDeviceByImei(List<String> imeis,String sign);

   List<DeviceInfo> queryApprovedDevice();

    /**
     * 根据 imei 查询设备信息 对APP使用
     * @return
     */
    DeviceInfo queryDeviceInfoByImei(String imei);

    /**
     * 单个解绑
     * @param imei
     * @param one
     * @return
     */
    boolean deviceUnBingByImei(String imei, String one);

 /**
  * 查询轨迹信息
  * @param dto
  * @return
  */
 List<TrackVO> queryTrackInfo(TrackDTO dto);

 /**
  * 设备远程控制查询
  * @param dto
  * @return
  */
 IPage queryRemoteControl(RemoteControlDTO dto);

 /**
  * 远程控制指令下发
  * @param dto
  * @return
  */
 Map<String,String>sendInstructions(sendInstructionDTO dto);

 /**
  * 查询设备功能信息
  * @param dto
  * @return
  */
 IPage queryEquipmentFunction(RemoteControlDTO dto);

 /**
  * 设备使用状况统计
  * @return
  */
 DeviceCountInfo queryDeviceNumberInfo();

 List<LatestLocationApp> queryByiMei(String imei);

 List<LocationDto> locationTotal();

 List<LocationFindDto> queryByCountryOrProvince(String countryOrProvince, String type);

 Object importImeiTwo(MultipartFile file, List<DeviceDTO> imeiList, DeviceDTO dto);

 /**
  * 根据批次审核
  * @param inputBach
  * @param status
  * @return
  */
 boolean updateInputBachStatus(String inputBach, String status);

 /**
  * 初始化批次号
  * @return
  */
 List<DeviceInfo> initInputBach();

 /**
  * 根据批次分页查询设备信息
  * @param dto
  * @return
  */
 IPage queryInputBatchList(DevicePageDTO dto);

 /**
  * 根据批次号查询设备信息
  * @param inputBach
  * @return
  */
 List<DeviceInfo> queryInputBatchListTwo(String inputBach);
}
