package com.ecell.internationalize.system.service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.system.entity.FirmManage;
import com.ecell.internationalize.system.entity.vo.FirmTree;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  代理商服务类
 * </p>
 *
 * @author liy
 * @since 2022-07-06
 */
public interface FirmManageService extends IService<FirmManage> {
    /**
     * 代理商分页查询
     * @Author liy
     * @Date 2022/7/6 10:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<FirmManage> findAllByPage(Map<String,Object> map);
    /**
     * 显示所有厂商名称
     * @Author liy
     * @Date 2022/7/12 16:42
     * @return list
     */
    List<FirmTree> queryAll();
    /**
     *  构建树
     * @Author  liy
     * @Date   2022/7/19 11:07
     * @param lazy 是否是懒加载
     * @param parentId 父节点ID
     * @return List<FirmTree> 权限树集合
     */
    List<FirmTree> queryTree(boolean lazy, String parentId);
}
