package com.ecell.internationalize.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ecell.internationalize.common.system.entity.User;
import com.ecell.internationalize.common.system.entity.VersionRatioHistory;
import com.ecell.internationalize.system.entity.dto.RegisterDto;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户 服务类
 * </p>
 * @author liy
 * @since 2022-07-07
 */
public interface UserService extends IService<User> {
    /**
     * 用户信息条件分页查询
     * @Author liy
     * @Date 2022/7/7 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<User> queryList(Map<String,Object> map);
    /**
     * 用户操作条件分页查询
     * @Author liy
     * @Date 2022/7/8 16:42
     * @param map 分页查询体
     * @return IPage
     */
    IPage<User> queryOperatorList(Map<String,Object> map);

    List<String> queryChannel();

    int activeCount(Date startTime, Date endTime);

    List<VersionRatioHistory> monthActiveCount(String currentDate, String preMonthDate);

    List<RegisterDto> monthRegisterCount(String currentDate, String preMonthDate);
}
