package com.ecell.internationalize.system.service.api.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.core.context.SecurityContextHolder;
import com.ecell.internationalize.common.core.utils.SpringUtils;
import com.ecell.internationalize.common.issue.component.IssueInstructions;
import com.ecell.internationalize.common.issue.entity.issuedto.AlarmClockDto;
import com.ecell.internationalize.common.issue.entity.issuedto.AlarmClockSecond;
import com.ecell.internationalize.system.entity.api.dto.DeviceAlarmApp;
import com.ecell.internationalize.system.mapper.api.DeviceAlarmAppMapper;
import com.ecell.internationalize.system.service.api.DeviceAlarmAppService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 闹钟设置表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-07
 */
@Slf4j
@Service
public class DeviceAlarmAppServiceImpl extends ServiceImpl<DeviceAlarmAppMapper, DeviceAlarmApp> implements DeviceAlarmAppService {

    @Autowired
    private DeviceAlarmAppMapper deviceAlarmAppMapper;

    @Override
    public void sendToKafka(DeviceAlarmApp deviceAlarmApp) {
      Date date = new Date(System.currentTimeMillis());
      AlarmClockDto alarmClockDto=new AlarmClockDto();
      alarmClockDto.setType("alarm");
      alarmClockDto.setIdent(66666);
      alarmClockDto.setVender("20000");
      alarmClockDto.setOpenid(SecurityContextHolder.getStringUserId());
      alarmClockDto.setImei(deviceAlarmApp.getImei());
      alarmClockDto.setTime(date.getTime());
      //根据imei查询所有闹钟信息，进行全量下发
      LambdaQueryWrapper<DeviceAlarmApp> lambdaQueryWrapper=new LambdaQueryWrapper<>();
      lambdaQueryWrapper.eq(DeviceAlarmApp::getImei,deviceAlarmApp.getImei());
      List<DeviceAlarmApp> deviceAlarmApps = deviceAlarmAppMapper.selectList(lambdaQueryWrapper);
      //发送指令集合
      List<AlarmClockSecond> list=new ArrayList<>();
      AlarmClockSecond alarmClockSecond;
      if (!CollectionUtils.isEmpty(deviceAlarmApps)){
          for (DeviceAlarmApp deviceAlarmApp1:deviceAlarmApps){
              alarmClockSecond=new AlarmClockSecond();
              alarmClockSecond.setStatus(Integer.valueOf(deviceAlarmApp1.getAlarmStatus()));
              alarmClockSecond.setStart(deviceAlarmApp1.getAlarmTime());
              alarmClockSecond.setText(deviceAlarmApp1.getTag());
              alarmClockSecond.setWeek(deviceAlarmApp1.getAlarmWeek());
              list.add(alarmClockSecond);
          }
      }
        alarmClockDto.setAlarm(list);
        //3.调用方法缓存入redis,开始指令下发
        IssueInstructions issueInstructions = SpringUtils.getBean(IssueInstructions.class);
        issueInstructions.emitDeviceDemand("alarm",deviceAlarmApp.getImei(),alarmClockDto);
    }
}
