package com.ecell.internationalize.system.service.impl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.ActivityBanner;
import com.ecell.internationalize.system.mapper.ActivityBannerMapper;
import com.ecell.internationalize.system.service.ActivityBannerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 活动banner图 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
@Service
public class ActivityBannerServiceImpl extends ServiceImpl<ActivityBannerMapper, ActivityBanner> implements ActivityBannerService {
    @Autowired
    private ActivityBannerMapper activityBannerMapper;
    /**
     * 活动Banner分页查询
     * @Author liy
     * @Date 2022/7/14 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<ActivityBanner> findAllByPage(Map<String, Object> map) {
        Page<ActivityBanner> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<ActivityBanner> queryWrapper = new LambdaQueryWrapper<>();
        if (map.containsKey(FieldConstant.BANNER_TITLE)&&null!=map.get(FieldConstant.BANNER_TITLE).toString()){
            queryWrapper.eq(ActivityBanner::getTitle,map.get(FieldConstant.BANNER_TITLE).toString());
        }
        if (map.containsKey(FieldConstant.STATUS)&&null!=map.get(FieldConstant.STATUS).toString()){
            queryWrapper.eq(ActivityBanner::getStatus,map.get(FieldConstant.STATUS).toString());
        }
        queryWrapper.eq(ActivityBanner::getDelFlag, FieldConstant.MATH_ONE);
        queryWrapper.orderByAsc(ActivityBanner::getBannerOrder);
        return activityBannerMapper.selectPage(page,queryWrapper);
    }
}
