package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.ActivitySearch;
import com.ecell.internationalize.system.mapper.ActivitySearchMapper;
import com.ecell.internationalize.system.service.ActivitySearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-13
 */
@Service
public class ActivitySearchServiceImpl extends ServiceImpl<ActivitySearchMapper, ActivitySearch> implements ActivitySearchService {
    @Autowired
    private ActivitySearchMapper activitySearchMapper;
    /**
     * 热门搜索分页列表
     * @Author liy
     * @Date 2022/7/14 11:42
     * @param page 分页
     * @return IPage
     */
    @Override
    public IPage<ActivitySearch> findAllByPage(Page<ActivitySearch> page) {
        LambdaQueryWrapper<ActivitySearch> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivitySearch::getDelFlag, FieldConstant.MATH_ONE);
        queryWrapper.orderByAsc(ActivitySearch::getSearchOrder);
        return activitySearchMapper.selectPage(page,queryWrapper);
    }
}
