package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.AdvertRoll;
import com.ecell.internationalize.system.mapper.AdvertRollMapper;
import com.ecell.internationalize.system.service.AdvertRollService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 文字滚动广告列表 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Service
public class AdvertRollServiceImpl extends ServiceImpl<AdvertRollMapper, AdvertRoll> implements AdvertRollService {
    @Autowired
    private AdvertRollMapper advertRollMapper;
    /**
     * 文字滚动广告分页查询
     * @Author liy
     * @Date 2022/7/15 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<AdvertRoll> findAllByPage(Map<String, Object> map) {
        Page<AdvertRoll> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<AdvertRoll> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(AdvertRoll::getDelFlag, FieldConstant.MATH_ONE);
        return advertRollMapper.selectPage(page,queryWrapper);
    }
}
