package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.Advert;
import com.ecell.internationalize.system.mapper.AdvertMapper;
import com.ecell.internationalize.system.service.AdvertService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 广告 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Service
public class AdvertServiceImpl extends ServiceImpl<AdvertMapper, Advert> implements AdvertService {
    @Autowired
    private AdvertMapper advertMapper;
    /**
     * 广告配置分页查询
     * @Author liy
     * @Date 2022/7/15 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<Advert> findAllByPage(Map<String, Object> map) {
        Page<Advert> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<Advert> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Advert::getDelFlag, FieldConstant.MATH_ONE);
        queryWrapper.orderByAsc(Advert::getAdvertOrder);
        return advertMapper.selectPage(page,queryWrapper);
    }
}
