package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.Channel;
import com.ecell.internationalize.system.mapper.ChannelMapper;
import com.ecell.internationalize.system.service.ChannelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 渠道管理 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Service
public class ChannelServiceImpl extends ServiceImpl<ChannelMapper, Channel> implements ChannelService {
    @Autowired
    private ChannelMapper channelMapper;
    /**
     * 渠道管理分页查询
     * @Author liy
     * @Date 2022/7/15 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<Channel> findAllByPage(Map<String, Object> map) {
        Page<Channel> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<Channel> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(Channel::getDelFlag, FieldConstant.MATH_ONE);
        return channelMapper.selectPage(page,queryWrapper);
    }
}
