package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.system.entity.CheckVersion;
import com.ecell.internationalize.system.entity.dto.CheckVersionDto;
import com.ecell.internationalize.system.mapper.CheckVersionMapper;
import com.ecell.internationalize.system.service.CheckVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 检查版本更新表 服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-27
 */
@Service
public class CheckVersionServiceImpl extends ServiceImpl<CheckVersionMapper, CheckVersion> implements CheckVersionService {
    @Autowired
    private CheckVersionMapper checkVersionMapper;
    @Override
    public IPage<CheckVersion> findAllByPage(CheckVersionDto checkVersionDto) {
        Page<CheckVersion> page=new Page<>(checkVersionDto.getCurrent(),checkVersionDto.getPageSize());
        LambdaQueryWrapper<CheckVersion> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        if (null!=checkVersionDto.getAppPackage() && !"".equals(checkVersionDto.getAppPackage())){
            lambdaQueryWrapper.eq(CheckVersion::getAppPackage,checkVersionDto.getAppPackage());
        }
        if (null!=checkVersionDto.getApkName()  && !"".equals(checkVersionDto.getApkName())){
            lambdaQueryWrapper.eq(CheckVersion::getApkName,checkVersionDto.getApkName());
        }
        lambdaQueryWrapper.orderByDesc(CheckVersion::getCreateTime);
        return checkVersionMapper.selectPage(page,lambdaQueryWrapper);
    }
}
