package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.system.constant.DeviceModelConstants;
import com.ecell.internationalize.system.entity.DelimeiLogInfo;
import com.ecell.internationalize.system.entity.dto.ImeiLogPageDTO;
import com.ecell.internationalize.system.mapper.DelimeiLogInfoMapper;
import com.ecell.internationalize.system.service.DelimeiLogInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-19
 */
@Service
public class DelimeiLogInfoServiceImpl extends ServiceImpl<DelimeiLogInfoMapper, DelimeiLogInfo> implements DelimeiLogInfoService {

    @Autowired
    private DelimeiLogInfoMapper mapper;


    @Override
    public IPage queryByPageList(ImeiLogPageDTO dto) {
        Page page =new Page(dto.getCurrent(),dto.getPageSize());
        QueryWrapper wrapper = getQueryWrapper(dto);

        return  mapper.selectPage(page, wrapper);

    }


    /**
     * 日志异步新增
     * @param info
     */
    @Async("threadPoolTaskExecutor")
    public void saveDelImeiLog(DelimeiLogInfo info){
        save(info);
    }



    /**
     * 分页查询条件封装
     * @param dto
     * @return
     */
    private QueryWrapper getQueryWrapper(ImeiLogPageDTO dto) {
        QueryWrapper wrapper=new QueryWrapper();
        if (StringUtils.isNotEmpty(dto.getIp())){
            wrapper.like("ip", dto.getIp());
        }
        if (StringUtils.isNotEmpty(dto.getUserRole())){
            wrapper.eq("user_role", dto.getUserRole());
        }
        if (StringUtils.isNotEmpty(dto.getLoginAccount())){
            wrapper.eq("login_account", dto.getLoginAccount());
        }
        wrapper.eq("del_flag", DeviceModelConstants.ONE);
        wrapper.orderByDesc("create_time");
        return wrapper;
    }
}
