package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.DeviceAlarm;
import com.ecell.internationalize.system.mapper.DeviceAlarmMapper;
import com.ecell.internationalize.system.service.DeviceAlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 设备报警 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Service
public class DeviceAlarmServiceImpl extends ServiceImpl<DeviceAlarmMapper, DeviceAlarm> implements DeviceAlarmService {
    @Autowired
    private DeviceAlarmMapper deviceAlarmMapper;
    /**
     * 设备报警条件分页查询
     * @Author liy
     * @Date 2022/7/12 10:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<DeviceAlarm> findAllByPage(Map<String, Object> map) {
        Page<DeviceAlarm> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return deviceAlarmMapper.getList(page,map);
    }
}
