package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.system.entity.DeviceFamilyInfo;
import com.ecell.internationalize.system.entity.dto.DeviceFamilyPageDTO;
import com.ecell.internationalize.system.mapper.DeviceFamilyInfoMapper;
import com.ecell.internationalize.system.service.DeviceFamilyInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-15
 */
@Service
public class DeviceFamilyInfoServiceImpl extends ServiceImpl<DeviceFamilyInfoMapper, DeviceFamilyInfo> implements DeviceFamilyInfoService {
    @Autowired
    private DeviceFamilyInfoMapper mapper;

    @Override
    public IPage queryPageList(DeviceFamilyPageDTO dto) {
        Page page =new Page(dto.getCurrent(),dto.getPageSize());
        QueryWrapper wrapper =new QueryWrapper();
        if (StringUtils.isNotEmpty(dto.getImei())){
            wrapper.eq("imei",dto.getImei());
        }
        if (StringUtils.isNotEmpty(dto.getPhone())){
            wrapper.eq("device_phone",dto.getPhone());
        }


        return  mapper.selectPage(page, wrapper);
    }





}
