package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.DevicePosition;
import com.ecell.internationalize.system.mapper.DevicePositionMapper;
import com.ecell.internationalize.system.service.DevicePositionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 设备定位（签到） 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Service
public class DevicePositionServiceImpl extends ServiceImpl<DevicePositionMapper, DevicePosition> implements DevicePositionService {
    @Autowired
    private DevicePositionMapper devicePositionMapper;
    /**
     * 设备签到条件分页查询
     * @Author liy
     * @Date 2022/7/12 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<DevicePosition> findAllByPage(Map<String, Object> map) {
        Page<DevicePosition> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return devicePositionMapper.getList(page,map);
    }
}
