package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.HeartRateDetail;
import com.ecell.internationalize.system.mapper.HeartRateDetailMapper;
import com.ecell.internationalize.system.service.HeartRateDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-11
 */
@Service
public class HeartRateDetailServiceImpl extends ServiceImpl<HeartRateDetailMapper, HeartRateDetail> implements HeartRateDetailService {
    @Autowired
    private HeartRateDetailMapper heartRateDetailMapper;
    /**
     * 心率条件分页查询
     * @Author liy
     * @Date 2022/7/11 11:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<HeartRateDetail> findAllByPage(Map<String, Object> map) {
        Page<HeartRateDetail> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return heartRateDetailMapper.getList(page,map);
    }
}
