package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.HomeBanner;
import com.ecell.internationalize.system.mapper.HomeBannerMapper;
import com.ecell.internationalize.system.service.HomeBannerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 首页banner图 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-14
 */
@Service
public class HomeBannerServiceImpl extends ServiceImpl<HomeBannerMapper, HomeBanner> implements HomeBannerService {
    @Autowired
    private HomeBannerMapper homeBannerMapper;
    /**
     * 首页banner图分页查询
     * @Author liy
     * @Date 2022/7/15 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<HomeBanner> findAllByPage(Map<String, Object> map) {
        Page<HomeBanner> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<HomeBanner> queryWrapper = new LambdaQueryWrapper<>();
        if (map.containsKey(FieldConstant.BANNER_TITLE)&&null!=map.get(FieldConstant.BANNER_TITLE).toString()){
            queryWrapper.eq(HomeBanner::getTitle,map.get(FieldConstant.BANNER_TITLE).toString());
        }
        if (map.containsKey(FieldConstant.STATUS)&&null!=map.get(FieldConstant.STATUS).toString()){
            queryWrapper.eq(HomeBanner::getStatus,map.get(FieldConstant.STATUS).toString());
        }
        queryWrapper.eq(HomeBanner::getDelFlag, FieldConstant.MATH_ONE);
        queryWrapper.orderByAsc(HomeBanner::getHomeOrder);
        return homeBannerMapper.selectPage(page,queryWrapper);
    }
}
