package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.MessageContent;
import com.ecell.internationalize.system.mapper.MessageContentMapper;
import com.ecell.internationalize.system.service.MessageContentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 消息内容 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Service
public class MessageContentServiceImpl extends ServiceImpl<MessageContentMapper, MessageContent> implements MessageContentService {
    @Autowired
    private MessageContentMapper messageContentMapper;
    /**
     * 消息内容条件分页查询
     * @Author liy
     * @Date 2022/7/13 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<MessageContent> findAllByPage(Map<String, Object> map) {
        Page<MessageContent> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return messageContentMapper.getList(page,map);
    }
}
