package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.system.entity.SystemMessage;
import com.ecell.internationalize.system.mapper.SystemMessageMapper;
import com.ecell.internationalize.system.service.SystemMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 * 系统消息 服务实现类
 * </p>
 *
 * @author liy
 * @since 2022-07-12
 */
@Service
public class SystemMessageServiceImpl extends ServiceImpl<SystemMessageMapper, SystemMessage> implements SystemMessageService {
    @Autowired
    private SystemMessageMapper systemMessageMapper;
    /**
     * 系统消息分页列表
     * @Author liy
     * @Date 2022/7/13 11:42
     * @param map 分页
     * @return IPage
     */
    @Override
    public IPage<SystemMessage> findAllByPage(Map<String,Object> map) {
        Page<SystemMessage> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        LambdaQueryWrapper<SystemMessage> userLambdaQueryWrapper=new LambdaQueryWrapper<>();
        if (map.containsKey(FieldConstant.USER_ACCOUNT)&&null!=map.get(FieldConstant.USER_ACCOUNT).toString()){
            userLambdaQueryWrapper.like(SystemMessage::getUserAccount,map.get(FieldConstant.USER_ACCOUNT).toString());
        }
        if (map.containsKey(FieldConstant.USER_TYPE)&&null!=map.get(FieldConstant.USER_TYPE).toString()){
            userLambdaQueryWrapper.like(SystemMessage::getUserType,map.get(FieldConstant.USER_TYPE).toString());
        }
        userLambdaQueryWrapper.eq(SystemMessage::getDelFlag, FieldConstant.MATH_ONE);
        return systemMessageMapper.selectPage(page,userLambdaQueryWrapper);
    }
}
