package com.ecell.internationalize.system.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import com.ecell.internationalize.common.system.entity.User;
import com.ecell.internationalize.common.system.entity.VersionRatioHistory;
import com.ecell.internationalize.system.entity.dto.RegisterDto;
import com.ecell.internationalize.system.mapper.UserMapper;
import com.ecell.internationalize.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户 服务实现类
 * </p>
 * @author liy
 * @since 2022-07-07
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {
    @Autowired
    private UserMapper userMapper;
    /**
     * 用户信息条件分页查询
     * @Author liy
     * @Date 2022/7/7 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<User> queryList(Map<String,Object> map) {
        Page<User> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return userMapper.getList(page, map);
    }
    /**
     * 用户操作条件分页查询
     * @Author liy
     * @Date 2022/7/8 16:42
     * @param map 分页查询体
     * @return IPage
     */
    @Override
    public IPage<User> queryOperatorList(Map<String, Object> map) {
        Page<User> page=new Page<>(Integer.parseInt(map.get(FieldConstant.CURRENT).toString()),Integer.parseInt(map.get(FieldConstant.SIZE).toString()));
        return userMapper.getList(page, map);
    }

    @Override
    public List<String> queryChannel() {
        return userMapper.queryChannel();
    }

    @Override
    public int activeCount(Date startTime, Date endTime) {
        return userMapper.activeCount(startTime,endTime);
    }

    @Override
    public List<VersionRatioHistory> monthActiveCount(String currentDate, String preMonthDate) {
        return userMapper.monthActiveCount(currentDate,preMonthDate);
    }

    @Override
    public List<RegisterDto> monthRegisterCount(String currentDate, String preMonthDate) {
        return userMapper.monthRegisterCount(currentDate,preMonthDate);
    }
    /**
     * 多条件查询
     * @Author: liy
     * @Date: 2022/7/8 17:39
     */
//    private LambdaQueryWrapper<User> conditionMap(Map<String,Object> map){
//        LambdaQueryWrapper<User> queryWrapper = new LambdaQueryWrapper<>();
//        if (map.containsKey(FieldConstant.PHONE)&&null!=map.get(FieldConstant.PHONE).toString()){
//            queryWrapper.eq(User::getPhone,map.get(FieldConstant.PHONE).toString());
//        }
//        if (map.containsKey(FieldConstant.I_MEI)&&null!=map.get(FieldConstant.I_MEI).toString()){
//            queryWrapper.eq(User::getIMei,map.get(FieldConstant.I_MEI).toString());
//        }
//        if (map.containsKey(FieldConstant.CHANNEL)&&null!=map.get(FieldConstant.CHANNEL).toString()){
//            queryWrapper.eq(User::getChannel,map.get(FieldConstant.CHANNEL).toString());
//        }
//        if (map.containsKey(FieldConstant.STATUS)&&null!=map.get(FieldConstant.STATUS).toString()){
//            queryWrapper.eq(User::getStatus,map.get(FieldConstant.STATUS).toString());
//        }
//        return queryWrapper;
//    }
}
