package com.ecell.internationalize.system.utils;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.ecell.internationalize.common.core.utils.StringUtils;
import com.ecell.internationalize.common.security.utils.SecurityUtils;
import com.ecell.internationalize.system.constant.DeviceModelConstants;
import com.ecell.internationalize.system.constant.DeviceModelEnum;
import com.ecell.internationalize.system.entity.DeviceModelInfo;

public class DeviceModelInfoUtli {

    /**
     * 组装功能说明
     * @param model
     * @return
     */
    public static String assembleFunDescription(DeviceModelInfo model){
        StringBuilder buffer =new StringBuilder();
        if (StringUtils.isNotEmpty(model.getLocationFun())){
            buffer.append(DeviceModelEnum.getLocationFunString(Integer.parseInt(model.getLocationFun()))).append(",");
        }
        //支持视频类型
        if (StringUtils.isNotEmpty(model.getVideoModelName()) && !DeviceModelConstants.ZERO.equals(model.getVideoModelName())){
            if (DeviceModelConstants.ONE.equals(model.getVideoModelName())){
                buffer.append(DeviceModelConstants.JU_FENG).append(DeviceModelConstants.VIDEO_CALL);
            }else if(DeviceModelConstants.TWO.equals(model.getVideoModelName())){
                buffer.append(DeviceModelConstants.SHENG_WANG).append(DeviceModelConstants.VIDEO_CALL);
            }else if(DeviceModelConstants.THREE.equals(model.getVideoModelName())){
                buffer.append(DeviceModelConstants.BAI_RUI).append(DeviceModelConstants.VIDEO_CALL);
            }else if(DeviceModelConstants.FOUR.equals(model.getVideoModelName())){
                buffer.append(DeviceModelConstants.TI_HU).append(DeviceModelConstants.VIDEO_CALL);
            }
            //视频规则
            if (StringUtils.isNotEmpty(model.getVideoRule())){
                //如果视频规则为0那就是默认配置
                if (DeviceModelConstants.ZERO.equals(model.getVideoRule())){
                    buffer.append(DeviceModelConstants.DEFAULT_CONFIG).append(",");
                }else {
                    buffer.append(":").append(model.getVideoRule()).append(",");
                }
            }
        }
        //手表闹钟
        if (StringUtils.isNotEmpty(model.getWatchAlarmClock()) && DeviceModelConstants.ONE.equals(model.getWatchAlarmClock())){
            buffer.append(DeviceModelConstants.WATCH_ALARM_CLOCK).append(",");
        }
        //上课禁用
        if (StringUtils.isNotEmpty(model.getClassDisable()) && DeviceModelConstants.ONE.equals(model.getClassDisable())){
            buffer.append(DeviceModelConstants.CLASS_DISABLE).append(",");
        }
        //SOS号码
        if (StringUtils.isNotEmpty(model.getSosPhone()) && DeviceModelConstants.ONE.equals(model.getSosPhone())){
            buffer.append(DeviceModelConstants.SOS_PHONE).append(",");
        }
        //电子围栏 electronicFence
        if (StringUtils.isNotEmpty(model.getElectronicFence()) && DeviceModelConstants.ONE.equals(model.getElectronicFence())){
            buffer.append(DeviceModelConstants.ELECTRONIC_FENCE).append(",");
        }
        //计步功能 stepRecorder
        if (StringUtils.isNotEmpty(model.getStepRecorder()) && DeviceModelConstants.ONE.equals(model.getStepRecorder())){
            buffer.append(DeviceModelConstants.STEP_RECORDER).append(",");
        }
        //微聊功能 chatFun
        if (StringUtils.isNotEmpty(model.getChatFun()) && DeviceModelConstants.ONE.equals(model.getChatFun())){
            buffer.append(DeviceModelConstants.CHAT_FUN).append(",");
        }

        //查找设备功能 lookupFun
        if (StringUtils.isNotEmpty(model.getLookupFun()) && DeviceModelConstants.ONE.equals(model.getLookupFun())){
            buffer.append(DeviceModelConstants.LOOKUP_FUN).append(",");
        }

        //手表WIFF watchWiff
        if (StringUtils.isNotEmpty(model.getWatchWiff()) && DeviceModelConstants.ONE.equals(model.getWatchWiff())){
            buffer.append(DeviceModelConstants.WATCH_WIFF).append(",");
        }

        // 心率 heartRate;
        if (StringUtils.isNotEmpty(model.getHeartRate()) && DeviceModelConstants.ONE.equals(model.getHeartRate())){
            buffer.append(DeviceModelConstants.HEART_RATE).append(",");
        }
        // 体温 temperature
        if (StringUtils.isNotEmpty(model.getTemperature()) && DeviceModelConstants.ONE.equals(model.getTemperature())){
            buffer.append(DeviceModelConstants.TEMPERATURE).append(",");
        }

        //血压 bloodPressure
        if (StringUtils.isNotEmpty(model.getBloodPressure()) && DeviceModelConstants.ONE.equals(model.getBloodPressure())){
            buffer.append(DeviceModelConstants.BLOOD_PRESSURE).append(",");
        }

        //血氧 bloodOxygen
        if (StringUtils.isNotEmpty(model.getBloodOxygen()) && DeviceModelConstants.ONE.equals(model.getBloodOxygen())){
            buffer.append(DeviceModelConstants.BLOOD_OXYGEN).append(",");
        }

        //白名单 whiteList
        if (StringUtils.isNotEmpty(model.getWhiteList()) && DeviceModelConstants.ONE.equals(model.getWhiteList())){
            buffer.append(DeviceModelConstants.WHITE_LIST).append(",");
        }

        //拨号盘 dial
        if (StringUtils.isNotEmpty(model.getDial()) && DeviceModelConstants.ONE.equals(model.getDial())){
            buffer.append(DeviceModelConstants.DIAL).append(",");
        }

        //定时开关机 timingSwitch
        if (StringUtils.isNotEmpty(model.getTimingSwitch()) && DeviceModelConstants.ONE.equals(model.getTimingSwitch())){
            buffer.append(DeviceModelConstants.TIMING_SWITCH).append(",");
        }

        //电信 telecomVersion
        if (StringUtils.isNotEmpty(model.getTelecomVersion()) && DeviceModelConstants.ONE.equals(model.getTelecomVersion())){
            buffer.append(DeviceModelConstants.TELECOM).append(",");
        }
        String s = buffer.toString();
        if(StringUtils.isNotEmpty(s) && s.length()>=2){
            s.substring(0,s.length()-2);
        }
        return s;
    }

    /**
     * 数据权限
     * @param wrapper
     * @param column---》数据库所对于的类名称
     * @param value---》参数
     */
       public static void dataPermissions(Wrapper wrapper, String column, Object value){
           if (wrapper instanceof QueryWrapper ){
               //不是管理员
               if (!SecurityUtils.isAdminString(SecurityUtils.getUserId())){
                   ((QueryWrapper<?>) wrapper).eq(column,value);
               }
           }

       }
}
