package com.ecell.internationalize.system.utils;
import com.ecell.internationalize.common.system.constant.FieldConstant;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

/**
 * @Title: UploadFileUtil
 * @Author: liy
 * @Date: 2022/7/13 17:35
 * @Description:
 * @Version:1.0
 */
public class UploadFileUtil {
    public static String upload(MultipartFile file) throws IOException {
        //获取文件名+后缀
        String fileName = file.getOriginalFilename();
        File targetFile = null;
        if (null != fileName && !"".equals(fileName)) {
            //获取后缀
            String fileF = fileName.substring(fileName.lastIndexOf("."));
//            if (!(FieldConstant.JPG.equals(fileF) || FieldConstant.PNG.equals(fileF))) {
//                return AjaxResult.error(I18nUtil.getMessage(FieldConstant.UPLOAD_FAIL));
//            }
            String curTime = new SimpleDateFormat(FieldConstant.DATE_FORMAT).format(new Date());
            //新的文件名
            fileName = curTime + FieldConstant.CONN_CHAR + new Random().nextInt(1000) + fileF;
            //File只会找到项目最外层地址；
            File directory = new File(FieldConstant.PATH);
            String reportPath = directory.getCanonicalPath();
            //获取根目录
            File path = new File(reportPath);
            //获取文件夹路径
            File file1 = new File(path.getAbsolutePath(), FieldConstant.STATIC_IMAGE);
            //如果文件夹不存在则创建
            if (!file1.exists() && !file1.isDirectory()) {
                file1.mkdirs();
            }
            //将图片存入文件夹
            targetFile = new File(file1, fileName);
        }
        try {
            assert targetFile != null;
            file.transferTo(targetFile);
        } catch (IOException e) {
            e.printStackTrace();
        }
        return fileName;
    }
}
